C#############################################################
         subroutine FTMAP(nper,per,ngr,gr,amp,n,period,group,ip
     +a
     * 		,namma)
         dimension per(nper),gr(ngr),amp(nper,ngr)
         dimension period(n),group(n)
         character*1 chr,chr1
         character*80 str
	 character*40 namma
         real*4 x(50), y(1280), z(6400)
	 integer is(50)
C-----------------------------------------------------------------
c per,nper     - period array and # of points for map
c gr,ngr       - group velocity array and # of points for map
c amp          - amplitudes db*1000 for map
c period,group,n - periods, group velocity and # of points.
C-----------------------------------------------------------------
	 character plotf*80,prog*80,sbox*1
	 character labelx*80,labely*80,title*80,ctype*10

      call MAPOPT(itran,plotf,prog,ssize,xwin,ywin,
     * xdim,ydim,xlow,ylow,sbox,fxdim,fydim,xmarg,ymarg,fxlow,
     * fylow,labelx,labely,title,hue,alight,sat,fhue,thick,ctyp
     +e,
     * zmin,zmax,dz)
      nsyma=1
      ymarg= 1.0
      k = 0
      do 100  j = 1, nper
      x(j) = alog10(per(j)/per(1))/alog10(per(nper)/per(1))*(pe
     +r(nper)
     1  - per(1)) + per(1)
  100 is(j)=j 
c check and if necessary period and group for map
  104 iflag=0
      do 105 j=2,nper
	if(x(j-1).gt.x(j)) then
	ll=is(j-1)
	is(j-1)=is(j)
	is(j)=ll
	iflag=1
	end if
  105 continue
      if(iflag.eq.1) goto 104
      do 110  i = 1, ngr
      y(i) = gr(ngr+1-i)
         do 110  j = 1, nper
         k = k + 1
  110 z(k) = amp(is(j),ngr+1-i)/1000.

				zmax= 0.00000
	do i=1,k
		if(zmax.lt.z(i))	zmax=z(i)
	end do
  120 call initt (itran, namma, '0', prog, ssize,xwin,ywin)
         call clear
      call setfor (240., 0.3, 1.0)
      call setbac (60., 0.5, 1.0)
      if (itran .eq. 0) then
        call setdim (xdim, ydim, xlow, ylow)
      else
        call setdim (ydim, xdim, xlow, ylow)
      end if
      call setscl (0.,1.,0.,1.)
      if(sbox.eq.'Y') call box (0.,1.,0.,1.,0.,0,0)
      call setaxf (132)
      call setdim(fxdim,fydim,fxlow,fylow)
      call setscl( per(1), per(nper),gr(ngr),gr(1))
      call setbac (0., 0.5, 1.0)
      call setfor (hue,alight,sat)
c//////////////////////////////////////////////////////////////////////
	nlev=(zmax-zmin)/dz
c//////////////////////////////////////////////////////////////////////
	if(ipa.ne.0)				then
	call ncontour (nper, nper, ngr, x, y, z,  'both',  
     +            zmin,  zmax, dz)
	call LEGENDU ( zmin,zmax,dz,nlev )
	else
	call ncontour (nper, nper, ngr, x, y, z,  'lines',  
     +            zmin,  zmax, dz)
						end if
      call setfor (0., 0.0, 0.0)
      call setbac (0.,1.0, 0.0)
      call laxis (fxdim,fydim,xmarg,ymarg,fxlow,fylow,
     1      per(nper),per(1),gr(1),
     2      gr(ngr),  0.003, 0.01, '(*)', 
     3      labelx,labely,title, 0)
	print*,zmin,zmax,dz,nlev
      call chrsiz(0.1*fydim/5.0,1.0,0.0)
      ial=alog10(x(1))
      ibl=alog10(x(nper))
      dd=y(1)-(y(ngr)-y(1))/fydim*0.12
      do 130 j=ial,ibl
      do 130 i=2,8
      d=alog10(float(i))
      c = 10**(j+d)
      if(c.gt.x(1).and.c.lt.x(nper)) then
      write(chr1,'(i1)') i
      call text(c,dd,0.0,4,chr1,1)
      end if
  130 continue
      call setbac (0., 0.5, 1.0)
      call setfor (grhue, 0.8, 1.0)
      if(ipa.eq.0)	call setfor (0., 0.0, 0.0)
      call nplot(n,period,group, nsyma, 0,thick, 0,'.')
      xx = 50.5
      yy = 70.0
	if(ipa.eq.0)		return
	if(ipa.eq.3)		return
	call setfor (0., 0.0, 0.0)
  200 call cursor (xx, yy, chr)
      print *,xx,yy,chr
      if (chr .eq. 'q') then
	call finitt
	return
      end if
      if (chr .eq. 's') then
	print *,'Enter string: '
	read (5, '(a)') str
        call text (xx,yy,0.0,4,str,1)
      end if
      if (chr .eq. 'p') then
        call finitt
        nsyma=1
        goto 120
      end if
      if (chr .eq. 'n') then
        call finitt
        nsyma=0
        goto 120
      end if
      if(chr .eq. 'm') then
        eps = abs(period(1)-period(n))
        do 210 i=1,n
        if(abs(xx-period(i)).gt. eps) goto 210
        j = i
        eps=abs(xx-period(i))
  210   continue
        group(j)= yy
        call nplot(n,period,group, 1, 0,0.01, 0,'.')
      end if
      go to 200
      end
