	subroutine plot_disp(com)
c		plots up to 3 dispersion curves for Z, T, and R components
	character*(*) com
	character c1
	character*6 type


	character*255 env


c		declarations for stachan_sctlist_wfdisc common block
	parameter (mstachan = 1500, msegs = 20)
	character*6 sta_sctlist_wfdisc
	character*8 chan_sctlist_wfdisc
	integer numsctlist_wfdisc, ntuple_sctlist_wfdisc, nsegs_
     +sctlist_wfdisc
	real*8 time_sctlist_wfdisc, endtime_sctlist_wfdisc
	common/c_sctlist_wfdisc/sta_sctlist_wfdisc(mstachan), 
     *    chan_sctlist_wfdisc(mstachan),time_sctlist_wfdisc(mst
     +achan,msegs), 
     *    endtime_sctlist_wfdisc(mstachan, msegs),ntuple_sctlis
     +t_wfdisc(mstachan,msegs), 
     *    nsegs_sctlist_wfdisc(mstachan),icalled_sctlist_wfdisc
     +,numsctlist_wfdisc

c		declarations for stachan_sctlist_wfedit common block
	parameter (medits = 100)
	character*6 sta_sctlist_wfedit
	character*8 chan_sctlist_wfedit, probtype_sctlist_wfedit
     +, edtype_sctlist_wfedit
	integer numsctlist_wfedit, ntuple_sctlist_wfedit, nsegs_
     +sctlist_wfedit
	real*8 time_sctlist_wfedit, endtime_sctlist_wfedit
	common/c_sctlist_wfedit/sta_sctlist_wfedit(mstachan), 
     *    chan_sctlist_wfedit(mstachan),time_sctlist_wfedit(mst
     +achan,medits), 
     *    endtime_sctlist_wfedit(mstachan, medits),probtype_sct
     +list_wfedit(mstachan, medits),
     *	  edtype_sctlist_wfedit(mstachan, medits),ntuple_s
     +ctlist_wfedit(mstachan,medits), 
     *    nsegs_sctlist_wfedit(mstachan),icalled_sctlist_wfedit
     +,numsctlist_wfedit

c		waveform declarations
	parameter (mdata= 72000)
	common/c_data/t(mdata), d(mdata), t_plot(mdata), d_plot(
     +mdata), nlen_data, nlen_plot,
     *    t1(mdata), d1(mdata)

c		plotting declarations
	character*80 x_label, y_label, title
	character chr
	character*80 fg, bg
	common/mhr_nplot/itran,ipost,iwsize,ssize,xwin,ywin,
     *   xdim,ydim,xlow,ylow,init,chr,x_label,y_label,title,fg,
     +bg,iltype,thick

c		declarations for sta:chn sifting
	parameter (msc=1500)
	character*6 sta_plot
	character*8 chan_plot
	common/c_scplot/sta_plot(msc), chan_plot(msc), numplot

c		odds and ends
	character ifedit, ifinterp, overplot_type, gpvel_cmp, if
     +_centryd, if_auto_out
	character*80 ps_file, xlabel_t, xlabel_f, ylabel_t, ylab
     +el_f, notefile
	common/c_oande/icurrent, ifedit, ifinterp, ps_file, idis
     +p, ift_disc, istage, 
     *	inewfilt, xlabel_t, xlabel_f, ylabel_t, ylabel_f, 
     +nrownote, inote, 
     *  notefile, overplot_type, if_centryd, if_auto_out, gpvel
     +_cmp,
     *  t01_bp,tc1_bp,tc2_bp,t02_bp

c		source information from cmt relations (menu, print_cmt)
	character*24 region_src
	integer iy_src, jday_src, imo_src, id_src, ih_src, imin_
     +src, expo_src
	real sec_src, lat_src, lon_src, depth_src, smo_src, mzz_
     +src, mss_src, 
     *   mee_src, mzs_src, mze_src, mse_src, magb_src, mags_src
     +, dtt_src
	common/c_src/iy_src, jday_src, imo_src, id_src, ih_src, 
     +imin_src, 
     *   sec_src, expo_src, lat_src, lon_src, depth_src, smo_sr
     +c, mzz_src,
     *   mss_src, mee_src, mzs_src, mze_src, mse_src, magb_src,
     + mags_src, 
     *   region_src, dtt_src

c		waveform indices, etc.
	common/c_tw/time_display, endtime_display, ibeg_t_displa
     +y,iend_t_display,
     *    nlen_t_display

c		anatoli's common blocks
       	parameter (mperiod = 50, mgroup = 150, mphase = 1
     +5, mkeys = 15, nraz =  66000,
     *	nseis=72000)
       	character*4 order
	character*6 stnam
	character*8 nchan, nchanR, nchanT, nchanZ, nchanN, nchan
     +E
	character*1 symchan
       	character*128 wfout, dispout
       	character*128 infile, outfile, grvfile, phvfile, s
     +vafile, filtseis, in_file
       	logical TYP,clue
       	common/shmaxis/period(mperiod),group(mgroup)
       	common/int_param/n2pow, nbase, nhalf, m2pow, mdec
     +, ndec, nw, np, nflt,
     * 		nflt0, nlen, nskip, nfirst
       	common/re_param/distan, bazim, azie, t0, tratime,
     + tmax, tmin, tmin_save, tmax_save, 
     *	grmax, grmin, grmax_save, grmin_save, grstart, grs
     +tart_save, tdel, tinit, outdt, 
     *  dur, frstep, dt, vmin, vmax, tref,norb,k_mode,grcentr,w
     +idth
       	common/gauss/alpha(mperiod), nf(mperiod),alph
       	common/result/amp(mgroup,mperiod), phase(mgroup,m
     +period),ampmax,
     * 		phavel(mperiod,mphase),nphase, pervis(mper
     +iod), phmax(mperiod),
     * 		ammax(mperiod), grtime(mperiod),gr(mperiod
     +)
C	common/polar/ amp_temp(mgroup,mperiod,3), phase_temp(mgroup,mperiod,3) 
       	common/prelim/stnam, nchan, symchan, iyear, iday,
     + nchanZ, nchanN, nchanE,
     *    t0_Z, t0_N, t0_E, dt_Z, dt_N, dt_E, dZ(nseis), dN(nse
     +is), dE(nseis), 
     *    tZ(nseis), tN(nseis), tE(nseis), ierrZ, ierrN, ierrE,
     + nZ, nN, nE,
     *    icurrN, icurrE, icurrZ, itupleZ, itupleN, itupleE, ic
     +urr_tuple,
     *    calibN, calibE, calibZ, hangN, hangE, isegZ, isegRT, 
     +iseg
	common/rot/order, nchanT, nchanR, n_RT, t0_RT, dt_RT, dR
     +AD(nseis), dTRANS(nseis), t_RT(nseis)
       	common/logamp/bamp(mgroup,mperiod)
       	common/filenames/infile, outfile, grvfile, phvfil
     +e, svafile, filtseis, in_file
       	common/KEYS/TYP(mkeys),clue
       	common/inp_out/seis(nseis), seimax
	common/dbase/wfout,dispout
       	common/instr/ampins(nraz/2), phasins(nraz/2),cali
     +bnom
	parameter (nper_graph=100)
	common/raw_amp/nflt_raw,per_raw(50),amp_raw(50),am_r(npe
     +r_graph),
     *	amp_zold(nper_graph),amp_rold(nper_graph),amp_told
     +(nper_graph),amp_zold_dispdata(nper_graph),
     *  amp_rold_dispdata(nper_graph),amp_told_dispdata(nper_gr
     +aph),per_graph(nper_graph),
     *  per_graph_z(nper_graph),per_graph_r(nper_graph),per_gra
     +ph_t(nper_graph)
       	common/work/sre(nraz), sim(nraz), fre(nraz), fim(
     +nraz), smod(nraz),
     *    tmpre(nraz),tmpim(nraz),tm(nraz)

c		data, dispersion and image information stored for plotting and interaction
	common/c_clean/clean_rz(nraz), clean_rn(nraz), 
     *clean_re(nraz), clean_tn(nraz), clean_te(nraz), 
     *clean_r(nraz), clean_t(nraz), 
     *    tcl_z(nraz), tcl_h(nraz), ncl_z, ncl_h, ncl_R, ncl_T
	common/c_disp_ftan/groupvel_z(mperiod), groupvel_t(mperi
     +od), groupvel_r(mperiod), 
     *    phasevel_z(mperiod), phasevel_t(mperiod), phasevel_r(
     +mperiod), period_z(mperiod), period_t(mperiod),
     *    period_r(mperiod), amp_z(mperiod), amp_t(mperiod), am
     +p_r(mperiod), pol_z(mperiod), pol_t(mperiod), 
     *    pol_r(mperiod), tdisp_z(mperiod), tdisp_t(mperiod), t
     +disp_r(mperiod), ndisp_z, ndisp_t, ndisp_r, 
     *    istage_z, istage_t, istage_r, t01_z, t01_t, t01_r, tc
     +1_z, tc1_t, tc1_r, t02_z, t02_t, t02_r, tc2_z, 
     *    tc2_t, tc2_r
	common/c_images/ftimage_zraw(mgroup, mperiod), ftimage_z
     +cl(mgroup, mperiod),
     *    ftimage_traw(mgroup, mperiod), ftimage_tcl(mgroup, mp
     +eriod),
     *    ftimage_rraw(mgroup, mperiod), ftimage_rcl(mgroup, mp
     +eriod),
     *    xaxis_zraw(mperiod), yaxis_zraw(mgroup), xaxis_zcl(mp
     +eriod), yaxis_zcl(mgroup), 
     *    xaxis_traw(mperiod), yaxis_traw(mgroup), xaxis_tcl(mp
     +eriod), yaxis_tcl(mgroup),
     *    xaxis_rraw(mperiod), yaxis_rraw(mgroup), xaxis_rcl(mp
     +eriod), yaxis_rcl(mgroup),
     *    nper_zraw, ngroup_zraw, nper_zcl, ngroup_zcl, nper_tr
     +aw, ngroup_traw, nper_tcl, 
     *    ngroup_tcl, nper_rraw, ngroup_rraw, nper_rcl, ngroup_
     +rcl

c		saving input disp relation
	parameter (mdisp2 = 500)
	character*2 stage_disp_save
	character*6 sta_disp_save
	character*8 chan_disp_save, wavetype_disp_save
	character*16 model_disp_save
	character*17 lddate_disp_save
	character*32 dfile_disp_save, dfileerr_disp_save
	character*64 dir_disp_save
	integer dispid_disp_save, jdate_disp_save, orid_disp_sav
     +e, nfreq_disp_save,
     *     commid_disp_save
	real range_disp_save, backaz_disp_save, az_disp_save, t0
     +1_disp_save, tc1_disp_save, 
     *     tc2_disp_save, t02_disp_save
	real*8 time_disp_save
	common/c_disp_save/sta_disp_save(mdisp2), chan_disp_save
     +(mdisp2), 
     *     dispid_disp_save(mdisp2), wavetype_disp_save(mdisp2)
     +, jdate_disp_save(mdisp2),
     *     orid_disp_save(mdisp2), time_disp_save(mdisp2), rang
     +e_disp_save(mdisp2),
     *     backaz_disp_save(mdisp2), az_disp_save(mdisp2), nfre
     +q_disp_save(mdisp2),
     *     stage_disp_save(mdisp2), t01_disp_save(mdisp2), tc1_
     +disp_save(mdisp2),
     *     tc2_disp_save(mdisp2), t02_disp_save(mdisp2), model_
     +disp_save(mdisp2), 
     *	   dir_disp_save(mdisp2), dfile_disp_save(mdisp2),
     + dfileerr_disp_save(mdisp2), 
     *     commid_disp_save(mdisp2), lddate_disp_save(mdisp2), 
     +nrowdisp_save

c		saving input ftdisc relation
	parameter (mftdisc2 = 500)
	character*2 datatype_ftdisc_save, stage_ftdisc_save
	character*6 sta_ftdisc_save
	character*8 chan_ftdisc_save, wavetype_ftdisc_save, imag
     +efield_ftdisc_save
	character*16 imagetype_ftdisc_save, xaxistype_ftdisc_sav
     +e, yaxistype_ftdisc_save
	character*17 lddate_ftdisc_save
	character*128 dfile_ftdisc_save
	character*128 dir_ftdisc_save
	integer ftid_ftdisc_save, jdate_ftdisc_save, orid_ftdisc
     +_save, commid_ftdisc_save,
     *     numtot_ftdisc_save, numimage_ftdisc_save, ny_ftdisc_
     +save, nx_ftdisc_save
	real range_ftdisc_save
	real*8 time_ftdisc_save
	common/c_ftdisc_save/sta_ftdisc_save(mftdisc2), chan_ftd
     +isc_save(mftdisc2), 
     *     ftid_ftdisc_save(mftdisc2), wavetype_ftdisc_save(mft
     +disc2), jdate_ftdisc_save(mftdisc2), 
     *     orid_ftdisc_save(mftdisc2), time_ftdisc_save(mftdisc
     +2), range_ftdisc_save(mftdisc2), 
     *     stage_ftdisc_save(mftdisc2), imagetype_ftdisc_save(m
     +ftdisc2), 
     *     imagefield_ftdisc_save(mftdisc2), xaxistype_ftdisc_s
     +ave(mftdisc2), 
     *     yaxistype_ftdisc_save(mftdisc2), numtot_ftdisc_save(
     +mftdisc2), numimage_ftdisc_save(mftdisc2),
     *     ny_ftdisc_save(mftdisc2), nx_ftdisc_save(mftdisc2), 
     +datatype_ftdisc_save(mftdisc2), 
     *     dir_ftdisc_save(mftdisc2), dfile_ftdisc_save(mftdisc
     +2),  
     *	   commid_ftdisc_save(mftdisc2), lddate_ftdisc_sav
     +e(mftdisc2), nrowftdisc_save
c               quality measure
	common/c_quality/quality

	dimension plot_disp_z(mperiod), plot_disp_r(mperiod), pl
     +ot_disp_t
     *	(mperiod),xplot_z(mperiod),xplot_r(mperiod),xplot_
     +t(mperiod),
     *    x_line(2), y_line(2), tmode(2000), cgmode(2000)
        character*6 bukchin_file
        q=-9.0
	qq_pl=-99999.0
	ymin=9999999.
	ymax=-999999.
	if(ndisp_z.ne.0.or.ndisp_t.ne.0.or.ndisp_r.ne.0) then
	 type=com(2:2)
	 call mhr_init(type)
	 call clear
	else
	 print *,'WARNING: No group velocity data in common bloc
     +ks...Nothing to plot.'
	 return
	endif
C----------prepar for plotting-------------------------------
	if(com(2:2).eq.'a') then
C-------prepar for plotting amplitudes 
        k=0
	do i=1,ndisp_z
	if(groupvel_z(i).eq.q.or.amp_z(i).eq.q.or.amp_z(i).eq.qq
     +_pl)goto101
	k=k+1
	plot_disp_z(k)=amp_z(i)
	xplot_z(k)=period_z(i)
101	end do
	nplot_z=k
	if(.not.TYP(14))then
	do m=1,k/2
	tem=plot_disp_z(m)
        plot_disp_z(m)=plot_disp_z(k-m+1)
        plot_disp_z(k-m+1)=tem
	tem=1./xplot_z(m)
        xplot_z(m)=1./xplot_z(k-m+1)
        xplot_z(k-m+1)=tem
	enddo
                       endif
        k=0
	 do i=1,ndisp_r
	if(groupvel_r(i).eq.q.or.amp_r(i).eq.q.or.amp_r(i).eq.qq
     +_pl)goto102
	k=k+1
	plot_disp_r(k)=amp_r(i)
	xplot_r(k)=period_r(i)
102       end do
	nplot_r=k
	if(.not.TYP(14))then
	do m=1,k/2
	tem=plot_disp_r(m)
        plot_disp_r(m)=plot_disp_r(k-m+1)
        plot_disp_r(k-m+1)=tem
	tem=1./xplot_r(m)
        xplot_r(m)=1./xplot_r(k-m+1)
        xplot_r(k-m+1)=tem
	enddo
                       endif
        k=0
	 do i=1,ndisp_t
	if(groupvel_r(i).eq.q.or.amp_t(i).eq.q.or.amp_t(i).eq.qq
     +_pl)goto103
	k=k+1
	plot_disp_t(k)=amp_t(i)
	xplot_t(k)=period_t(i)
103	 enddo
	nplot_t=k
	if(.not.TYP(14))then
	do m=1,k/2
	tem=plot_disp_t(m)
        plot_disp_t(m)=plot_disp_t(k-m+1)
        plot_disp_t(k-m+1)=tem
	tem=1./xplot_t(m)
        xplot_t(m)=1./xplot_t(k-m+1)
        xplot_t(k-m+1)=tem
	enddo
                       endif
	elseif(com(2:2).eq.'g') then
C-------prepar for plotting group velocities
        k=0
	do i=1,ndisp_z
	if(groupvel_z(i).eq.q.or.tdisp_z(i).eq.q)goto111
	k=k+1
	plot_disp_z(k)=groupvel_z(i)
	xplot_z(k)=tdisp_z(i)
111      end do
	nplot_z=k
	if(.not.TYP(14))then
	do m=1,k/2
	tem=plot_disp_z(m)
        plot_disp_z(m)=plot_disp_z(k-m+1)
        plot_disp_z(k-m+1)=tem
	tem=1./xplot_z(m)
        xplot_z(m)=1./xplot_z(k-m+1)
        xplot_z(k-m+1)=tem
	enddo
                       endif
        k=0
	 do i=1,ndisp_r
	if(groupvel_r(i).eq.q.or.tdisp_r(i).eq.q)goto112
	k=k+1
	plot_disp_r(k)=groupvel_r(i)
	xplot_r(k)=tdisp_r(i)
112       end do
	nplot_r=k
	if(.not.TYP(14))then
	do m=1,k/2
	tem=plot_disp_r(m)
        plot_disp_r(m)=plot_disp_r(k-m+1)
        plot_disp_r(k-m+1)=tem
	tem=1./xplot_r(m)
        xplot_r(m)=1./xplot_r(k-m+1)
        xplot_r(k-m+1)=tem
	enddo
                       endif
        k=0
	 do i=1,ndisp_t
	if(groupvel_t(i).eq.q.or.tdisp_t(i).eq.q)goto113
	k=k+1
	plot_disp_t(k)=groupvel_t(i)
	xplot_t(k)=tdisp_t(i)
113	 enddo
	nplot_t=k
	if(.not.TYP(14))then
	do m=1,k/2
	tem=plot_disp_t(m)
        plot_disp_t(m)=plot_disp_t(k-m+1)
        plot_disp_t(k-m+1)=tem
	tem=1./xplot_t(m)
        xplot_t(m)=1./xplot_t(k-m+1)
        xplot_t(k-m+1)=tem
	enddo
                       endif
	elseif(com(2:2).eq.'c') then
C-------prepar for plotting phase velocities
        k=0
	do i=1,ndisp_z
	if(groupvel_z(i).eq.q)goto121
	k=k+1
	plot_disp_z(k)=phasevel_z(i)
	xplot_z(k)=tdisp_z(i)
121      end do
	nplot_z=k
	if(.not.TYP(14))then
	do m=1,k/2
	tem=plot_disp_z(m)
        plot_disp_z(m)=plot_disp_z(k-m+1)
        plot_disp_z(k-m+1)=tem
	tem=1./xplot_z(m)
        xplot_z(m)=1./xplot_z(k-m+1)
        xplot_z(k-m+1)=tem
	enddo
                       endif
        k=0
	 do i=1,ndisp_r
	if(groupvel_r(i).eq.q)goto122
	k=k+1
	plot_disp_r(k)=phasevel_r(i)
	xplot_r(k)=tdisp_r(i)
122       end do
	nplot_r=k
	if(.not.TYP(14))then
	do m=1,k/2
	tem=plot_disp_r(m)
        plot_disp_r(m)=plot_disp_r(k-m+1)
        plot_disp_r(k-m+1)=tem
	tem=1./xplot_r(m)
        xplot_r(m)=1./xplot_r(k-m+1)
        xplot_r(k-m+1)=tem
	enddo
                       endif
        k=0
	 do i=1,ndisp_t
	if(groupvel_r(i).eq.q)goto123
	k=k+1
	plot_disp_t(k)=phasevel_t(i)
	xplot_t(k)=tdisp_t(i)
123	 enddo
	nplot_t=k
	if(.not.TYP(14))then
	do m=1,k/2
	tem=plot_disp_t(m)
        plot_disp_t(m)=plot_disp_t(k-m+1)
        plot_disp_t(k-m+1)=tem
	tem=1./xplot_t(m)
        xplot_t(m)=1./xplot_t(k-m+1)
        xplot_t(k-m+1)=tem
	enddo
                       endif
	elseif(com(2:2).eq.'p') then
C-------prepar for plotting polarization anomaly

        k=0
	do i=1,ndisp_z
	if(groupvel_z(i).eq.q.or.pol_z(i).eq.qq_pl)goto131
	k=k+1
	plot_disp_z(k)=pol_z(i)
	xplot_z(k)=period_z(i)
131       end do
	nplot_z=k
	if(.not.TYP(14))then
	do m=1,k/2
	tem=plot_disp_z(m)
        plot_disp_z(m)=plot_disp_z(k-m+1)
        plot_disp_z(k-m+1)=tem
	tem=1./xplot_z(m)
        xplot_z(m)=1./xplot_z(k-m+1)
        xplot_z(k-m+1)=tem
	enddo
                       endif
        k=0
	 do i=1,ndisp_t
	if(groupvel_t(i).eq.q.or.pol_t(i).eq.qq_pl)goto132
	k=k+1
	plot_disp_t(k)=pol_t(i)
	xplot_t(k)=period_t(i)
132	 enddo
	nplot_t=k
	if(.not.TYP(14))then
	do m=1,k/2
	tem=plot_disp_z(m)
        plot_disp_t(m)=plot_disp_t(k-m+1)
        plot_disp_t(k-m+1)=tem
	tem=1./xplot_t(m)
        xplot_t(m)=1./xplot_t(k-m+1)
        xplot_t(k-m+1)=tem
	enddo
                       endif
	elseif(com(2:2).eq.'') then
C--------if graph is not specified-------------------------
	 print *,'ERROR: must specify a dispersion plot type (a,
     +g,c,p) (e.g. gg).'
	 return
	else
	 print *,'plot type ',com(2:2),' is not supported.'
	 return
	endif
          xmin=tmin
          xmax=tmax
	  if(.not.TYP(14)) then
	  xmin=1./tmax
	  xmax=1./tmin
			   endif

	if(nplot_z.lt.2000)			then
	do i=1,nplot_z
	  ymin=min(ymin,plot_disp_z(i))
	  ymax=max(ymax,plot_disp_z(i))
	  end do
                                                end if
c	goto 9016
	if(nplot_r.lt.2000)			then
	do i=1,nplot_r
	  ymin=min(ymin,plot_disp_r(i))
	  ymax=max(ymax,plot_disp_r(i))
	enddo
						end if
	if(nplot_t.lt.2000)			then
	do i=1,nplot_t
	  ymin=min(ymin,plot_disp_t(i))
	  ymax=max(ymax,plot_disp_t(i))
	  if(com(2:2).eq.'a'.and.TYP(14))ymax=max(ymax,amp_told
     +(i))
	enddo
                                                end if
9016			continue
	if (com(2:2).eq.'a'.and.TYP(14)) then
	do i=1,nper_graph
	ymax=max(ymax,amp_zold(i))
	ymax=max(ymax,amp_rold(i))
	ymax=max(ymax,amp_told(i))
	enddo
	                      endif
	if(xmin.eq.xmax) return
	if(ymin.eq.ymax) return
	fac=.20
	if(gpvel_cmp.eq.'n'.or.gpvel_cmp.eq.'N'.or.com(2:2).ne.'
     +g') fac=.05
C	xmin = xmin - fac*(xmax-xmin)
	if (xmin.lt.0.0) xmin=0.0
C	xmax = xmax + fac*(xmax-xmin)
        if(com(2:2).eq.'g')then
	ymin=grmin-0.1
	ymax=grmax+0.1
	go to 55
	endif
	ymin = ymin - fac*(ymax-ymin)
	ymax = ymax + fac*(ymax-ymin)

55	call setscl(xmin,xmax,ymin,ymax)
       	call ltype(0)
	title=sta_plot(icurrent)

	call mhr_axis_disp(xmin,xmax,ymin,ymax,com,TYP(14))
	call setbg('seashell')

c		plot curves and legend
	x_line(1)=xmin + (xmax-xmin)/15.
	x_line(2)=xmin + (xmax-xmin)/5.
	if(com(2:2).eq.'a'.or.com(2:2).eq.'p') then
	qqq=x_line(1)
	x_line(1)=xmax-x_line(2)
	x_line(2)=xmax-qqq      
                                        	endif  
        qy=(ymax-ymin)/15.
	y_line(1)=ymax - qy
	y_line(2)=y_line(1)
	if(ndisp_z.ne.0) then
	 call setfg(fg)
	 if(com(2:2).eq.'a'.and.TYP(14)) call nplot(nper_graph,
c     +per_graph_z, amp_zold, 0, 0, 5.*thin, 0, ' ')
     +per_graph_z, amp_zold, 0, 0, 0.3*thick, 0, ' ')
         call nplot(nplot_z, xplot_z, plot_disp_z, 0, 0, 5.*thi
     +ck, 0, ' ')
	 call nplot(2, x_line, y_line, 0, 0, 5.*thick, 0, ' ')
	 call text(.95*x_line(1), y_line(1), 0., 4, 'Z', 1)
	endif
c	if(ndisp_r.ne.0) then
	if(ndisp_r.ne.0.and.com(2:2).ne.'p') then
	 call setfg('Red')
         call nplot(nplot_r, xplot_r, plot_disp_r, 0, 0, 4.*thi
     +ck, 0, ' ')
	 if(com(2:2).eq.'a'.and.TYP(14)) call nplot(nper_graph,
     +per_graph_r,amp_rold, 0, 0, 0.3*thick, 0, ' ')
	 y_line(1)=y_line(1)-qy/2.
	 y_line(2)=y_line(1)
	 call nplot(2, x_line, y_line, 0, 0, 4.*thick, 0, ' ')
	 call text(.95*x_line(1), y_line(1), 0., 4, 'R', 1)
	endif
	if(ndisp_t.ne.0) then
	 call setfg('ForestGreen')
         call nplot(nplot_t, xplot_t, plot_disp_t, 0, 0, 3.*thi
     +ck, 0, ' ')
	 if(com(2:2).eq.'a'.and.TYP(14)) call nplot(nper_graph,
     +per_graph_t,amp_told, 0, 0, 0.3*thick, 0, ' ')
	 y_line(1)=y_line(1)-qy/2.
	 if(ndisp_r.eq.0.or.com(2:2).eq.'p') y_line(1)=y_line(1)
     +-qy
	 y_line(2)=y_line(1)
	 call nplot(2, x_line, y_line, 0, 0, 3.*thick, 0, ' ')
	 call text(.95*x_line(1), y_line(1), 0., 4, 'T', 1)
	endif

c		plot PREM dispersion curves
        if(TYP(14))then
	if(com(2:2).eq.'g'.and.gpvel_cmp.ne.'n'.and.gpvel_cmp.ne
     +.'N') then
	 iegn=12
c			Rayleigh
	 if(gpvel_cmp.eq.'L') goto 3

c}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}
	        do ind_env=1,255
        env(ind_env:ind_env)= ' '
	        end do
        call get_envir (env)
	do ind_env=1,255
	if(env(ind_env:ind_env).eq.char(0))	env(ind_env:in
     +d_env)= ' '
	end do
        do ind_env=1,255
        if(env(ind_env:ind_env).eq. ' ')    goto 9013
        end do
9013                                             continue
        ind_env= ind_env-1
c	env= env(1:ind_env)//'/Prem/abc_t_fund_0_60.egn'
        bukchin_file(1:5)='gv_r_'
        kkk_mode= k_mode+1
        if(kkk_mode.gt.5)       kkk_mode= 5
        write(bukchin_file(6:6),'(i1)') kkk_mode
	env= env(1:ind_env)//'/Prem/'//bukchin_file(1:6)
c        env= '/opt/fmt/Prem/abc_t_fund_0_60.egn'
	 open(iegn,file=env)
c}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}
	 i=1
  2                             continue
c 2	 read(iegn,1,end=998) i1, i2, c1, i3, fmode, f1, cgmod
c 2	 read(iegn,1,end=998) i1, i2, c1, i3, fmode, f1, cgmod
c     +e(i)
c 1	   format(i6, 1x, i4, 1x, a1, 1x, i4, 1x, f12.7, 1x, f
c     +8.2, 1x, f8.5)
c	  tmode(i) = 1000./fmode
c	  print *,i,fmode,tmode(i),cgmode(i)
        read(iegn,*,end=998)       tmode(i),cgmode(i)
	  i=i+1
	 goto 2
 998	 close(iegn)
	 call ltype(0)
c	 call setfg('Black')
	 call setfg(fg)
         call nplot(i-1, tmode, cgmode, 0, 0, thick, 0, ' ')
c			Love
 3	 continue
	 if(gpvel_cmp.eq.'R') goto 4

c}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}
	        do ind_env=1,255
        env(ind_env:ind_env)= ' '
	        end do
        call get_envir (env)
	do ind_env=1,255
	if(env(ind_env:ind_env).eq.char(0))	env(ind_env:in
     +d_env)= ' '
	end do
        do ind_env=1,255
        if(env(ind_env:ind_env).eq. ' ')    goto 9014
        end do
9014                                             continue
        ind_env= ind_env-1
        bukchin_file(1:5)='gv_l_'
        kkk_mode= k_mode+1
        if(kkk_mode.gt.5)       kkk_mode= 5
        write(bukchin_file(6:6),'(i1)') kkk_mode
	env= env(1:ind_env)//'/Prem/'//bukchin_file(1:6)
c	env= env(1:ind_env)//'/Prem/gv_l_1'
c	env= env(1:ind_env)//'/Prem/abc_s_fund_0_60.egn'
c              env= '/opt/fmt/Prem/abc_s_fund_0_60.egn'
	 open(iegn,file=env)
c}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}}
C         open(iegn,file='/data/3.2.M/Prem/abc_s_fund_0_60.egn')
	 i=1
 21	 read(iegn,*,end=999) tmode(i),cgmode(i)
c 21	 read(iegn,1,end=999) i1, i2, c1, i3, fmode, f1, cgmo
c     +de(i)
c	  tmode(i) = 1000./fmode
	  i=i+1
	 goto 21
 999	 close(iegn)
	 call ltype(0)
c	 call setfg('Black')
         call setfg('ForestGreen')
         call nplot(i-1, tmode, cgmode, 0, 0, thick, 0, ' ')
	 call ltype(0)
 4	 continue
     
	endif
             endif
c ------------------MOSTINSKI Bad cursor correction
c                                  xx = 50.5
c                                 yy = 70.0
9015      call setfor (0., 0.0, 0.0)
        call cursor (xx, yy, chr)
	if(chr.ne.'p')	goto 9015
	call finitt

	return
	end

	subroutine mhr_axis_disp(xmin,xmax,ymin,ymax,com,KEY)
c		draws an axis.
c		xmin, xmax, ymin, ymax are input
c		as are labels and titles.
	character*(*) com
	character*80 y_label_disp
	character*80 fmtx, fmty
	character*80 x_label, y_label, title
	character chr
	character*80 fg, bg
	character*15 xlab_text 
	logical KEY
	common/mhr_nplot/itran,ipost,iwsize,ssize,xwin,ywin,
     *   xdim,ydim,xlow,ylow,init,chr,x_label,y_label,title,fg,
     +bg,iltype,thick
	xmarg=.5
	ymarg=1.0
	a=10.
1	nqmax=int(xmax/a)+1
	nqmin=int(xmin/a)-1   
	if(nqmin.lt.0)nqmin=0
	if((nqmax-nqmin).lt.10)then
	a=a/2.
	go to 1
	end if
        dxnumb=a
	xmax=a*nqmax
	xmin=a*nqmin
C      	dxnumb=(xmax-xmin)/10.0
       	dxsmal=dxnumb/2.0
	a=1.
2	nrmax=int(ymax/a)+1
	nrmin=int(ymin/a)-1   
	if((nrmax-nrmin).lt.10)then
	a=a/2.
	go to 2
	end if
       	dynumb=a
C      	dynumb=(ymax-ymin)/10.0
       	dysmal=dynumb/2.0
        fmtx='(i3)'
        if(.not.KEY)fmtx='(f4.1)'
        fmty='(f6.3)'
	if(com(2:2).eq.'p') fmty='(i4)'
	iclear=1

	call setbg('seashell')
	call setfg('black')

	if(com(2:2).eq.'g') then
	 y_label_disp='group velocity (km/sec)'
	elseif(com(2:2).eq.'c') then
	 y_label_disp='phase velocity (km/sec)'
	elseif(com(2:2).eq.'a') then
	 y_label_disp='logariphmic amplitude'
	elseif(com(2:2).eq.'p') then
	 y_label_disp='polarization anomaly (degrees)'
	else
	 y_label_disp=''
	endif
	if(KEY)then
	xlab_text=' period (sec)  ' 
	else
        xlab_text='frequency (Hz)' 
	endif
      	call axis (xdim, ydim, xmarg, ymarg, xlow, ylow,
     *           xmax, xmin, ymax, ymin, dxsmal, dxnumb,
     *           dysmal, dynumb, fmtx, fmty,
     *  xlab_text, y_label_disp , '  '
     +, iclear)

	return
	end


