c///////////////////////////////////////////////////////////////////////
c-----------------------------------------------------------------------
	subroutine REASLI (amp,mmax,nf,mt,nw,nmax,w,alpha,beta,a
     +max)
c-----------------------------------------------------------------------
		real*4 amp(mmax,nmax,nf)
		real*4 w(nmax),alpha(nmax),beta(nmax)
c-----------------------------------------------------------------------
					pi=3.141592654
					pi2=pi*2.
			mtt1=1
			mtt2=mt
			nww1=1
			nww2=nw

c!!!!!!!!!!!!!!!!!!!!!!!!!!!  NO CONTROL  nw > nmax,     mt > mmax

	amax=amp(mtt1,nww1,nf)
		do 101 i=mtt1,mtt2

		do 101 j=nww1,nww2
				r=amp(i,j,nf)
	if (r.gt.amax) amax=r
101		continue
                 do 444 j=nww1,nww2
				beta(j)=w(j)/SQRT(2.*alpha(j))
444             continue 
	 if(nf.eq.1) print 27, mtt1,mtt2,nww1,nww2
27              format(//10x,'field:',i8,' -',i3,'  by time',
     *                                i8,' -',i3,'  by frequenc
     +y'//)
								RETURN
								END
c///////////////////////////////////////////////////////////////////////
c-----------------------------------------------------------------------
	subroutine RAYPOL (amp,pha,mmax,mt1,mt2,nmax,nw1,nw2,ktd
     +,kwd,
     *  		   w,num,val,vmu1,vmu2,uvec,nv,az0,iraz,p
     +ar,
     * 		   ier,raz,ramp,rpha,qual,qua,az,plaver,ax
     +hor,ratmu)
c-----------------------------------------------------------------------
		integer*4 mmax,mt1,mt2,nmax,nw1,nw2,ktd,kwd,nv,ir
     +az,ier
		real*4 amp(mmax,nmax,3),pha(mmax,nmax,3),w(nw2)
		integer*2 num(mmax,nw2)
		real*4 val(3,nv),vmu1(nv),vmu2(nv),uvec(6,nv)
		real*4 az0,raz,par(22)
		real*4 ramp(mmax,nw2),rpha(mmax,nw2),qual(mmax,nw
     +2)
		real*4 az(mmax,nw2),plaver(mmax,nw2),axhor(mmax,n
     +w2)
		real*4 ratmu(mmax,nw2)
			real*4 vert(6),uve(6),v1(6),v2(6),vp(2),va
     +z(2)
			real*4 cros(2),qua(5000)
c						! qua(nv)  !!!!!!!!!!!!
			real*4 com(2,2),cv(2,2),cd(2)
				data vert /0.,0.,1.,0.,0.,0./
				data cut /1000000./

c-----------------------------------------------------------------------
c	    maps of RAYLEIGH wave POLARIZATION PARAMETERS
c------------------------
c		az0  - a priori AZIMUTH
c		iraz = 0  - az0 used only for choice between two possible
c				(opposite) directions of "average azimuth"
c		     = 1  - az0 taken as "average azimuth"

c		par(3) - only points with QUARAY>par(3) are used
c				for "MAPs"
c		par(4) - only points with QUARAY>par(4) are used
c				for AVERAGE AZIMUTH calculation
c		ramp,rpha - projection on the "best" (moving) direction
c-----------------------------------------------------------------------
							pi=3.141592654
     +
							pi2=pi*2.
							cut=1000000.
							icutn=32000
				do 101 kt=mt1,mt2
				do 101 kw=nw1,nw2
			ramp(kt,kw)=cut
			rpha(kt,kw)=cut
			az(kt,kw)=cut
			plaver(kt,kw)=cut
			axhor(kt,kw)=cut
			ratmu(kt,kw)=cut
101				continue

		qmax=0.
						do 102 kt=mt1,mt2
						do 102 kw=nw1,nw2
							kv=num(kt,kw)
				if ((kv.gt.0).and.(kv.le.icutn)) th
     +en
		call CHO4 (vert,vmu1(kv),vmu2(kv),uvec,kv,ph)

		qua(kv)=QUARAY(val(1,kv),vmu1(kv),vmu2(kv),uvec,k
     +v,
     *  				    par(5),par(8),par(11),
     *  				    par(6),par(9),par(12),
     *  				    par(7),par(10),par(13))
     +
		if (qua(kv).gt.qmax) qmax=qua(kv)
				end if
102						continue

c------------------------------------------
c	  "AVERAGE" AZIMUTH
c----------------------
							raz=az0
			kc=0
		com(1,1)=0.
		com(1,2)=0.
		com(2,2)=0.
					do 103 kt=mt1,mt2
					do 103 kw=nw1,nw2
						kv=num(kt,kw)
	if ((kv.gt.0).and.(kv.le.icutn).and.(qua(kv).ge.par(4)))
     + then
c			    ..................
			kc=kc+1
			    call CROSHO (uvec,kv,  cros,1,ier)
				if (ier.eq.1) then
			kc=kc-1
				else
		com(1,1)=com(1,1)+qua(kv)*qua(kv)*cros(1)*cros(1)
     +
		com(1,2)=com(1,2)+qua(kv)*qua(kv)*cros(1)*cros(2)
     +
		com(2,2)=com(2,2)+qua(kv)*qua(kv)*cros(2)*cros(2)
     +
				end if
c			    ..................
				end if
103					continue

		if (kc.gt.0) then
c	    ....................
			com(2,1)=com(1,2)

	call JAC1 (com,  cd,cv)

				if (cd(2).gt.cd(1)) then
					cv(1,1)=cv(1,2)
					cv(2,1)=cv(2,2)
				end if

		vaz(1)=SIN(az0)
		vaz(2)=COS(az0)
			r=vaz(1)*cv(1,1)+vaz(2)*cv(2,1)
				if (r.lt.0.) then
					cv(1,1)=-cv(1,1)
					cv(2,1)=-cv(2,1)
				end if

			 raza=ATAN2(cv(1,1),cv(2,1))
	 if (raza.lt.0.) raza=raza+pi2
				      if (iraz.eq.0) raz=raza
		else
c	    ....................
	iraz=-1
	raza=cut
c	    ....................
		end if
						
c------------------------------------------
c	  "AVERAGE AZIMUTH" vector
c----------------------
			vaz(1)=SIN(raz)
			vaz(2)=COS(raz)

c------------------------------------------
c	  MAPs
c----------------------
		nq=0
						do 105 kt=mt1,mt2
						do 105 kw=nw1,nw2
							kv=num(kt,kw)
c				    .....................................
	call TERPO (kt,kw,qua,vmu1,vmu2,uvec,nv,num,
     *  		     mmax,mt1,nw1,w,ktd,kwd,vert,2,
     *  		     		   qual(kt,kw),vm1,vm2
     +,uve,ier)

			if ((ier.eq.0).and.(qual(kt,kw).ge.par(3))
     +) then
c		  .............................
		nq=nq+1

	ratmu(kt,kw)=vm1/vm2

		call CROSHO (uve,1,  vp,1,ier)

				if (ier.eq.0) then
c			    .......................
					s=SIGN(1.,uve(6))

				r=vp(1)*vaz(1)+vp(2)*vaz(2)
			if (r.lt.0.) then
				vp(1)=-vp(1)
				vp(2)=-vp(2)
	ratmu(kt,kw)=-ratmu(kt,kw)
					s=-s
			end if

		r=uve(4)*vp(1)+uve(5)*vp(2)
		r=SQRT(ABS(1.-r*r))*s
	axhor(kt,kw)=ASIN(r)

		r=ATAN2(vp(1),vp(2))-raz
		r=r/pi2+10.
		r=(r-REAL(INT(r)))*pi2
			if (r.gt.pi) r=r-pi2
	az(kt,kw)=r
c			    .......................
				end if

		r=EPLANG(vert,1,uve,1,ier)
			if (ratmu(kt,kw).lt.0.) r=-r
	plaver(kt,kw)=r

							do 106 i=1,3
							       j=i+3
						r=amp(kt,kw,i)
						p=pha(kt,kw,i)
					v1(i)=r*COS(p)
					v1(j)=r*SIN(p)
				v2(i)=vm1*uve(i)
				v2(j)=vm2*uve(j)
106							continue

		call SPROD (v1,1,0,v2,1,0, rre,rim)

	ramp(kt,kw)=SQRT(rre*rre+rim*rim)*qual(kt,kw)/qmax
	rpha(kt,kw)=ATAN2(rim,rre)
c		  .............................
			else
	qual(kt,kw)=cut
c		  .............................
			end if
c				    .....................................
105						continue
			     ier=0
		if (nq.eq.0) ier=1

		RETURN
c////////////////////////////////////////
c----------------------------------------
	entry AVERAZRAY (azAVR)
c----------------------------------------


               azAVR=raza

		RETURN
	      END

c///////////////////////////////////////////////////////////////////////
c-----------------------------------------------------------------------
	subroutine LOVPOL (amp,pha,mmax,mt1,mt2,nmax,nw1,nw2,ktd
     +,kwd,
     *  		    w,num,val,vmu1,vmu2,uvec,nv,az0,iraz,
     +par,
     *  	  ier,raz,ramp,rpha,qual,qua,az,axhor,ratmu)
c-----------------------------------------------------------------------
c  !!!!  this routine must go straight after GETPOL (no change in vmu.,uv
c						!!!! ( before RAYPOL ) !!!!
c-----------------------------------------------------------------------
		integer*4 mmax,mt1,mt2,nmax,nw1,nw2,ktd,kwd,nv,ir
     +az,ier
		real*4 amp(mmax,nmax,3),pha(mmax,nmax,3),w(nw2)
		integer*2 num(mmax,nw2)
		real*4 val(3,nv),vmu1(nv),vmu2(nv),uvec(6,nv)
		real*4 az0,raz,par(22)
		real*4 ramp(mmax,nw2),rpha(mmax,nw2),qual(mmax,nw
     +2)
		real*4 az(mmax,nw2),axhor(mmax,nw2)
		real*4 ratmu(mmax,nw2)
			real*4 etalon(6),uve(6),v1(6),v2(6)
			real*4 qua(5000)
c						! qua(nv)  !!!!!!!!!!!!
			real*4 com(2,2),cv(2,2),cd(2)
c-----------------------------------------------------------------------
c	    maps of LOVE wave POLARIZATION PARAMETERS
c------------------------
c		az0  - a priori AZIMUTH
c		iraz = 0  - az0 used only for choice between two possible
c				(opposite) directions of "average azimuth"
c		     = 1  - az0 taken as "average azimuth"

c		par(3) - only points with QUALOV>par(3) are used
c				for "MAPs"
c		par(4) - only points with QUALOV>par(4) are used
c				for AVERAGE AZIMUTH calculation
c		
c-----------------------------------------------------------------------
							pi=3.141592654
     +
							pi2=pi*2.
							cut=1000000.
							icutn=32000
		do 100 i=1,6
	etalon(i)=0.
100		continue
				do 101 kt=mt1,mt2
				do 101 kw=nw1,nw2
			ramp(kt,kw)=cut
			rpha(kt,kw)=cut
			az(kt,kw)=cut
			axhor(kt,kw)=cut
			ratmu(kt,kw)=cut
101				continue

		qmax=0.
						do 102 kt=mt1,mt2
						do 102 kw=nw1,nw2
							kv=num(kt,kw)
				if ((kv.gt.0).and.(kv.le.icutn)) th
     +en
		qua(kv)=QUALOV(val(1,kv),vmu1(kv),vmu2(kv),uvec,k
     +v,
     *  				    par(14),par(17),par(20)
     +,
     *  				    par(15),par(18),par(21)
     +,
     *  				    par(16),par(19),par(22)
     +)
		if (qua(kv).gt.qmax) qmax=qua(kv)
				end if
102						continue

c------------------------------------------
c	  "AVERAGE" AZIMUTH
c----------------------
							raz=az0-pi/2.

			kc=0
		com(1,1)=0.
		com(1,2)=0.
		com(2,2)=0.
					do 103 kt=mt1,mt2
					do 103 kw=nw1,nw2
						kv=num(kt,kw)
	if ((kv.gt.0).and.(kv.le.icutn).and.(qua(kv).ge.par(4)))
     + then
c			    ..................
			kc=kc+1
				r=uvec(1,kv)
				s=uvec(2,kv)
				p=SQRT(r*r+s*s)
			    r=qua(kv)*r/p
			    s=qua(kv)*s/p
		com(1,1)=com(1,1)+r*r
		com(1,2)=com(1,2)+r*s
		com(2,2)=com(2,2)+s*s
c			    ..................
				end if
103					continue

		if (kc.gt.0) then
c	    ....................
			com(2,1)=com(1,2)

	call JAC1 (com,  cd,cv)

				if (cd(2).gt.cd(1)) then
					cv(1,1)=cv(1,2)
					cv(2,1)=cv(2,2)
				end if

		etalon(1)=SIN(raza)
		etalon(2)=COS(raza)
			r=etalon(1)*cv(1,1)+etalon(2)*cv(2,1)
				if (r.lt.0.) then
					cv(1,1)=-cv(1,1)
					cv(2,1)=-cv(2,1)
				end if

			 raza=ATAN2(cv(1,1),cv(2,1))
	 if (raza.lt.0.) raza=raza+pi2

				      if (iraz.eq.0) raz=raza

		else
c	    ....................
	iraz=-1
	raza=cut
c	    ....................
		end if
						
c------------------------------------------
c	  ROTATION to "ETALON"
c----------------------
		etalon(1)=SIN(raz)
		etalon(2)=COS(raz)

					do 105 kt=mt1,mt2
					do 105 kw=nw1,nw2
						kv=num(kt,kw)
				if ((kv.gt.0).and.(kv.le.icutn)) th
     +en
			call CHO2 (etalon,uvec,kv,ph)
				end if
105					continue

c------------------------------------------
c	  MAPs
c----------------------
		nq=0
						do 106 kt=mt1,mt2
						do 106 kw=nw1,nw2
							kv=num(kt,kw)
c				    .....................................
	call TERPO (kt,kw,qua,vmu1,vmu2,uvec,nv,num,
     *  		     mmax,mt1,nw1,w,ktd,kwd,etalon,1,
     *  		     		    qual(kt,kw),vm1,vm
     +2,uve,ier)

			if ((ier.eq.0).and.(qual(kt,kw).ge.par(3))
     +) then
c		  .............................
		nq=nq+1

	ratmu(kt,kw)=vm2/vm1

	axhor(kt,kw)=ASIN(uve(3))

		r=ATAN2(uve(1),uve(2))-raz
		r=r/pi2+10.
		r=(r-REAL(INT(r)))*pi2
			if (r.gt.pi) r=r-pi2
	az(kt,kw)=r
							do 107 i=1,3
							       j=i+3
						r=amp(kt,kw,i)
						p=pha(kt,kw,i)
					v1(i)=r*COS(p)
					v1(j)=r*SIN(p)
				v2(i)=uve(i)
				v2(j)=0.
107							continue

		call SPROD (v1,1,0,v2,1,0, rre,rim)

	ramp(kt,kw)=SQRT(rre*rre+rim*rim)*qual(kt,kw)/qmax
	rpha(kt,kw)=ATAN2(rim,rre)
c		  .............................
			else
	qual(kt,kw)=cut
c		  .............................
			end if
c				    .....................................
106						continue
			     ier=0
		if (nq.eq.0) ier=1
								RETURN
c////////////////////////////////////////
c----------------------------------------
	entry AVERAZLOV (azAVL)
c----------------------------------------
			azAVL=raza
                        RETURN 
								END
c///////////////////////////////////////////////////////////////////////
c-----------------------------------------------------------------------
	subroutine GETPOL (amp,pha,mmax,mt1,mt2,nmax,nw1,nw2,
     *  		     dt,w,beta,par,ktd,kwd,cmi,
     *  		     nv,val,vet1,vet2,uvec1,vnu1,vnu2,uve
     +c3,num)
c-----------------------------------------------------------------------
		integer*4 kt,kw,mmax,mt1,mt2,nmax,nw1,nw2,nv,ktd,
     +kwd
		real*4 amp(mmax,nmax,3),pha(mmax,nmax,3)
		real*4 w(nw2),beta(nw2),par(22)
		real*4 dt,cmi
		real*4 val(3,nv)
		real*4 vet1(nv),vet2(nv),uvec1(6,nv)
		real*4 vnu1(nv),vnu2(nv),uvec3(6,nv)
		integer*2 num(mmax,nw2)
			real*4 coma(3,3)
c-----------------------------------------------------------------------
c	    POLARIZATION PARAMETERS for the highest regions of W-T map
c-----------------------------
c		num(i,j) = number of point in vet.., vnu.., uvec.. arrays
c		   containing the information about (i,j) point on F-T map
c			num() = 0  - point is excluded (by amlitude level)
c			num() = icut(32001) -parameters of the point must
c					be found by interpolation
c		ktd,kwd  -  steps by "t" and "w" on F-T map for POL.PARAM
c		cmi  -  cmi*MAX{amp} - min level being processed
c-----------------------------------------------------------------------
							icut=32001
C---------------SEARCH FOR ENERGY MAXIMUM------------------------
	enma=0.
				do 100 i=mt1,mt2
				do 100 j=nw1,nw2
		r=0.
			do 101 k=1,3
		r=r+amp(i,j,k)*amp(i,j,k)
101			continue
	if (r.gt.enma) then  
             enma=r
             jjj=j
             end if
100				continue
						enle=cmi*cmi*enma

					do 105 kw=nw1,nw2
					do 105 kt=mt1,mt2
				num(kt,kw)=0
105					continue
		

	kv=0
C-------------------supress small energy points of the greed----
						do 102 kw=nw1,nw2
               weight=1.
               if(kw.gt.jjj) weight=(w(kw)/w(jjj))**3.0
                enlev=enle*weight
						do 103 kt=mt1,mt2
				r=0.
					do 104 k=1,3
				r=r+amp(kt,kw,k)*amp(kt,kw,k)
104					continue

			if (r.ge.enlev) then
c		    ...................................
		num(kt,kw)=icut
				i=(kt-mt1)/ktd*ktd+mt1
				j=(kw-nw1)/kwd*kwd+nw1

				    if ((i.eq.kt).and.(j.eq.kw)) th
     +en
c				    .................
	kv=kv+1
						if (kv.gt.nv) then
c						####################
c------------------------
	print*, 'TOO SMALL DIMENSION for polarization parameters
     +'
	print*, '----------  change "nv" -----------------------
     +-'
c------------------------
							goto 1000
c						####################
						end if
		num(kt,kw)=kv

	call GETCOM (kt,kw,amp,pha,mmax,mt1,mt2,nmax,nw1,nw2,
     *  				    dt,w,beta,par, trace,co
     +ma)
c------------------------
 	print 2, kt,kw,weight,'\r'
2	format('kt =',i3,5x,'kw =',i3,20x,'weight =',e11.4,a1,$
     +)
c------------------------
	call ANYPA (coma,  energ,val(1,kv),val(2,kv),val(3,kv),
     *  				vet1(kv),vet2(kv),uvec1,kv,
     +
     *  				vnu1(kv),vnu2(kv),uvec3,kv 
     +)
		energ=trace*energ
c				    .................
				    end if
c		    ...................................
			end if
103						continue
102						continue
1000							continue
					RETURN
								END

c///////////////////////////////////////////////////////////////////////
c-----------------------------------------------------------------------
	subroutine GETCOM (kt,kw,amp,pha,mmax,mt1,mt2,nmax,nw1,n
     +w2,
     *  				    dt,w,beta,par, trace,co
     +ma)
c-----------------------------------------------------------------------
		integer*4 kt,kw,mmax,mt1,mt2,nmax,nw1,nw2
		real*4 amp(mmax,nmax,3),pha(mmax,nmax,3)
		real*4 w(nw2),beta(nw2),par(22)
		real*4 dt,trace
		real*4 coma(3,3)
			real*4 gmat(3)
			real*4 cowin
		    data cowin /2.0/
c				     ! ~ SQRT(2*|vmin|) (from EXPO)
c-----------------------------------------------------------------------
c      complex COV MATRIX for a point (kt,kw) of TIME-FREQUENCY DIAGRAM
c		"real COMA" = trace*coma
c			in this version:
c	    par(1)=coeft, par(2)=coefw - coefficients for "window"
c-----------------------------------------------------------------------
c	  SIMPLE WINDOW (without any "slope")
c-------------------
							accur=1.e-20

						st=par(1)*beta(kw)
						sw=par(2)*beta(kw)
				call GAUMA (st,sw,st,  gmat)

c------------------------------------
c	  "box" for WINDOW (m1:m2,n1:n2)
c-------------------
		i=INT(cowin*st/dt)+1
			m1=kt-i
	  if (m1.lt.mt1)  m1=mt1
			m2=kt+i
	  if (m2.gt.mt2) m2=mt2
c-------------
						q=ABS(cowin*sw)
					p=w(kw)+q
					q=w(kw)-q
	s1=1.e+20
	s2=-s1
				do 100 i=nw1,nw2
					r=w(i)
			if ((r.ge.q).and.(r.le.p)) then
		if (r.le.s1) then
	s1=r
	n1=i
		end if

		if (r.ge.s2) then
	s2=r
	n2=i
		end if
			end if
100				continue

					if (n1.gt.n2) then
						i=n1
						n1=n2
						n2=i
					end if

c------------------------------------
c	  COV MATRIX
c-------------------
		do 101 i=1,3
		do 101 j=i,3
	coma(i,j)=0.
	coma(j,i)=0.
101		continue
						do 102 m=m1,m2
						do 102 n=n1,n2
					    p=(m-kt)*dt
					    q=w(n)-w(kw)
					s1=EXPO(p,q,gmat)
					s1=s1*s1
				do 103 i=1,3
				do 103 j=1,i
			r=s1*amp(m,n,i)*amp(m,n,j)
		if (i.eq.j) then
	coma(i,i)=coma(i,i)+r
		else
			p=pha(m,n,j)-pha(m,n,i)
	coma(j,i)=coma(j,i)+r*COS(p)
	coma(i,j)=coma(i,j)+r*SIN(p)
		end if
103				continue
102						continue

		trace=coma(1,1)+coma(2,2)+coma(3,3)
					if (trace.gt.accur) then
				do 104 i=1,3
				do 104 j=1,3
			coma(i,j)=coma(i,j)/trace
104				continue
					else
		trace=0.
					end if
							RETURN
							END
