          subroutine POLARIZ(amp,pha,period,alpha,distan,t0,out
     +dt,nflt,np,bazim,
     + azd_z,azd_t,symchan,istage,group)
C---It contains parameters of output;
C---Files RAZIM,RAMP,RQUAL,LAZIM,LAMP,LQUAL are convenient for fast
C---overlook what is good or bad. There are ftan maps of amplitude, quality,
C----and azimuth deviations (in degrees from the great circle).
C---Files razm,ramp,rver,rhor,ratm,rqual
C---Files lazm,lamp,lang,lqual
C---These files contain all results of polarization measurements--
C---maps of amplitude(ramp,lamp), quality (rqual,lqual),azimuthal 
C---deviations(razm,lazm),angle with vertical plane(rver),
C---ratio of axes(rhor), angle of particle motion line with horizon(lang).
C---There are several graphic programs presenting output of these
C---files---------------------------------------------------------
C####################################################################
        REAL*4 AMP(128,50,3),PHA(128,50,3),AZD_Z(50),AZD_T(50)
	REAL*4 W(50),BETA(50),PAR(22),PERIOD(50),ALPHA(50),group
     +(128)
        real*4 val(3,5000),amax(3)
        real*4 vet1(5000),vet2(5000),uvec1(6,5000)
        real*4 vnu1(5000),vnu2(5000),uvec3(6,5000)
	real*4 ramp(128,50),rpha(128,50),qual(128,50)
	real*4 az(128,50),plaver(128,50),axhor(128,50)
	real*4 ratmu(128,50),qua(5000)
	integer*2 num(128,50)
	character*8 wvname1,wvname2
	character*1  symchan   
	data wvname1/'LOVE    	'/,wvname2/'RAYLEIGH'/

C----------------------START OF PROCESSING---------------------------
			cutn=100000.
			pi=3.141592654
			dra=180./pi
c##########  mmax (by time), nmax (by period) - max diagram dimensions
							mmax=128
							nmax=50
							nv=5000
	call DEFPAR (ktd,kwd,az0,iraz,cmi,par)
	mt1=1
	mt2=np
	mt=mt2-mt1+1
	nw1=1
	nw2=nflt
	nw=nw2-nw1+1
	do i=nw1,nw2
	w(i)=2.*pi/PERIOD(I)
	end do
	if (iraz.eq.0) then
	iraz=1 
	AZ0=bazim/dra
	if (az0.ge.pi*2.) az0=az0-2.*pi
	end if
	st=3
	sw=2
	            do  im=1,3
	call REASLI (amp,mmax,im,mt,nw,nmax,w,alpha,beta,amax(im
     +))
                	end do
                                                irazL=iraz
						irazR=iraz
C------------------------------------------------------------------------
 					amm=AMAX1(amax(1),amax(2))
 					amm=AMAX1(amm    ,amax(3))
 		                        if (amm.le.0.) amm=1.
 				do 103 k=1,3
 				do 102 j=nw1,nw2
 				do 102 i=mt1,mt2
 		                amp(i,j,k)=amp(i,j,k)/amm     
 102				continue
 103				continue
C------------------------------------------------------------------------
	call GETPOL(amp,pha,mmax,mt1,mt2,nmax,nw1,nw2,
     +	outdt,w,beta,par,ktd,kwd,cmi,nv,val,vet1,vet2,uvec
     +1,vnu1,vnu2,uvec3,num)
c-------------------------------------------------------------------
      if(istage.gt.0.and.symchan.eq.'Z') go to 666
C---------START OF LOVE POLARIZATION ANALYSIS------------------------------
	kmapL=0
       call LOVPOL (amp,pha,mmax,mt1,mt2,nmax,nw1,nw2,ktd,kwd,
     *                  w,num,val,vet1,vet2,uvec1,nv,az0,irazL,
     +par,
     *                      ier,raz,ramp,rpha,qual,qua,az,axhor
     +,ratmu)
	 if(ier.eq.0) then
c                                   ......................
	 call TRAM (ramp,mmax,mt1,mt2,nmax,nw1,nw2,1, amal)
       kmapL=6
c                                   .....................
	end if

	 print 1005, az0*dra

	  call AVERAZLOV (azAVL)

	  baznew= azAVL*dra+bazim-90.
	  if(baznew.lt.-360.) baznew=baznew+360.
	  if(baznew.gt. 360.) baznew=baznew-360.
	  if(baznew.gt. 180.)baznew=baznew-180.
	  print 1003, baznew
		if (kmapL.le.0) go to 666
       call azcheck(bazim,az,azd_t,'LAZIM',period,group,dra,nw1
     +,nw2,mt1,mt2)
666     if(istage.gt.0.and.symchan.eq.'T') go to 667
C---------END OF LOVE POLARIZATION ANALYSIS------------------------------*
C---------START OF RAYLEIGH POLARIZATION ANALYSIS-------------------------
	kmapR=0
	call RAYPOL (amp,pha,mmax,mt1,mt2,nmax,nw1,nw2,ktd,kwd,
     *              w,num,val,vet1,vet2,uvec1,nv,az0,irazR,par,
     +
     *          ier,raz,ramp,rpha,qual,qua,az,plaver,axhor,ratm
     +u)
		      if (ier.eq.0) then
c                                   ......................
        call TRAM (ramp,mmax,mt1,mt2,nmax,nw1,nw2,1, amar)

	do 101 j=nw1,nw2
        do 101 i=mt1,mt2
	     r=ratmu(i,j)
c	     s=r
c	 if (r.lt.cutn) s=1.
c	 if (r.lt.0.) s=-1.
c	  rota(i,j)=s
	  ratmu(i,j)=ABS(r)
	   kmapR=7
101                                             continue
c                                   ....................
	                            end if   

	 print 1005, az0*dra
c gcc4 
         print *,'point 0'
		 call AVERAZRAY (azAVR)
         print *,'point 1'
	  baznew= azAVR*dra+bazim
	  if(baznew.lt.-360.) baznew=baznew+360.
	  if(baznew.gt. 360.) baznew=baznew-360.
	  if(baznew.gt. 180.)baznew=baznew-180.
	  print 1004, baznew
		if (kmapR.le.0) return
       call azcheck(bazim,az,azd_z,'RAZIM',period,group,dra,nw1
     +,nw2,mt1,mt2)
C---------END OF RAYLEIGH POLARIZATION ANALYSIS-------------------------*
667	RETURN               
1003    format(/32x,'AVERAGE AZIMUTH   LOVE    :   ',f7.2)
1004    format(/32x,'AVERAGE AZIMUTH   RAYLEIGH:   ',f7.2)
1005    format(/32x,'APRIORI AZIMUTH           :   ',f7.2)
                  END
