            subroutine prepar_n(ntmin,ntmax)
C------to set parameters and fix the time series length---------


c		declarations for stachan_sctlist_wfdisc common block
	parameter (mstachan = 1500, msegs = 20)
	character*6 sta_sctlist_wfdisc
	character*8 chan_sctlist_wfdisc
	integer numsctlist_wfdisc, ntuple_sctlist_wfdisc, nsegs_
     +sctlist_wfdisc
	real*8 time_sctlist_wfdisc, endtime_sctlist_wfdisc
	common/c_sctlist_wfdisc/sta_sctlist_wfdisc(mstachan), 
     *    chan_sctlist_wfdisc(mstachan),time_sctlist_wfdisc(mst
     +achan,msegs), 
     *    endtime_sctlist_wfdisc(mstachan, msegs),ntuple_sctlis
     +t_wfdisc(mstachan,msegs), 
     *    nsegs_sctlist_wfdisc(mstachan),icalled_sctlist_wfdisc
     +,numsctlist_wfdisc

c		declarations for stachan_sctlist_wfedit common block
	parameter (medits = 100)
	character*6 sta_sctlist_wfedit
	character*8 chan_sctlist_wfedit, probtype_sctlist_wfedit
     +, edtype_sctlist_wfedit
	integer numsctlist_wfedit, ntuple_sctlist_wfedit, nsegs_
     +sctlist_wfedit
	real*8 time_sctlist_wfedit, endtime_sctlist_wfedit
	common /MY_OWN/ idlina
	common/c_sctlist_wfedit/sta_sctlist_wfedit(mstachan), 
     *    chan_sctlist_wfedit(mstachan),time_sctlist_wfedit(mst
     +achan,medits), 
     *    endtime_sctlist_wfedit(mstachan, medits),probtype_sct
     +list_wfedit(mstachan, medits),
     *	  edtype_sctlist_wfedit(mstachan, medits),ntuple_s
     +ctlist_wfedit(mstachan,medits), 
     *    nsegs_sctlist_wfedit(mstachan),icalled_sctlist_wfedit
     +,numsctlist_wfedit

c		waveform declarations
	parameter (mdata= 72000)
	common/c_data/t(mdata), d(mdata), t_plot(mdata), d_plot(
     +mdata), nlen_data, nlen_plot,
     *    t1(mdata), d1(mdata)

c		plotting declarations
	character*80 x_label, y_label, title
	character chr
	character*80 fg, bg
	common/mhr_nplot/itran,ipost,iwsize,ssize,xwin,ywin,
     *   xdim,ydim,xlow,ylow,init,chr,x_label,y_label,title,fg,
     +bg,iltype,thick

c		declarations for sta:chn sifting
	parameter (msc=1500)
	character*6 sta_plot
	character*8 chan_plot
	common/c_scplot/sta_plot(msc), chan_plot(msc), numplot

c		odds and ends
	character ifedit, ifinterp, overplot_type, gpvel_cmp, if
     +_centryd, if_auto_out
	character*80 ps_file, xlabel_t, xlabel_f, ylabel_t, ylab
     +el_f, notefile
	common/c_oande/icurrent, ifedit, ifinterp, ps_file, idis
     +p, ift_disc, istage, 
     *	inewfilt, xlabel_t, xlabel_f, ylabel_t, ylabel_f, 
     +nrownote, inote, 
     *  notefile, overplot_type, if_centryd, if_auto_out, gpvel
     +_cmp,
     *  t01_bp,tc1_bp,tc2_bp,t02_bp

c		source information from cmt relations (menu, print_cmt)
	character*24 region_src
	integer iy_src, jday_src, imo_src, id_src, ih_src, imin_
     +src, expo_src
	real sec_src, lat_src, lon_src, depth_src, smo_src, mzz_
     +src, mss_src, 
     *   mee_src, mzs_src, mze_src, mse_src, magb_src, mags_src
     +, dtt_src
	common/c_src/iy_src, jday_src, imo_src, id_src, ih_src, 
     +imin_src, 
     *   sec_src, expo_src, lat_src, lon_src, depth_src, smo_sr
     +c, mzz_src,
     *   mss_src, mee_src, mzs_src, mze_src, mse_src, magb_src,
     + mags_src, 
     *   region_src, dtt_src

c		waveform indices, etc.
	common/c_tw/time_display, endtime_display, ibeg_t_displa
     +y,iend_t_display,
     *    nlen_t_display

c		anatoli's common blocks
       	parameter (mperiod = 50, mgroup = 150, mphase = 1
     +5, mkeys = 15, nraz =  66000,
     *	nseis=72000)
       	character*4 order
	character*6 stnam
	character*8 nchan, nchanR, nchanT, nchanZ, nchanN, nchan
     +E
	character*1 symchan
       	character*60 wfout, dispout
       	character*80 infile, outfile, grvfile, phvfile, s
     +vafile, filtseis, in_file
       	logical TYP,clue
       	common/shmaxis/period(mperiod),group(mgroup)
       	common/int_param/n2pow, nbase, nhalf, m2pow, mdec
     +, ndec, nw, np, nflt,
     * 		nflt0, nlen, nskip, nfirst
       	common/re_param/distan, bazim, azie, t0, tratime,
     + tmax, tmin, tmin_save, tmax_save, 
     *	grmax, grmin, grmax_save, grmin_save, grstart, grs
     +tart_save, tdel, tinit, outdt, 
     *  dur, frstep, dt, vmin, vmax, tref,norb,k_mode,grcentr,w
     +idth
       	common/gauss/alpha(mperiod), nf(mperiod),alph
       	common/result/amp(mgroup,mperiod), phase(mgroup,m
     +period),ampmax,
     * 		phavel(mperiod,mphase),nphase, pervis(mper
     +iod), phmax(mperiod),
     * 		ammax(mperiod), grtime(mperiod),gr(mperiod
     +)
C	common/polar/ amp_temp(mgroup,mperiod,3), phase_temp(mgroup,mperiod,3) 
       	common/prelim/stnam, nchan, symchan, iyear, iday,
     + nchanZ, nchanN, nchanE,
     *    t0_Z, t0_N, t0_E, dt_Z, dt_N, dt_E, dZ(nseis), dN(nse
     +is), dE(nseis), 
     *    tZ(nseis), tN(nseis), tE(nseis), ierrZ, ierrN, ierrE,
     + nZ, nN, nE,
     *    icurrN, icurrE, icurrZ, itupleZ, itupleN, itupleE, ic
     +urr_tuple,
     *    calibN, calibE, calibZ, hangN, hangE, isegZ, isegRT, 
     +iseg
	common/rot/order, nchanT, nchanR, n_RT, t0_RT, dt_RT, dR
     +AD(nseis), dTRANS(nseis), t_RT(nseis)
       	common/logamp/bamp(mgroup,mperiod)
       	common/filenames/infile, outfile, grvfile, phvfil
     +e, svafile, filtseis, in_file
       	common/KEYS/TYP(mkeys),clue
       	common/inp_out/seis(nseis), seimax
	common/dbase/wfout,dispout
       	common/instr/ampins(nraz/2), phasins(nraz/2),cali
     +bnom
	parameter (nper_graph=100)
	common/raw_amp/nflt_raw,per_raw(50),amp_raw(50),am_r(npe
     +r_graph),
     *	amp_zold(nper_graph),amp_rold(nper_graph),amp_told
     +(nper_graph),amp_zold_dispdata(nper_graph),
     *  amp_rold_dispdata(nper_graph),amp_told_dispdata(nper_gr
     +aph),per_graph(nper_graph),
     *  per_graph_z(nper_graph),per_graph_r(nper_graph),per_gra
     +ph_t(nper_graph)
       	common/work/sre(nraz), sim(nraz), fre(nraz), fim(
     +nraz), smod(nraz),
     *    tmpre(nraz),tmpim(nraz),tm(nraz)

c		data, dispersion and image information stored for plotting and interaction
	common/c_clean/clean_rz(nraz), clean_rn(nraz), clean_re(
     +nraz), clean_tn(nraz), clean_te(nraz), clean_r(nraz),
     + clean_t(nraz), 
     *    tcl_z(nraz), tcl_h(nraz), ncl_z, ncl_h, ncl_R, ncl_T
	common/c_disp_ftan/groupvel_z(mperiod), groupvel_t(mperi
     +od), groupvel_r(mperiod), 
     *    phasevel_z(mperiod), phasevel_t(mperiod), phasevel_r(
     +mperiod), period_z(mperiod), period_t(mperiod),
     *    period_r(mperiod), amp_z(mperiod), amp_t(mperiod), am
     +p_r(mperiod), pol_z(mperiod), pol_t(mperiod), 
     *    pol_r(mperiod), tdisp_z(mperiod), tdisp_t(mperiod), t
     +disp_r(mperiod), ndisp_z, ndisp_t, ndisp_r, 
     *    istage_z, istage_t, istage_r, t01_z, t01_t, t01_r, tc
     +1_z, tc1_t, tc1_r, t02_z, t02_t, t02_r, tc2_z, 
     *    tc2_t, tc2_r
	common/c_images/ftimage_zraw(mgroup, mperiod), ftimage_z
     +cl(mgroup, mperiod),
     *    ftimage_traw(mgroup, mperiod), ftimage_tcl(mgroup, mp
     +eriod),
     *    ftimage_rraw(mgroup, mperiod), ftimage_rcl(mgroup, mp
     +eriod),
     *    xaxis_zraw(mperiod), yaxis_zraw(mgroup), xaxis_zcl(mp
     +eriod), yaxis_zcl(mgroup), 
     *    xaxis_traw(mperiod), yaxis_traw(mgroup), xaxis_tcl(mp
     +eriod), yaxis_tcl(mgroup),
     *    xaxis_rraw(mperiod), yaxis_rraw(mgroup), xaxis_rcl(mp
     +eriod), yaxis_rcl(mgroup),
     *    nper_zraw, ngroup_zraw, nper_zcl, ngroup_zcl, nper_tr
     +aw, ngroup_traw, nper_tcl, 
     *    ngroup_tcl, nper_rraw, ngroup_rraw, nper_rcl, ngroup_
     +rcl

c		saving input disp relation
	parameter (mdisp2 = 500)
	character*2 stage_disp_save
	character*6 sta_disp_save
	character*8 chan_disp_save, wavetype_disp_save
	character*16 model_disp_save
	character*17 lddate_disp_save
	character*32 dfile_disp_save, dfileerr_disp_save
	character*64 dir_disp_save
	integer dispid_disp_save, jdate_disp_save, orid_disp_sav
     +e, nfreq_disp_save,
     *     commid_disp_save
	real range_disp_save, backaz_disp_save, az_disp_save, t0
     +1_disp_save, tc1_disp_save, 
     *     tc2_disp_save, t02_disp_save
	real*8 time_disp_save
	common/c_disp_save/sta_disp_save(mdisp2), chan_disp_save
     +(mdisp2), 
     *     dispid_disp_save(mdisp2), wavetype_disp_save(mdisp2)
     +, jdate_disp_save(mdisp2),
     *     orid_disp_save(mdisp2), time_disp_save(mdisp2), rang
     +e_disp_save(mdisp2),
     *     backaz_disp_save(mdisp2), az_disp_save(mdisp2), nfre
     +q_disp_save(mdisp2),
     *     stage_disp_save(mdisp2), t01_disp_save(mdisp2), tc1_
     +disp_save(mdisp2),
     *     tc2_disp_save(mdisp2), t02_disp_save(mdisp2), model_
     +disp_save(mdisp2), 
     *	   dir_disp_save(mdisp2), dfile_disp_save(mdisp2),
     + dfileerr_disp_save(mdisp2), 
     *     commid_disp_save(mdisp2), lddate_disp_save(mdisp2), 
     +nrowdisp_save

c		saving input ftdisc relation
	parameter (mftdisc2 = 500)
	character*2 datatype_ftdisc_save, stage_ftdisc_save
	character*6 sta_ftdisc_save
	character*8 chan_ftdisc_save, wavetype_ftdisc_save, imag
     +efield_ftdisc_save
	character*16 imagetype_ftdisc_save, xaxistype_ftdisc_sav
     +e, yaxistype_ftdisc_save
	character*17 lddate_ftdisc_save
	character*32 dfile_ftdisc_save
	character*64 dir_ftdisc_save
	integer ftid_ftdisc_save, jdate_ftdisc_save, orid_ftdisc
     +_save, commid_ftdisc_save,
     *     numtot_ftdisc_save, numimage_ftdisc_save, ny_ftdisc_
     +save, nx_ftdisc_save
	real range_ftdisc_save
	real*8 time_ftdisc_save
	common/c_ftdisc_save/sta_ftdisc_save(mftdisc2), chan_ftd
     +isc_save(mftdisc2), 
     *     ftid_ftdisc_save(mftdisc2), wavetype_ftdisc_save(mft
     +disc2), jdate_ftdisc_save(mftdisc2), 
     *     orid_ftdisc_save(mftdisc2), time_ftdisc_save(mftdisc
     +2), range_ftdisc_save(mftdisc2), 
     *     stage_ftdisc_save(mftdisc2), imagetype_ftdisc_save(m
     +ftdisc2), 
     *     imagefield_ftdisc_save(mftdisc2), xaxistype_ftdisc_s
     +ave(mftdisc2), 
     *     yaxistype_ftdisc_save(mftdisc2), numtot_ftdisc_save(
     +mftdisc2), numimage_ftdisc_save(mftdisc2),
     *     ny_ftdisc_save(mftdisc2), nx_ftdisc_save(mftdisc2), 
     +datatype_ftdisc_save(mftdisc2), 
     *     dir_ftdisc_save(mftdisc2), dfile_ftdisc_save(mftdisc
     +2),  
     *	   commid_ftdisc_save(mftdisc2), lddate_ftdisc_sav
     +e(mftdisc2), nrowftdisc_save
c               quality measure
	common/c_quality/quality

         data nstand/2048/,n2p_st/11/,n2lim/5/
C---------------------------------------------------------------
c	 ftime(v,t)=distan/v-t
c>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
c         Mostinski from DATA - ,mdec/7/
         mdec = 7
	b=dt*(nlen-1)
	a=ftime(grmin,tratime)
	if(a.gt.b)					then
		grmin= distan/(tratime+dt*(nlen-1))
							end if
c>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
	 if(.not.TYP(5))then
         alph=20.*sqrt(distan/1000.)
	 PRINT*,' ALPHA by default = 20.*sqrt(distan/1000.) = ',
     +alph
			else
	 PRINT*,' ALPHA by your order = ',alph
			 endif
C---------------------------------------------------------------
	idlina=nlen
         nflt=nflt0
C---------set alpha -------------------------------------------
          do i=1,nflt
         alpha(i)=alph
	   end do
C------the timeseries limits are determined here---------------
	st=ftime(grstart,t0)
	stmax=ftime(grmax,t0)
	al=ftime(grmin,t0)
	na=int((al-st)/dt+0.5)
	nbase=nstand
        do i=1,n2lim
	if (na.lt.nbase) go to 1
	nbase=2*nbase   
	end do
	i=n2lim+1
c-------nbase should be less than 2**(n2p_st+n2lim)=(2**16)----------
1       n2pow=n2p_st+i-1
        print*, 'n2pow=',n2pow
         m2pow=n2pow-mdec
	 nskip=0
	 nhalf=nbase/2
         ndec=2**mdec   
	 outdt=dt*2**m2pow
	 dur=dt*nbase
	 frstep=1./dur    
C------to correct for start time and skip extra points in the beginning--
       if(st.le.0.0) st=0.
       nskip=int(st/dt+0.5)
       ntmin=max(0,int((distan/grcentr-t0-width/2.)/dt+0.5)-nsk
     +ip)
       ntmax=min(nbase,int((distan/grcentr-t0+width/2.)/dt+0.5)
     +-nskip)
       print *,'ntmin=',ntmin,' ntmax=',ntmax
C      ntmin=max(1,int(stmax/dt+0.5)-nskip)
C      ntmax=min(int(al/dt+0.5)-nskip,nbase)
c	idlina=idlina-nskip
       print *, nskip, ' points in the beginning are skipped'
       st=dt*nskip
       tratime=t0+st
       if(nskip.gt.0) then
        do  i=1,nlen
	 seis(i)=seis(i+nskip)
        end do                              
       nlen=nlen-nskip
       end if
c-------------------------- check and correct permin & permax ----------
	   	if(dur.lt.Tmax*4.)			then
				      Tmax=dur*0.25
				      print    7005, Tmax  
								end if

		if(Tmin.le.dt*2.)				then
     +
				      Tmin=dt*3.
				      print   7004, Tmin  
								end if

		if(Tmax.le.Tmin) 				then
     +
				 print    7007,Tmax,Tmin    
				      Tmax=Tmin    
								end if
c-------------------------- parameters of filters ----------------------
		      r=1./float(nflt-1)
		      gamma=(Tmax/Tmin)**r
      per=Tmin  
      j=0
				      do 10 i=1,nflt   
      nq=int(dur/per+1.5)
      if (i.eq.1) go to 11
      if(nq.eq.nf(j)) go to 10
   11 j=j+1
      alpha(j)=alpha(i)
      nf(j)=nq
   10 					per=per*gamma
      nflt=j
c-------------------------- points for output --------------------------
      if(grmax -(1.e-10)) 100,100,105
  105 a=ftime(grmax,tratime)
       if(a) 100,102,107
  100 print    7010
  102 nfirst=0
      go to 110
  107 nfirst=int(a/outdt+0.5)
C-----so many points will be skipped from output----------------------
  110 b=dt*(nlen-1)
      if(grmin -(1.e-10)) 115,115,120
  120 a=ftime(grmin,tratime)
      if(a.gt.b)					then
			print    7011 
				 else
				 b=a
							end if
115		np=INT(b/outdt+0.5)-nfirst  
	      if (np.le.1) 			then
			      np=1
			      print    7003 
							end if
	 if (np.gt.128) np=128
         print 1092,distan 
	 print 1093,dur,gamma,outdt,nflt,frstep,np,tratime
       tdel=nfirst*outdt  
       tinit=tratime+tdel
	    do i=1,nflt
	    period(i)=1./float((nf(i)-1))/frstep
	    end do
	    do i=1,np
	    group(i)=distan/(tratime+(nfirst+i-1)*outdt)
            end do
ccc       print *, 'end of prepar_n'
       return
 7003 format(/' ***** empty svan diagram'/)
 7004 format(/' ===== corrected permin=',f10.3/)
 7005 format(/' ===== corrected permax=',f10.3/)
 7007 format(/' ***** illegal  permin =', f10.3,' permax=',f10.
     +3/)
 7010 format(/' ===== illegal upper group vel.limit'/)
 7011 format(/' ===== illegal lower group.vel.limit'/)
 1092 format(/' epicentral distance = ',f10.3,'  km'/)
 1093 format(/' internal parameters: duration =',f9.3,' sec',6x
     +
     *   ,'gamma =',f10.4,6x,/ ' output time interval =',f10.3,
     +' sec'
     *   ,2x,'nflt=',i4,2x, 'frstep=',E10.3,6x,/
     *   ' nmb.of output points =',i3,' starting time of record
     +', f10.3)
	END
      

      FUNCTION FTIME(V,T)
     	common/re_param/distan, bazim, azie, t0, tratime,
     + tmax, tmin, tmin_save, tmax_save, 
     *	grmax, grmin, grmax_save, grmin_save, grstart, grs
     +tart_save, tdel, tinit, outdt, 
     *  dur, frstep, dt, vmin, vmax, tref,norb,k_mode,grcentr,w
     +idth
       
       ftime = distan/v-t
       RETURN
       END
