
 /****  Standard include files  ****/
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
#include <sys/param.h>
#include "ahhead.h"

 /****  Local include files  ****/
#include "tmpl.h"
#include "elog.h"
#include "csstime.h"
#include "db.h"
#include "stock.h"
//#include "coords.h"
#include "response.h"
#include <rpc/rpc.h>
#include <math.h>
#include <memory.h>
#include <ctype.h>
#include "origin.h"
#define _MAX_FILE_NAME   200
int xdr_gogethead();
char           *progname;
int 
grnumber();
int  
grname();
int SaveOrigin (char *Origin_name, ORIG *origin,char *ErrorString);
double h2e();
int mday2doy();
int
SaveOrigin (char *Origin_name, ORIG *origin,char *ErrorString)
{
  char output_name[256];char text[64];
  
		Dbptr db;
		Dbvalue value;
	int doy, jdoy,last_doy, orid;
	char etype[32];
	char dtype[32];
	char algorithm[32];
        char author[64];
        double epoph,jepoph;
			struct tm timet;
			struct tm *ttm;
                	long itime;
	char backslash = 0x5c;
	int             grn;
	char            gname[128];
	int fe_region;
		itime = time(NULL);
		ttm = &timet;
		ttm = localtime(&itime);
strcpy(output_name,Origin_name);
*strrchr(output_name,'.') = '\0';


				grn = grnumber(origin->latitude, origin->longitude);
				grname(grn, gname);
				fe_region = grn;


				strcpy(etype,"-");
				strcpy(dtype,"f");
				strcpy(algorithm,"-");
				strcpy(author,"Fmt Prog");

	if (dbopen (output_name, "r+", &db) == dbINVALID) {
		sprintf (ErrorString, "Error: Unable to open database. <%s>\n",output_name);
		return 1;
	}

	db = dblookup (db, 0, "origin", 0, 0);
	dbquery (db, dbRECORD_COUNT, &value);




	if (value.i > 0) {
        sprintf(text,"%crm %s.origin",backslash,output_name);
        system(text);
        dbclose(db);
        dbfree(db);
strcpy(output_name,Origin_name);
*strrchr(output_name,'.') = '\0';
	if (dbopen (output_name, "r+", &db) == dbINVALID) {
		sprintf (ErrorString, "Error: Unable to open database. <%s>\n",output_name);
        dbclose(db);
        dbfree(db);

		return 1;
	}

	db = dblookup (db, 0, "origin", 0, 0);
	dbquery (db, dbRECORD_COUNT, &value);
		
	}

         
	orid = -1;
	last_doy = -1;
		db.record = dbNULL;
		db.field = dbALL;
		dbget(db, 0);
		db.record = dbSCRATCH;

		doy = mday2doy (origin->year, origin->month, origin->day);
		if (last_doy != doy) {
			orid = (origin->year-1900)*1000000+doy*1000+1;
		} else orid++;
		last_doy = doy;
  
      jdoy = mday2doy (ttm->tm_year+1900, ttm->tm_mon, ttm->tm_yday);

     

      epoph  =    h2e(origin->year, doy, origin->hour, origin->minute,origin->second);
      jepoph =    h2e(ttm->tm_year+1900, ttm->tm_yday+1, ttm->tm_hour,      
                  ttm->tm_min,(double)ttm->tm_sec);

 		if (	dbputv (db, 0, 	
                                "lat", origin->latitude,
				"lon", origin->longitude,
				"depth",origin->dep,

				"time",epoph,

    
				"orid", orid,
				"jdate", origin->year*1000+doy,
				"ndef", -1,  //"ndef", or.hypo_np,
				"grn", fe_region,
				"etype", etype,
				"dtype", dtype,
				"mb", origin->mb,
				"ms", origin->ms,
				"ml", origin->ml,
				"algorithm", algorithm,
				"auth", author,
				"commid", -1,
				"lddate", jepoph,

				0) == dbINVALID ) {
	sprintf (ErrorString, "Error: Unable dbputv for database. <%s>\n",output_name);
        dbclose(db);
        dbfree(db);

		return 2;
}
/*
 *		Add the scratch record to the database.
 */

		dbadd (db, 0);
        dbclose(db);
        dbfree(db);

return 0;
	
}

int GetRecordInfo(ahhed *ahhdr ,char *FileNameIn,char *OutErr) {
    ahhed           ah_header;
    XDR             xdr_in,xdr_out;
    FILE           *file;
	int ii;
	if ((file = fopen(FileNameIn, "r")) == 0){
	   sprintf(OutErr, "Can't open ah file %s\n", FileNameIn);
	return 1;
	}
	else
	  {

	    xdrstdio_create(&xdr_in, file, XDR_DECODE);
	    ii = 1;
	    if (xdr_gogethead(ii, &ah_header, &xdr_in) != 0){
		 sprintf(OutErr, "Can't read ah header %s\n", FileNameIn);
		 fclose(file);
		 return 1;
		}
	    xdr_destroy(&xdr_in);
	    fclose(file);

	  }
memcpy(ahhdr,&ah_header,sizeof(ahhed));
return 0;


}
