
 /****  Standard include files  ****/
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "origin.h"
#include <time.h>



 /****  Local include files  ****/
#include "tmpl.h"
#include "elog.h"
#include "csstime.h"
#include "db.h"
#include "stock.h"

int etoh();
double e2h();
int
OpenOrigin (Origin_name, origin,ErrorString)

char *Origin_name;
char *ErrorString;
ORIG *origin;

{
  char output_name[256];
		Dbptr db;
		Dbvalue value;
    struct date_time time;	       /* Time information */
        double epoph;
double latitude,longitude,dep,mb,ms,ml;

strcpy(output_name,Origin_name);
*strrchr(output_name,'.') = '\0';

	
	if (dbopen (output_name, "r", &db) == dbINVALID) {
		sprintf (ErrorString, "Error: Unable to open database. <%s>\n",output_name);
        dbclose(db);
        dbfree(db);

		return 1;
	}

	db = dblookup (db, 0, "origin", 0, 0);
	dbquery (db, dbRECORD_COUNT, &value);
		db.field = dbALL;
		db.record = 0; 
 		if (	dbgetv (db, 0, 	
                                "lat", &latitude,
				"lon", &longitude,
				"depth",&dep,
				"time",&epoph,
				"mb", &mb,
				"ms", &ms,
				"ml", &ml,
			
				0) == dbINVALID ) {
	sprintf (ErrorString, "Error: Unable dbgetv for database. <%s>\n",output_name);
        dbclose(db);
        dbfree(db);

		return 2;
}
	time.epoch = epoph; 
        etoh(&time);
	origin->year = time.year;
	origin->month = time.month;
	origin->day = time.day;
	origin->hour = time.hour;
	origin->minute = time.minute;
	origin->second = time.second;
	origin->latitude = latitude;
	origin->longitude = longitude;
	origin->dep = dep;
	origin->mb = mb;
	origin->ms = ms;
	origin->ml = ml;
        dbclose(db);
        dbfree(db);

	return 0;
	
}
