//	fmtocmdw.h:	Header for FmtOrigincmdw class
//=======================================================================

#ifndef FmtOriginCMDW_H
#define FmtOriginCMDW_H
const int _MAX_FILE_NAME  = 200;

#include <v/vcmdwin.h>	// So we can use vCmdWindow
#include <v/vmenu.h>	// For the menu pane
#include <v/vutil.h>	// For V Utilities
#include <v/vcmdpane.h> // command pane
#include <v/vstatusp.h>	// For the status pane
#include <v/vtimer.h>	// Timer
#include <ctype.h>
#include <string.h>
#include "origin.h"

#ifdef vDEBUG
#include <v/vdebug.h>
#endif
int Is_Digit(char *);
int Is_ZDigit(char *);
int Is_Integer(char *);


#include "FmtOmdlg.h"	// FmtOriginModalDialog

    class FmtOriginCmdWindow;

    class FmtOriginTimer : public vTimer
      {
      public:		//---------------------------------------- public
	FmtOriginTimer(FmtOriginCmdWindow* cw) { cmdw = cw; }
	~FmtOriginTimer() {}
	virtual void TimerTick();
      private:		//--------------------------------------- private
	FmtOriginCmdWindow* cmdw;
      };

    class FmtOriginCmdWindow : public vCmdWindow
      {
	friend int AppMain(int, char**);	// allow AppMain access

      public:		//---------------------------------------- public
	FmtOriginCmdWindow(char*, int, int);
	virtual ~FmtOriginCmdWindow();
	virtual void WindowCommand(ItemVal id, ItemVal val, CmdType cType);
	virtual void KeyIn(vKey keysym, unsigned int shift);
        ORIG origin;
	    char OriginName[_MAX_FILE_NAME];
		void EmptyOrigin();
      protected:	//--------------------------------------- protected

      private:		//--------------------------------------- private

	// Standard elements
	vMenuPane* FmtOriginMenu;		// For the menu bar
	vCommandPane* FmtOriginCmdPane;	// for the command pane
	vStatusPane* FmtOriginStatus;		// For the status bar
	FmtOriginTimer* _timer;	// Timer for Date/Time

	// Dialogs associated with CmdWindow

	FmtOriginModalDialog* FmtOriginMDlg;

      };
#endif
