//	fmts2dcnv.h:	Header for FmtSd2DbTextCanvasPane class
//=======================================================================
#ifndef FmtSd2DbTCNV_H
#define FmtSd2DbTCNV_H

#include <v/vtextcnv.h>

    class FmtSd2DbTextCanvasPane : public vTextCanvasPane
      {
      public:		//---------------------------------------- public
	FmtSd2DbTextCanvasPane();
	virtual ~FmtSd2DbTextCanvasPane();

	// Scrolling
	virtual void HPage(int, int);
	virtual void VPage(int, int);

	virtual void HScroll(int);
	virtual void VScroll(int);
         char *Get_TextOut();
         void  Set_TextOut(char *);
         void  Cat_TextOut(char *);

	// Events
	virtual void FontChanged(vFont& newFont);
	virtual void ResizeText(const int rows, const int cols);
	virtual void Redraw(int x, int y, int w , int h);
	virtual void TextMouseDown(int row, int col, int button);
	virtual void TextMouseUp(int row, int col, int button);
	virtual void TextMouseMove(int row, int col, int button);

      protected:	//--------------------------------------- protected
      private:		//--------------------------------------- private
      char *TextOut;

      };
#endif

