#ifndef _EDIT_LINE_PROPERTY_H
#define _EDIT_LINE_PROPERTY_H
#include <QObject>
#include <QLineEdit>
class QWidget;
class QSpinBox;
class PropertyValue;


class LineDocProperty : public QObject
{
    Q_OBJECT
public:
    LineDocProperty(QWidget * widget,PropertyValue* prop);
virtual    ~LineDocProperty(){}
void SetValueFromDoc();
QWidget *GetEditor() {return widget;}
PropertyValue* GetProp(){return prop;}
void SetProp(PropertyValue* p){prop = p;}
void ReplaceProperty(PropertyValue* newProp);
void FinishEditLine(){editFinish();}
void SetEditedValue(QString val){editedValue = val;}
QSpinBox * spin;
QLineEdit *editor;
protected slots:
    void setValue( const QString  &v );
    void valueEdited( const QString  &v );
    void editFinish();
    void valueSpinChanged ( ); 

private:
    QWidget *widget;
    PropertyValue* prop;
	QString editedValue;
    bool isTreeView;
};


#endif
