TEMPLATE =app

INCLUDEPATH += $(QWTDIR)/include
INCLUDEPATH += $(DSAP)/include

unix : LIBS +=  -L$(DSAP)/lib  -ldbl2 -lds  -lcoords -lm -lev -lio -lmap -lscv2 -ltttaup -ltr -lgpl2 -lol -lgrx -lxcom -lmath -lresponse -lstock -lahio

HEADERS = mainwindow.h \
          default.h \
          projectwizard.h \
          stationlist.h  \
          creationdb.h \
          document.h \
          editline.h \
          fmt4cmdw.h \
          fmt4class.h \
          origin.h    \
          helpwindow.h

SOURCES = main.cpp \
          mainwindow.cpp \
          default.cpp \
          projectwizard.cpp \
          stationlist.cpp  \
          creationdb.cpp \
          document.cpp \
          editline.cpp \
          fmt4Ah2Db.cpp \
          fmt4util.c \
          Utiltime.c  \
          helpwindow.cpp
RESOURCES = application.qrc

FORMS += directoriesbase.ui \
         originbase.ui \
         database.ui  \
         hypobase.ui \
         preview.ui  \
         managebookm.ui


CONFIG += qt warn_on thread release
LANGUAGE = C++

UI_DIR = .
MOC_DIR = moc
OBJECTS_DIR = obj
UI_SOURCES_DIR = .
RCC_DIR = .

unix {
    TARGET =  ../../../bin/dbcreator
}


