c		dbdecimate. uses the reftek digital filter coefficients to
c		attempt to decimate to a specified sampling rate. if the
c		decimate rate is not a multiple of the product of 2,4,5 then
c		it will approximate the desired output rate.  
c     New database may be created; new responses will be in a directory
c     wfname.response (here wfname is a name of directory for decimated
c     waveforms). 
C--------new version of Ritzwoller/Egorkin/Levshin----------------------
C--------last changes done 03/15/94------------------------------------------
c
c Copyright (c) 1993-1996 University of Colorado 
c All rights reserved 


c Copyright (c) 1993-1996 University of Colorado 
c All rights reserved 


      integer dbINVALID
      parameter (dbINVALID = -102)
      integer dbCOUNT
      parameter (dbCOUNT = -301)
      integer dbDATABASE_COUNT
      parameter (dbDATABASE_COUNT = -302	       )
      integer dbTABLE_COUNT
      parameter (dbTABLE_COUNT = -303	      )
      integer dbFIELD_COUNT
      parameter (dbFIELD_COUNT = -304	       )
      integer dbRECORD_COUNT
      parameter (dbRECORD_COUNT = -305	      )
      integer dbDESCRIPTION
      parameter (dbDESCRIPTION = -306)
      integer dbSCHEMA_DESCRIPTION
      parameter (dbSCHEMA_DESCRIPTION = -307    )
      integer dbDATABASE_DESCRIPTION
      parameter (dbDATABASE_DESCRIPTION = -308 )
      integer dbTABLE_DESCRIPTION
      parameter (dbTABLE_DESCRIPTION = -309   )
      integer dbFIELD_DESCRIPTION
      parameter (dbFIELD_DESCRIPTION = -310  )
      integer dbDETAIL
      parameter (dbDETAIL = -311)
      integer dbSCHEMA_DETAIL
      parameter (dbSCHEMA_DETAIL = -312	       )
      integer dbDATABASE_DETAIL
      parameter (dbDATABASE_DETAIL = -313	      )
      integer dbTABLE_DETAIL
      parameter (dbTABLE_DETAIL = -314	     )
      integer dbFIELD_DETAIL
      parameter (dbFIELD_DETAIL = -315	    )
      integer dbNAME
      parameter (dbNAME = -316)
      integer dbSCHEMA_NAME
      parameter (dbSCHEMA_NAME = -317	       )
      integer dbDATABASE_NAME
      parameter (dbDATABASE_NAME = -318	      )
      integer dbTABLE_NAME
      parameter (dbTABLE_NAME = -319	     )
      integer dbFIELD_NAME
      parameter (dbFIELD_NAME = -320	    )
      integer dbTABLE_PRESENT
      parameter (dbTABLE_PRESENT = -321)
      integer dbSIZE
      parameter (dbSIZE = -322)
      integer dbTABLE_SIZE
      parameter (dbTABLE_SIZE = -323	   )
      integer dbFIELD_SIZE
      parameter (dbFIELD_SIZE = -324	  )
      integer dbFIELD_TYPE
      parameter (dbFIELD_TYPE = -328	  )
      integer dbTABLE_FILENAME
      parameter (dbTABLE_FILENAME = -329)
      integer dbDBPATH
      parameter (dbDBPATH = -330)
      integer dbTABLE_DIRNAME
      parameter (dbTABLE_DIRNAME = -331)
      integer dbPRIMARY_KEY
      parameter (dbPRIMARY_KEY = -332)
      integer dbALTERNATE_KEY
      parameter (dbALTERNATE_KEY = -333)
      integer dbFOREIGN_KEYS
      parameter (dbFOREIGN_KEYS = -334)
      integer dbUNIQUE_ID
      parameter (dbUNIQUE_ID = -335)
      integer dbUNIQUE_ID_NAME
      parameter (dbUNIQUE_ID_NAME = -336)
      integer dbSINGLE
      parameter (dbSINGLE = -337)
      integer dbSCHEMA_DEFAULT
      parameter (dbSCHEMA_DEFAULT = -338)
      integer dbDBPATH_DEFAULT
      parameter (dbDBPATH_DEFAULT = -339)
      integer dbLOAD_DATE
      parameter (dbLOAD_DATE = -340)
      integer dbTYPE
      parameter (dbTYPE = -325)
      integer dbFORMAT
      parameter (dbFORMAT = -326)
      integer dbUNITS
      parameter (dbUNITS = -327)
      integer dbDATABASE
      parameter (dbDATABASE = -401)
      integer dbVIEW
      parameter (dbVIEW = -402)
      integer dbTABLE
      parameter (dbTABLE = -403)
      integer dbFIELD
      parameter (dbFIELD = -404)
      integer dbRECORD
      parameter (dbRECORD = -405)
      integer dbMERGE
      parameter (dbMERGE = -406)
      integer dbALL
      parameter (dbALL = -501)
      integer dbPRIMARY
      parameter (dbPRIMARY = -502)
      integer dbALTERNATE
      parameter (dbALTERNATE = -503)
      integer dbSCRATCH
      parameter (dbSCRATCH = -504)
      integer dbNULL
      parameter (dbNULL = -505)
      integer dbBOOLEAN
      parameter (dbBOOLEAN = 1)
      integer dbINTEGER
      parameter (dbINTEGER = 2)
      integer dbREAL
      parameter (dbREAL = 3)
      integer dbTIME
      parameter (dbTIME = 4)
      integer dbYEARDAY
      parameter (dbYEARDAY = 5)
      integer dbSTRING
      parameter (dbSTRING = 6)
      integer dbDATE
      parameter (dbDATE = 7)
      integer dbWAVEFORM
      parameter (dbWAVEFORM = 136)
      integer dbRESPONSE
      parameter (dbRESPONSE = 137)
      integer dbBFLOAT
      parameter (dbBFLOAT = 138)
      integer dbBDOUBLE
      parameter (dbBDOUBLE = 139)
      integer dbBSHORT
      parameter (dbBSHORT = 140)
      integer dbBINT
      parameter (dbBINT = 141)
      integer dbDBPTR
      parameter (dbDBPTR = 142)
      integer dbUNIQUE
      parameter (dbUNIQUE = 1)
      integer dbOUTER_JOIN
      parameter (dbOUTER_JOIN = 2)
      integer dbadd
      integer dbaddnull
      integer dbadd_remark
      integer dbaddv
      integer dbcompile
      integer dbcreate
      integer dbcrunch
      integer dbdelete
      integer dbdestroy
      integer dbex_compile
      integer dbex_eval
      integer dbex_free
      integer dbextfile
      integer dbfilename
      integer dbfind_join_keys
      integer dbget
      integer dbget_remark
      integer dbgetv
      integer dbis_expression
      integer dbmark
      integer dbnextid
      integer dbopen
      integer dbopen_database
      integer dbopen_table
      integer dbput
      integer dbputv
      integer dbputx
      integer dbread_view
      integer dbsave_view
      integer dbset
      integer dbtruncate
      integer dbunjoin
      integer dbwrite_view
      character *(*) ATTRID_ADATE
      character *(*) ATTRID_ALGID
      character *(*) ATTRID_ALGORITHM
      character *(*) ATTRID_AMP
      character *(*) ATTRID_ARID
      character *(*) ATTRID_ARRAY
      character *(*) ATTRID_ATTRIB
      character *(*) ATTRID_ATYPE
      character *(*) ATTRID_AUTH
      character *(*) ATTRID_AZDEF
      character *(*) ATTRID_AZIMUTH
      character *(*) ATTRID_AZRES
      character *(*) ATTRID_BAND
      character *(*) ATTRID_BANDW
      character *(*) ATTRID_BAZIM
      character *(*) ATTRID_BEAMID
      character *(*) ATTRID_BELIEF
      character *(*) ATTRID_BESTDC
      character *(*) ATTRID_BLKFAC
      character *(*) ATTRID_BMTYP
      character *(*) ATTRID_BSLOW
      character *(*) ATTRID_CALIB
      character *(*) ATTRID_CALPER
      character *(*) ATTRID_CALRATIO
      character *(*) ATTRID_CDATE
      character *(*) ATTRID_CDPERR
      character *(*) ATTRID_CFREQ
      character *(*) ATTRID_CHAN
      character *(*) ATTRID_CHANA
      character *(*) ATTRID_CHANID
      character *(*) ATTRID_CHANO
      character *(*) ATTRID_CHID
      character *(*) ATTRID_CLAERR
      character *(*) ATTRID_CLIP
      character *(*) ATTRID_CLOERR
      character *(*) ATTRID_CMPX
      character *(*) ATTRID_CODA
      character *(*) ATTRID_CODDES
      character *(*) ATTRID_CODE
      character *(*) ATTRID_COLDEP
      character *(*) ATTRID_COLDIA
      character *(*) ATTRID_COLINT
      character *(*) ATTRID_COLVOL
      character *(*) ATTRID_COMM
      character *(*) ATTRID_COMMID
      character *(*) ATTRID_COMPA
      character *(*) ATTRID_CONF
      character *(*) ATTRID_COTERR
      character *(*) ATTRID_CTYPE
      character *(*) ATTRID_CUREV
      character *(*) ATTRID_CUROR
      character *(*) ATTRID_DATATYPE
      character *(*) ATTRID_DATE
      character *(*) ATTRID_DATSW
      character *(*) ATTRID_DATTYP
      character *(*) ATTRID_DAY
      character *(*) ATTRID_DEAST
      character *(*) ATTRID_DELAZ
      character *(*) ATTRID_DELSLO
      character *(*) ATTRID_DELTA
      character *(*) ATTRID_DELTIM
      character *(*) ATTRID_DEPDP
      character *(*) ATTRID_DEPTH
      character *(*) ATTRID_DESCR
      character *(*) ATTRID_DESCRIP
      character *(*) ATTRID_DFILE
      character *(*) ATTRID_DIG
      character *(*) ATTRID_DIGITAL
      character *(*) ATTRID_DIP1
      character *(*) ATTRID_DIP2
      character *(*) ATTRID_DIR
      character *(*) ATTRID_DIST
      character *(*) ATTRID_DLID
      character *(*) ATTRID_DNORTH
      character *(*) ATTRID_DOY
      character *(*) ATTRID_DTYPE
      character *(*) ATTRID_DURAT
      character *(*) ATTRID_DUSED
      character *(*) ATTRID_EDATE
      character *(*) ATTRID_EDEPTH
      character *(*) ATTRID_ELEV
      character *(*) ATTRID_EMA
      character *(*) ATTRID_EMARES
      character *(*) ATTRID_ENDTIME
      character *(*) ATTRID_ESAZ
      character *(*) ATTRID_ETYPE
      character *(*) ATTRID_EVID
      character *(*) ATTRID_EVNAME
      character *(*) ATTRID_EXLAT
      character *(*) ATTRID_EXLON
      character *(*) ATTRID_EXPTYP
      character *(*) ATTRID_FILE
      character *(*) ATTRID_FILES
      character *(*) ATTRID_FILTID
      character *(*) ATTRID_FILTYP
      character *(*) ATTRID_FKID
      character *(*) ATTRID_FKQUAL
      character *(*) ATTRID_FKRID
      character *(*) ATTRID_FKTYP
      character *(*) ATTRID_FM
      character *(*) ATTRID_FNORM
      character *(*) ATTRID_FOFF
      character *(*) ATTRID_FSID
      character *(*) ATTRID_FSRID
      character *(*) ATTRID_FSTAT
      character *(*) ATTRID_FSTYP
      character *(*) ATTRID_FTID
      character *(*) ATTRID_GNORM
      character *(*) ATTRID_GRN
      character *(*) ATTRID_GRNAME
      character *(*) ATTRID_HANG
      character *(*) ATTRID_HICUT
      character *(*) ATTRID_HSLOPE
      character *(*) ATTRID_IDTYPE
      character *(*) ATTRID_IDVALUE
      character *(*) ATTRID_IMB
      character *(*) ATTRID_IML
      character *(*) ATTRID_IMS
      character *(*) ATTRID_INID
      character *(*) ATTRID_INSNAME
      character *(*) ATTRID_INSTANT
      character *(*) ATTRID_INSTYP
      character *(*) ATTRID_INSTYPE
      character *(*) ATTRID_INTSCL
      character *(*) ATTRID_IPHASE
      character *(*) ATTRID_JDATE
      character *(*) ATTRID_LAT
      character *(*) ATTRID_LDATE
      character *(*) ATTRID_LDDATE
      character *(*) ATTRID_LEAP
      character *(*) ATTRID_LINENO
      character *(*) ATTRID_LOCATION
      character *(*) ATTRID_LOCUT
      character *(*) ATTRID_LOGAT
      character *(*) ATTRID_LON
      character *(*) ATTRID_LSLOPE
      character *(*) ATTRID_LTYPE
      character *(*) ATTRID_MAG
      character *(*) ATTRID_MAGB
      character *(*) ATTRID_MAGID
      character *(*) ATTRID_MAGLR
      character *(*) ATTRID_MAGNITUDE
      character *(*) ATTRID_MAGSH
      character *(*) ATTRID_MAGTYPE
      character *(*) ATTRID_MAXBLK
      character *(*) ATTRID_MAXF
      character *(*) ATTRID_MAXINT
      character *(*) ATTRID_MAXKX
      character *(*) ATTRID_MAXKY
      character *(*) ATTRID_MAXSX
      character *(*) ATTRID_MAXSY
      character *(*) ATTRID_MB
      character *(*) ATTRID_MBID
      character *(*) ATTRID_MEDIUM
      character *(*) ATTRID_MEXPON
      character *(*) ATTRID_MFF
      character *(*) ATTRID_MFFERR
      character *(*) ATTRID_MINBLK
      character *(*) ATTRID_ML
      character *(*) ATTRID_MLID
      character *(*) ATTRID_MNAME
      character *(*) ATTRID_MO
      character *(*) ATTRID_MOAUTH
      character *(*) ATTRID_MOIST
      character *(*) ATTRID_MON
      character *(*) ATTRID_MRF
      character *(*) ATTRID_MRFERR
      character *(*) ATTRID_MRR
      character *(*) ATTRID_MRRERR
      character *(*) ATTRID_MRT
      character *(*) ATTRID_MRTERR
      character *(*) ATTRID_MS
      character *(*) ATTRID_MSID
      character *(*) ATTRID_MTF
      character *(*) ATTRID_MTFERR
      character *(*) ATTRID_MTT
      character *(*) ATTRID_MTTERR
      character *(*) ATTRID_NAME
      character *(*) ATTRID_NASS
      character *(*) ATTRID_NAXAZM
      character *(*) ATTRID_NAXPLG
      character *(*) ATTRID_NAXVAL
      character *(*) ATTRID_NBYTE
      character *(*) ATTRID_NCALIB
      character *(*) ATTRID_NCALPER
      character *(*) ATTRID_NDEF
      character *(*) ATTRID_NDLID
      character *(*) ATTRID_NDP
      character *(*) ATTRID_NET
      character *(*) ATTRID_NETNAME
      character *(*) ATTRID_NETTYPE
      character *(*) ATTRID_NETWRK
      character *(*) ATTRID_NF
      character *(*) ATTRID_NMB
      character *(*) ATTRID_NMO
      character *(*) ATTRID_NMS
      character *(*) ATTRID_NORID
      character *(*) ATTRID_NOWFT
      character *(*) ATTRID_NRLPB
      character *(*) ATTRID_NRMW
      character *(*) ATTRID_NSAMP
      character *(*) ATTRID_NSLPB
      character *(*) ATTRID_NSMW
      character *(*) ATTRID_NSTA
      character *(*) ATTRID_NX
      character *(*) ATTRID_NXALG
      character *(*) ATTRID_NXARID
      character *(*) ATTRID_NXCHID
      character *(*) ATTRID_NXCOMM
      character *(*) ATTRID_NXDLID
      character *(*) ATTRID_NXEVID
      character *(*) ATTRID_NXFILT
      character *(*) ATTRID_NXFK
      character *(*) ATTRID_NXFKR
      character *(*) ATTRID_NXFS
      character *(*) ATTRID_NXFSR
      character *(*) ATTRID_NXFTID
      character *(*) ATTRID_NXINID
      character *(*) ATTRID_NXORID
      character *(*) ATTRID_NXSENS
      character *(*) ATTRID_NXSITE
      character *(*) ATTRID_NXSPRO
      character *(*) ATTRID_NXWFID
      character *(*) ATTRID_NY
      character *(*) ATTRID_OFFDAT
      character *(*) ATTRID_OFFDATE
      character *(*) ATTRID_ONDATE
      character *(*) ATTRID_OPSW
      character *(*) ATTRID_OPTYP
      character *(*) ATTRID_ORID
      character *(*) ATTRID_PALDEP
      character *(*) ATTRID_PAXAZM
      character *(*) ATTRID_PAXPLG
      character *(*) ATTRID_PAXVAL
      character *(*) ATTRID_PCHID
      character *(*) ATTRID_PDLID
      character *(*) ATTRID_PER
      character *(*) ATTRID_PHASE
      character *(*) ATTRID_PLPREF
      character *(*) ATTRID_PNAME
      character *(*) ATTRID_PORID
      character *(*) ATTRID_PREFOR
      character *(*) ATTRID_PVALUE
      character *(*) ATTRID_QUAL
      character *(*) ATTRID_RECT
      character *(*) ATTRID_REELSZ
      character *(*) ATTRID_REFSTA
      character *(*) ATTRID_REGION
      character *(*) ATTRID_REL
      character *(*) ATTRID_REMARK
      character *(*) ATTRID_RESID
      character *(*) ATTRID_RIPPLE
      character *(*) ATTRID_RSPTYP
      character *(*) ATTRID_RSPTYPE
      character *(*) ATTRID_SAMPRATE
      character *(*) ATTRID_SDDP
      character *(*) ATTRID_SDEPTH
      character *(*) ATTRID_SDMB
      character *(*) ATTRID_SDMO
      character *(*) ATTRID_SDMS
      character *(*) ATTRID_SDOBS
      character *(*) ATTRID_SDZDP
      character *(*) ATTRID_SEAZ
      character *(*) ATTRID_SEGTYP
      character *(*) ATTRID_SEGTYPE
      character *(*) ATTRID_SENSID
      character *(*) ATTRID_SITEID
      character *(*) ATTRID_SLIP1
      character *(*) ATTRID_SLIP2
      character *(*) ATTRID_SLODEF
      character *(*) ATTRID_SLORES
      character *(*) ATTRID_SLOW
      character *(*) ATTRID_SMAJAX
      character *(*) ATTRID_SMINAX
      character *(*) ATTRID_SMPRAT
      character *(*) ATTRID_SNAME
      character *(*) ATTRID_SNR
      character *(*) ATTRID_SPAUTH
      character *(*) ATTRID_SPMM
      character *(*) ATTRID_SPROID
      character *(*) ATTRID_SPRT
      character *(*) ATTRID_SPVT
      character *(*) ATTRID_SRN
      character *(*) ATTRID_SRNAME
      character *(*) ATTRID_STA
      character *(*) ATTRID_STAA
      character *(*) ATTRID_STANAM
      character *(*) ATTRID_STANAME
      character *(*) ATTRID_STAO
      character *(*) ATTRID_STASSID
      character *(*) ATTRID_STATYPE
      character *(*) ATTRID_STAV
      character *(*) ATTRID_STID
      character *(*) ATTRID_STIME
      character *(*) ATTRID_STR1
      character *(*) ATTRID_STR2
      character *(*) ATTRID_STRIKE
      character *(*) ATTRID_STRING
      character *(*) ATTRID_STT
      character *(*) ATTRID_STX
      character *(*) ATTRID_STY
      character *(*) ATTRID_STYPE
      character *(*) ATTRID_STZ
      character *(*) ATTRID_SXX
      character *(*) ATTRID_SXY
      character *(*) ATTRID_SXZ
      character *(*) ATTRID_SYY
      character *(*) ATTRID_SYZ
      character *(*) ATTRID_SZZ
      character *(*) ATTRID_TAGID
      character *(*) ATTRID_TAGNAME
      character *(*) ATTRID_TAPEBLOCK
      character *(*) ATTRID_TAPEFILE
      character *(*) ATTRID_TARNAM
      character *(*) ATTRID_TAXAZM
      character *(*) ATTRID_TAXPLG
      character *(*) ATTRID_TAXVAL
      character *(*) ATTRID_TCALIB
      character *(*) ATTRID_TDENSE
      character *(*) ATTRID_TEXT
      character *(*) ATTRID_TFILE
      character *(*) ATTRID_TIME
      character *(*) ATTRID_TIMEDEF
      character *(*) ATTRID_TIMERES
      character *(*) ATTRID_TLEN
      character *(*) ATTRID_TMFC
      character *(*) ATTRID_TMFI
      character *(*) ATTRID_TMNLPB
      character *(*) ATTRID_TMNMW
      character *(*) ATTRID_TPBLCK
      character *(*) ATTRID_TPFILE
      character *(*) ATTRID_TPTYPE
      character *(*) ATTRID_TRATBL
      character *(*) ATTRID_TSHIFT
      character *(*) ATTRID_TSITE
      character *(*) ATTRID_TUPID
      character *(*) ATTRID_UNCERTAINTY
      character *(*) ATTRID_USEDFT
      character *(*) ATTRID_VANG
      character *(*) ATTRID_VELID
      character *(*) ATTRID_VMODEL
      character *(*) ATTRID_VOLNAM
      character *(*) ATTRID_VOLNAME
      character *(*) ATTRID_WATDEP
      character *(*) ATTRID_WFID
      character *(*) ATTRID_WGT
      character *(*) ATTRID_YEAR
      character *(*) ATTRID_YIELD
      character *(*) ATTRID_YLDMAX
      character *(*) RELID_AFFILIATION
      character *(*) RELID_ALIAS
      character *(*) RELID_ARRIVAL
      character *(*) RELID_ASSOC
      character *(*) RELID_BEAM
      character *(*) RELID_CENTRYD
      character *(*) RELID_CHANNEL
      character *(*) RELID_CHOPER
      character *(*) RELID_CODE
      character *(*) RELID_COMMENT
      character *(*) RELID_COUNTER
      character *(*) RELID_DATE
      character *(*) RELID_DAY
      character *(*) RELID_DETECTION
      character *(*) RELID_DETLOC
      character *(*) RELID_EVENT
      character *(*) RELID_EVWF
      character *(*) RELID_EXPLO
      character *(*) RELID_EXTRA
      character *(*) RELID_FEATURE
      character *(*) RELID_FILTER
      character *(*) RELID_FKDISC
      character *(*) RELID_FKREC
      character *(*) RELID_FPLANE
      character *(*) RELID_FSDISC
      character *(*) RELID_FSREC
      character *(*) RELID_GREGION
      character *(*) RELID_INSTRUMENT
      character *(*) RELID_LASTID
      character *(*) RELID_LOC
      character *(*) RELID_MOMENT
      character *(*) RELID_NETMAG
      character *(*) RELID_NETWORK
      character *(*) RELID_ORIGERR
      character *(*) RELID_ORIGIN
      character *(*) RELID_REMARK
      character *(*) RELID_SENSOR
      character *(*) RELID_SIGPRO
      character *(*) RELID_SITE
      character *(*) RELID_SITECHAN
      character *(*) RELID_SREGION
      character *(*) RELID_STALOG
      character *(*) RELID_STAMAG
      character *(*) RELID_STASSOC
      character *(*) RELID_STATION
      character *(*) RELID_TAPE
      character *(*) RELID_WFDISC
      character *(*) RELID_WFTAG
      character *(*) RELID_WFTAPE
      character *(*) RELID_WFTAR
      character *(*) RELID_XPARAM
      integer DBL_ASCII
      integer DBL_BINARY
      integer DBL_DBL
      integer DBL_FLT
      integer DBL_INT
      integer DBL_STR
      integer NUMBER_RELS30
      integer NUMBER_ATTRS
      integer NUMBER_ATTRS30
      parameter (ATTRID_ADATE = "adate"		)
      parameter (ATTRID_ALGID = "algid"		)
      parameter (ATTRID_ALGORITHM = "algorithm"	)
      parameter (ATTRID_AMP = "amp"		)
      parameter (ATTRID_ARID = "arid"		)
      parameter (ATTRID_ARRAY = "array"		)
      parameter (ATTRID_ATTRIB = "attrib"	)
      parameter (ATTRID_ATYPE = "atype"		)
      parameter (ATTRID_AUTH = "auth"		)
      parameter (ATTRID_AZDEF = "azdef"		)
      parameter (ATTRID_AZIMUTH = "azimuth"	)
      parameter (ATTRID_AZRES = "azres"		)
      parameter (ATTRID_BAND = "band"		)
      parameter (ATTRID_BANDW = "bandw"		)
      parameter (ATTRID_BAZIM = "bazim"		)
      parameter (ATTRID_BEAMID = "beamid"	)
      parameter (ATTRID_BELIEF = "belief"	)
      parameter (ATTRID_BESTDC = "bestdc"	)
      parameter (ATTRID_BLKFAC = "blkfac"	)
      parameter (ATTRID_BMTYP = "bmtyp"		)
      parameter (ATTRID_BSLOW = "bslow"		)
      parameter (ATTRID_CALIB = "calib"		)
      parameter (ATTRID_CALPER = "calper"	)
      parameter (ATTRID_CALRATIO = "calratio"	)
      parameter (ATTRID_CDATE = "cdate"		)
      parameter (ATTRID_CDPERR = "cdperr"	)
      parameter (ATTRID_CFREQ = "cfreq"		)
      parameter (ATTRID_CHAN = "chan"		)
      parameter (ATTRID_CHANA = "chana"		)
      parameter (ATTRID_CHANID = "chanid"	)
      parameter (ATTRID_CHANO = "chano"		)
      parameter (ATTRID_CHID = "chid"		)
      parameter (ATTRID_CLAERR = "claerr"	)
      parameter (ATTRID_CLIP = "clip"		)
      parameter (ATTRID_CLOERR = "cloerr"	)
      parameter (ATTRID_CMPX = "cmpx"		)
      parameter (ATTRID_CODA = "coda"		)
      parameter (ATTRID_CODDES = "coddes"	)
      parameter (ATTRID_CODE = "code"		)
      parameter (ATTRID_COLDEP = "coldep"	)
      parameter (ATTRID_COLDIA = "coldia"	)
      parameter (ATTRID_COLINT = "colint"	)
      parameter (ATTRID_COLVOL = "colvol"	)
      parameter (ATTRID_COMM = "comm"		)
      parameter (ATTRID_COMMID = "commid"	)
      parameter (ATTRID_COMPA = "compa"		)
      parameter (ATTRID_CONF = "conf"		)
      parameter (ATTRID_COTERR = "coterr"	)
      parameter (ATTRID_CTYPE = "ctype"		)
      parameter (ATTRID_CUREV = "curev"		)
      parameter (ATTRID_CUROR = "curor"		)
      parameter (ATTRID_DATATYPE = "datatype"	)
      parameter (ATTRID_DATE = "date"		)
      parameter (ATTRID_DATSW = "datsw"		)
      parameter (ATTRID_DATTYP = "dattyp"	)
      parameter (ATTRID_DAY = "day"		)
      parameter (ATTRID_DEAST = "deast"		)
      parameter (ATTRID_DELAZ = "delaz"		)
      parameter (ATTRID_DELSLO = "delslo"	)
      parameter (ATTRID_DELTA = "delta"		)
      parameter (ATTRID_DELTIM = "deltim"	)
      parameter (ATTRID_DEPDP = "depdp"		)
      parameter (ATTRID_DEPTH = "depth"		)
      parameter (ATTRID_DESCR = "descr"		)
      parameter (ATTRID_DESCRIP = "descrip"	)
      parameter (ATTRID_DFILE = "dfile"		)
      parameter (ATTRID_DIG = "dig"		)
      parameter (ATTRID_DIGITAL = "digital"	)
      parameter (ATTRID_DIP1 = "dip1"		)
      parameter (ATTRID_DIP2 = "dip2"		)
      parameter (ATTRID_DIR = "dir"		)
      parameter (ATTRID_DIST = "dist"		)
      parameter (ATTRID_DLID = "dlid"		)
      parameter (ATTRID_DNORTH = "dnorth"	)
      parameter (ATTRID_DOY = "doy"		)
      parameter (ATTRID_DTYPE = "dtype"		)
      parameter (ATTRID_DURAT = "durat"		)
      parameter (ATTRID_DUSED = "dused"		)
      parameter (ATTRID_EDATE = "edate"		)
      parameter (ATTRID_EDEPTH = "edepth"	)
      parameter (ATTRID_ELEV = "elev"		)
      parameter (ATTRID_EMA = "ema"		)
      parameter (ATTRID_EMARES = "emares"	)
      parameter (ATTRID_ENDTIME = "endtime"	)
      parameter (ATTRID_ESAZ = "esaz"		)
      parameter (ATTRID_ETYPE = "etype"		)
      parameter (ATTRID_EVID = "evid"		)
      parameter (ATTRID_EVNAME = "evname"	)
      parameter (ATTRID_EXLAT = "exlat"		)
      parameter (ATTRID_EXLON = "exlon"		)
      parameter (ATTRID_EXPTYP = "exptyp"	)
      parameter (ATTRID_FILE = "file"		)
      parameter (ATTRID_FILES = "files"		)
      parameter (ATTRID_FILTID = "filtid"	)
      parameter (ATTRID_FILTYP = "filtyp"	)
      parameter (ATTRID_FKID = "fkid"		)
      parameter (ATTRID_FKQUAL = "fkqual"	)
      parameter (ATTRID_FKRID = "fkrid"		)
      parameter (ATTRID_FKTYP = "fktyp"		)
      parameter (ATTRID_FM = "fm"		)
      parameter (ATTRID_FNORM = "fnorm"		)
      parameter (ATTRID_FOFF = "foff"		)
      parameter (ATTRID_FSID = "fsid"		)
      parameter (ATTRID_FSRID = "fsrid"		)
      parameter (ATTRID_FSTAT = "fstat"		)
      parameter (ATTRID_FSTYP = "fstyp"		)
      parameter (ATTRID_FTID = "ftid"		)
      parameter (ATTRID_GNORM = "gnorm"		)
      parameter (ATTRID_GRN = "grn"		)
      parameter (ATTRID_GRNAME = "grname"	)
      parameter (ATTRID_HANG = "hang"		)
      parameter (ATTRID_HICUT = "hicut"		)
      parameter (ATTRID_HSLOPE = "hslope"	)
      parameter (ATTRID_IDTYPE = "idtype"	)
      parameter (ATTRID_IDVALUE = "idvalue"	)
      parameter (ATTRID_IMB = "imb"		)
      parameter (ATTRID_IML = "iml"		)
      parameter (ATTRID_IMS = "ims"		)
      parameter (ATTRID_INID = "inid"		)
      parameter (ATTRID_INSNAME = "insname"	)
      parameter (ATTRID_INSTANT = "instant"	)
      parameter (ATTRID_INSTYP = "instyp"	)
      parameter (ATTRID_INSTYPE = "instype"	)
      parameter (ATTRID_INTSCL = "intscl"	)
      parameter (ATTRID_IPHASE = "iphase"	)
      parameter (ATTRID_JDATE = "jdate"		)
      parameter (ATTRID_LAT = "lat"		)
      parameter (ATTRID_LDATE = "ldate"		)
      parameter (ATTRID_LDDATE = "lddate"	)
      parameter (ATTRID_LEAP = "leap"		)
      parameter (ATTRID_LINENO = "lineno"	)
      parameter (ATTRID_LOCATION = "location"	)
      parameter (ATTRID_LOCUT = "locut"		)
      parameter (ATTRID_LOGAT = "logat"		)
      parameter (ATTRID_LON = "lon"		)
      parameter (ATTRID_LSLOPE = "lslope"	)
      parameter (ATTRID_LTYPE = "ltype"		)
      parameter (ATTRID_MAG = "mag"		)
      parameter (ATTRID_MAGB = "magb"		)
      parameter (ATTRID_MAGID = "magid"		)
      parameter (ATTRID_MAGLR = "maglr"		)
      parameter (ATTRID_MAGNITUDE = "magnitude"	)
      parameter (ATTRID_MAGSH = "magsh"		)
      parameter (ATTRID_MAGTYPE = "magtype"	)
      parameter (ATTRID_MAXBLK = "maxblk"	)
      parameter (ATTRID_MAXF = "maxf"		)
      parameter (ATTRID_MAXINT = "maxint"	)
      parameter (ATTRID_MAXKX = "maxkx"		)
      parameter (ATTRID_MAXKY = "maxky"		)
      parameter (ATTRID_MAXSX = "maxsx"		)
      parameter (ATTRID_MAXSY = "maxsy"		)
      parameter (ATTRID_MB = "mb"		)
      parameter (ATTRID_MBID = "mbid"		)
      parameter (ATTRID_MEDIUM = "medium"	)
      parameter (ATTRID_MEXPON = "mexpon"	)
      parameter (ATTRID_MFF = "mff"		)
      parameter (ATTRID_MFFERR = "mfferr"	)
      parameter (ATTRID_MINBLK = "minblk"	)
      parameter (ATTRID_ML = "ml"		)
      parameter (ATTRID_MLID = "mlid"		)
      parameter (ATTRID_MNAME = "mname"		)
      parameter (ATTRID_MO = "mo"		)
      parameter (ATTRID_MOAUTH = "moauth"	)
      parameter (ATTRID_MOIST = "moist"		)
      parameter (ATTRID_MON = "mon"		)
      parameter (ATTRID_MRF = "mrf"		)
      parameter (ATTRID_MRFERR = "mrferr"	)
      parameter (ATTRID_MRR = "mrr"		)
      parameter (ATTRID_MRRERR = "mrrerr"	)
      parameter (ATTRID_MRT = "mrt"		)
      parameter (ATTRID_MRTERR = "mrterr"	)
      parameter (ATTRID_MS = "ms"		)
      parameter (ATTRID_MSID = "msid"		)
      parameter (ATTRID_MTF = "mtf"		)
      parameter (ATTRID_MTFERR = "mtferr"	)
      parameter (ATTRID_MTT = "mtt"		)
      parameter (ATTRID_MTTERR = "mtterr"	)
      parameter (ATTRID_NAME = "name"		)
      parameter (ATTRID_NASS = "nass"		)
      parameter (ATTRID_NAXAZM = "naxazm"	)
      parameter (ATTRID_NAXPLG = "naxplg"	)
      parameter (ATTRID_NAXVAL = "naxval"	)
      parameter (ATTRID_NBYTE = "nbyte"		)
      parameter (ATTRID_NCALIB = "ncalib"	)
      parameter (ATTRID_NCALPER = "ncalper"	)
      parameter (ATTRID_NDEF = "ndef"		)
      parameter (ATTRID_NDLID = "ndlid"		)
      parameter (ATTRID_NDP = "ndp"		)
      parameter (ATTRID_NET = "net"		)
      parameter (ATTRID_NETNAME = "netname"	)
      parameter (ATTRID_NETTYPE = "nettype"	)
      parameter (ATTRID_NETWRK = "netwrk"	)
      parameter (ATTRID_NF = "nf"		)
      parameter (ATTRID_NMB = "nmb"		)
      parameter (ATTRID_NMO = "nmo"		)
      parameter (ATTRID_NMS = "nms"		)
      parameter (ATTRID_NORID = "norid"		)
      parameter (ATTRID_NOWFT = "nowft"		)
      parameter (ATTRID_NRLPB = "nrlpb"		)
      parameter (ATTRID_NRMW = "nrmw"		)
      parameter (ATTRID_NSAMP = "nsamp"		)
      parameter (ATTRID_NSLPB = "nslpb"		)
      parameter (ATTRID_NSMW = "nsmw"		)
      parameter (ATTRID_NSTA = "nsta"		)
      parameter (ATTRID_NX = "nx"		)
      parameter (ATTRID_NXALG = "nxalg"		)
      parameter (ATTRID_NXARID = "nxarid"	)
      parameter (ATTRID_NXCHID = "nxchid"	)
      parameter (ATTRID_NXCOMM = "nxcomm"	)
      parameter (ATTRID_NXDLID = "nxdlid"	)
      parameter (ATTRID_NXEVID = "nxevid"	)
      parameter (ATTRID_NXFILT = "nxfilt"	)
      parameter (ATTRID_NXFK = "nxfk"		)
      parameter (ATTRID_NXFKR = "nxfkr"		)
      parameter (ATTRID_NXFS = "nxfs"		)
      parameter (ATTRID_NXFSR = "nxfsr"		)
      parameter (ATTRID_NXFTID = "nxftid"	)
      parameter (ATTRID_NXINID = "nxinid"	)
      parameter (ATTRID_NXORID = "nxorid"	)
      parameter (ATTRID_NXSENS = "nxsens"	)
      parameter (ATTRID_NXSITE = "nxsite"	)
      parameter (ATTRID_NXSPRO = "nxspro"	)
      parameter (ATTRID_NXWFID = "nxwfid"	)
      parameter (ATTRID_NY = "ny"		)
      parameter (ATTRID_OFFDAT = "offdat"	)
      parameter (ATTRID_OFFDATE = "offdate"	)
      parameter (ATTRID_ONDATE = "ondate"	)
      parameter (ATTRID_OPSW = "opsw"		)
      parameter (ATTRID_OPTYP = "optyp"		)
      parameter (ATTRID_ORID = "orid"		)
      parameter (ATTRID_PALDEP = "paldep"	)
      parameter (ATTRID_PAXAZM = "paxazm"	)
      parameter (ATTRID_PAXPLG = "paxplg"	)
      parameter (ATTRID_PAXVAL = "paxval"	)
      parameter (ATTRID_PCHID = "pchid"		)
      parameter (ATTRID_PDLID = "pdlid"		)
      parameter (ATTRID_PER = "per"		)
      parameter (ATTRID_PHASE = "phase"		)
      parameter (ATTRID_PLPREF = "plpref"	)
      parameter (ATTRID_PNAME = "pname"		)
      parameter (ATTRID_PORID = "porid"		)
      parameter (ATTRID_PREFOR = "prefor"	)
      parameter (ATTRID_PVALUE = "pvalue"	)
      parameter (ATTRID_QUAL = "qual"		)
      parameter (ATTRID_RECT = "rect"		)
      parameter (ATTRID_REELSZ = "reelsz"	)
      parameter (ATTRID_REFSTA = "refsta"	)
      parameter (ATTRID_REGION = "region"	)
      parameter (ATTRID_REL = "rel"		)
      parameter (ATTRID_REMARK = "remark"	)
      parameter (ATTRID_RESID = "resid"		)
      parameter (ATTRID_RIPPLE = "ripple"	)
      parameter (ATTRID_RSPTYP = "rsptyp"	)
      parameter (ATTRID_RSPTYPE = "rsptype"	)
      parameter (ATTRID_SAMPRATE = "samprate"	)
      parameter (ATTRID_SDDP = "sddp"		)
      parameter (ATTRID_SDEPTH = "sdepth"	)
      parameter (ATTRID_SDMB = "sdmb"		)
      parameter (ATTRID_SDMO = "sdmo"		)
      parameter (ATTRID_SDMS = "sdms"		)
      parameter (ATTRID_SDOBS = "sdobs"		)
      parameter (ATTRID_SDZDP = "sdzdp"		)
      parameter (ATTRID_SEAZ = "seaz"		)
      parameter (ATTRID_SEGTYP = "segtyp"	)
      parameter (ATTRID_SEGTYPE = "segtype"	)
      parameter (ATTRID_SENSID = "sensid"	)
      parameter (ATTRID_SITEID = "siteid"	)
      parameter (ATTRID_SLIP1 = "slip1"		)
      parameter (ATTRID_SLIP2 = "slip2"		)
      parameter (ATTRID_SLODEF = "slodef"	)
      parameter (ATTRID_SLORES = "slores"	)
      parameter (ATTRID_SLOW = "slow"		)
      parameter (ATTRID_SMAJAX = "smajax"	)
      parameter (ATTRID_SMINAX = "sminax"	)
      parameter (ATTRID_SMPRAT = "smprat"	)
      parameter (ATTRID_SNAME = "sname"		)
      parameter (ATTRID_SNR = "snr"		)
      parameter (ATTRID_SPAUTH = "spauth"	)
      parameter (ATTRID_SPMM = "spmm"		)
      parameter (ATTRID_SPROID = "sproid"	)
      parameter (ATTRID_SPRT = "sprt"		)
      parameter (ATTRID_SPVT = "spvt"		)
      parameter (ATTRID_SRN = "srn"		)
      parameter (ATTRID_SRNAME = "srname"	)
      parameter (ATTRID_STA = "sta"		)
      parameter (ATTRID_STAA = "staa"		)
      parameter (ATTRID_STANAM = "stanam"	)
      parameter (ATTRID_STANAME = "staname"	)
      parameter (ATTRID_STAO = "stao"		)
      parameter (ATTRID_STASSID = "stassid"	)
      parameter (ATTRID_STATYPE = "statype"	)
      parameter (ATTRID_STAV = "stav"		)
      parameter (ATTRID_STID = "stid"		)
      parameter (ATTRID_STIME = "stime"		)
      parameter (ATTRID_STR1 = "str1"		)
      parameter (ATTRID_STR2 = "str2"		)
      parameter (ATTRID_STRIKE = "strike"	)
      parameter (ATTRID_STRING = "string"	)
      parameter (ATTRID_STT = "stt"		)
      parameter (ATTRID_STX = "stx"		)
      parameter (ATTRID_STY = "sty"		)
      parameter (ATTRID_STYPE = "stype"		)
      parameter (ATTRID_STZ = "stz"		)
      parameter (ATTRID_SXX = "sxx"		)
      parameter (ATTRID_SXY = "sxy"		)
      parameter (ATTRID_SXZ = "sxz"		)
      parameter (ATTRID_SYY = "syy"		)
      parameter (ATTRID_SYZ = "syz"		)
      parameter (ATTRID_SZZ = "szz"		)
      parameter (ATTRID_TAGID = "tagid"		)
      parameter (ATTRID_TAGNAME = "tagname"	)
      parameter (ATTRID_TAPEBLOCK = "tapeblock"	)
      parameter (ATTRID_TAPEFILE = "tapefile"	)
      parameter (ATTRID_TARNAM = "tarnam"	)
      parameter (ATTRID_TAXAZM = "taxazm"	)
      parameter (ATTRID_TAXPLG = "taxplg"	)
      parameter (ATTRID_TAXVAL = "taxval"	)
      parameter (ATTRID_TCALIB = "tcalib"	)
      parameter (ATTRID_TDENSE = "tdense"	)
      parameter (ATTRID_TEXT = "text"		)
      parameter (ATTRID_TFILE = "tfile"		)
      parameter (ATTRID_TIME = "time"		)
      parameter (ATTRID_TIMEDEF = "timedef"	)
      parameter (ATTRID_TIMERES = "timeres"	)
      parameter (ATTRID_TLEN = "tlen"		)
      parameter (ATTRID_TMFC = "tmfc"		)
      parameter (ATTRID_TMFI = "tmfi"		)
      parameter (ATTRID_TMNLPB = "tmnlpb"	)
      parameter (ATTRID_TMNMW = "tmnmw"		)
      parameter (ATTRID_TPBLCK = "tpblck"	)
      parameter (ATTRID_TPFILE = "tpfile"	)
      parameter (ATTRID_TPTYPE = "tptype"	)
      parameter (ATTRID_TRATBL = "tratbl"	)
      parameter (ATTRID_TSHIFT = "tshift"	)
      parameter (ATTRID_TSITE = "tsite"		)
      parameter (ATTRID_TUPID = "tupid"		)
      parameter (ATTRID_UNCERTAINTY = "uncertainty"	)
      parameter (ATTRID_USEDFT = "usedft"	)
      parameter (ATTRID_VANG = "vang"		)
      parameter (ATTRID_VELID = "velid"		)
      parameter (ATTRID_VMODEL = "vmodel"	)
      parameter (ATTRID_VOLNAM = "volnam"	)
      parameter (ATTRID_VOLNAME = "volname"	)
      parameter (ATTRID_WATDEP = "watdep"	)
      parameter (ATTRID_WFID = "wfid"		)
      parameter (ATTRID_WGT = "wgt"		)
      parameter (ATTRID_YEAR = "year"		)
      parameter (ATTRID_YIELD = "yield"		)
      parameter (ATTRID_YLDMAX = "yldmax"	)
      parameter (DBL_ASCII = 0	)
      parameter (DBL_BINARY = 1	)
      parameter (DBL_DBL = 2	)
      parameter (DBL_FLT = 1	)
      parameter (DBL_INT = 0	)
      parameter (DBL_STR = 3	)
      parameter (NUMBER_ATTRS = 282		)
      parameter (NUMBER_ATTRS30 = 152		)
      parameter (NUMBER_RELS30 = 23	)
      parameter (RELID_AFFILIATION = "affiliation"	)
      parameter (RELID_ALIAS = "alias"	)
      parameter (RELID_ARRIVAL = "arrival"	)
      parameter (RELID_ASSOC = "assoc"	)
      parameter (RELID_BEAM = "beam"		)
      parameter (RELID_CENTRYD = "centryd"	)
      parameter (RELID_CHANNEL = "channel"	)
      parameter (RELID_CHOPER = "choper"	)
      parameter (RELID_CODE = "code"		)
      parameter (RELID_COMMENT = "comment"	)
      parameter (RELID_COUNTER = "counter"	)
      parameter (RELID_DATE = "date"		)
      parameter (RELID_DAY = "day"		)
      parameter (RELID_DETECTION = "detection"	)
      parameter (RELID_DETLOC = "detloc"	)
      parameter (RELID_EVENT = "event"	)
      parameter (RELID_EVWF = "evwf"		)
      parameter (RELID_EXPLO = "explo"		)
      parameter (RELID_EXTRA = "extra"		)
      parameter (RELID_FEATURE = "feature"	)
      parameter (RELID_FILTER = "filter"	)
      parameter (RELID_FKDISC = "fkdisc"	)
      parameter (RELID_FKREC = "fkrec"		)
      parameter (RELID_FPLANE = "fplane"	)
      parameter (RELID_FSDISC = "fsdisc"	)
      parameter (RELID_FSREC = "fsrec"		)
      parameter (RELID_GREGION = "gregion"	)
      parameter (RELID_INSTRUMENT = "instrument"	)
      parameter (RELID_LASTID = "lastid"	)
      parameter (RELID_LOC = "loc"		)
      parameter (RELID_MOMENT = "moment"	)
      parameter (RELID_NETMAG = "netmag"	)
      parameter (RELID_NETWORK = "network"	)
      parameter (RELID_ORIGERR = "origerr"	)
      parameter (RELID_ORIGIN = "origin"	)
      parameter (RELID_REMARK = "remark"	)
      parameter (RELID_SENSOR = "sensor"	)
      parameter (RELID_SIGPRO = "sigpro"	)
      parameter (RELID_SITE = "site"	)
      parameter (RELID_SITECHAN = "sitechan"	)
      parameter (RELID_SREGION = "sregion"	)
      parameter (RELID_STALOG = "stalog"	)
      parameter (RELID_STAMAG = "stamag"	)
      parameter (RELID_STASSOC = "stassoc"	)
      parameter (RELID_STATION = "station"	)
      parameter (RELID_TAPE = "tape"		)
      parameter (RELID_WFDISC = "wfdisc"	)
      parameter (RELID_WFTAG = "wftag"	)
      parameter (RELID_WFTAPE = "wftape"	)
      parameter (RELID_WFTAR = "wftar"	)
      parameter (RELID_XPARAM = "xparam"	)
c		nr = max number of rows in the wfdisc file
c		npts = max number of points in the waveform data
	parameter(nr=6000,npts=2097152,npts2=1097152,mseq=10)

c		the following declarations are for the wfdisc attributes
	character segtype,clip
	character*2 datatype
	character*6 sta,instype
	character*8 chan
	character*256 dfile
	character*256 dir
	real*4 samprate,calib,calper
	real*8 time,endtime
	integer wfid,chanid,jdate,nsamp,foff,commid
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Sensor relation !!!!!
	character*6  s_station
	character*8  s_chanal
	real*8       s_time
	real*8       s_endtime
	integer*4    s_inid
	integer*4    s_chanid
	integer*4    s_jdate
	real*4       s_calratio
	real*4       s_calper
	real*4       s_tshift
	character*1  s_instant
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Instrument relation !!
	integer*4    i_inid
	character*50 i_instname
	character*6  i_instype
	character*1  i_band
	character*1  i_digital
	real*4       i_samprate
	real*4       i_ncalib
	real*4       i_ncalper
	character*256 i_dir
	character*256 i_dfile
	character*6  i_rstype
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Sitechan   relation !!
	character*6  c_sta
	character*8  c_chan
	integer*4    c_ondate
	integer*4    c_chanid 
	integer*4    c_offdate
	character*4  c_ctype   
	real*4       c_edepth
	real*4       c_hang  
	real*4       c_vang  
	character*50 c_descript
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	common / sensor /
     *	s_station(nr),s_chanal(nr),s_time(nr),s_endtime(nr),
     *	s_inid(nr),s_chanid(nr),s_jdate(nr),s_calratio(nr),
     *	s_calper(nr),s_tshift(nr),s_instant(nr)
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Sensor relation !!!!!
	common / instrument /
     *	i_inid(nr),i_instname(nr),i_instype(nr),i_band(nr),
     *	i_digital(nr),i_samprate(nr),i_ncalib(nr),i_ncalper(nr),
     *	i_dir(nr),i_dfile(nr),i_rstype(nr)
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Instrument relation !!
         common /sitechan/
     *   c_sta(nr),c_chan(nr),c_ondate(nr),c_chanid(nr),c_offdate(nr),
     *   c_ctype(nr),c_edepth(nr),c_hang(nr),c_vang(nr),c_descript(nr)
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Sitechan   relation !!
c		the following common block contains all the wfdisc
c		attributes
	common/all/sta(nr),chan(nr),time(nr),wfid(nr),chanid(nr),
     +   jdate(nr),endtime(nr),nsamp(nr),samprate(nr),calib(nr),
     +   calper(nr),instype(nr),segtype(nr),datatype(nr),clip(nr),
     +   dir(nr),dfile(nr),foff(nr),commid(nr)
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

c		declarations for input command line arguments
       	character*256 dbin,dbout
	character*256 dirout

	character*16 chsrout
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
c		grab command line arguments
	iarga= iargc()	
	if(iarga.ne.4) then
      print *,'Usage: dbdecimate srateout dbin dbout dirout' 
	 stop
C-----4 arguments are: -------------------------------------
C--srateout   - sampling rate (Hz)---------------------------------1
C--dbin- input database--------------------------------------------2
C--dbout- output database------------------------------------------3
C--dirout- output waveform directory-------------------------------4
C--these 4 arguments are required-----------------------------------
	endif
	 print*, 'to demean and decimate waveforms and create'
	 print*, ' a new wfdisc with old CALIB and CALPER'
	call getarg(1,chsrout)
	read(chsrout,*)srateout
	call getarg(2,dbin)
	call getarg(3,dbout)
	call getarg(4,dirout)
c	create input (dbin) and output (dbout) databases
        call db30create (dbin,idbin)
        if (idbin.eq.0) then
	 print *, 'db30create error 1'
	 stop
        end if
	call db30create(dbout,idbout)
        if (idbout.eq.0) then
	 print *, 'db30create error 2'
	 stop
        end if
c		read in data base and store in common block all.
  	call dbgetntuples(idbin,RELID_WFDISC,ntuples)
  	call readall(idbin,ntuples)             
  	print *,'number of rows in wfdisc file:',ntuples
	call loop(idbin,idbout,dirout,ntuples,srateout)
        end
c/////////////////////////////////////////////////////////////////////////////
c----------------------------------------------------------------------------
	subroutine make_out_dir ( dir,dirout )
c----------------------------------------------------------------------------
	character*(*) dir,dirout
c----------------------------------------------------------------------------
	do i=1,len(dir)
	dirout(i:i)= dir(i:i)
	end do
	do i=1,len(dirout)
        if(dirout(i:i).eq.' '.or.dirout(i:i).eq.char(0)) goto 10
	end do
10      write(dirout(i:i+8),'(a9)')     '.response'
	RETURN
	END
c////////////////////////////////////////////////////////////////////////////
c---------------------------------------------------------------------------
 	subroutine addfilters (isf_all,idecseq,nseq,dirr,name,samprate)
c---------------------------------------------------------------------------
	dimension isf_all(1),idecseq(1)
	dimension filter(6,118), npts(6),conv(118)
	character*(*) dirr,name
c---------------------------------------------------------------------------
	sample= samprate
	do i=1,nseq
	call reftekfilter(filter,npts)
c               find index n to correct filter
	idecfac= idecseq(i)
	if(idecfac.eq.2.and.isf.ne.1) n=1
	if(idecfac.eq.2.and.isf.eq.1) n=2
	if(idecfac.eq.4.and.isf.ne.1) n=3
	if(idecfac.eq.4.and.isf.eq.1) n=4
	if(idecfac.eq.5.and.isf.ne.1) n=5
	if(idecfac.eq.5.and.isf.eq.1) n=6
c               store filter in conv and length in n
	npt=npts(n)
	do j=1,npt
		 conv(j)=filter(n,j)
	 end do
	call add ( conv,npt,dirr,name ,i+10,sample)
	sample= sample/float(idecfac)
	end do
							RETURN
							END

