#include <qstring.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qlineedit.h> 
#include <qfont.h>
#include <qpixmap.h>
#include <qtable.h> 
#include <qmessagebox.h> 
#include <qtoolbutton.h> 
#include "mainwindow.h"
#include "ftacompimpl.h"
#include "document.h"

FtanComp::~FtanComp(){

}
FtanComp::FtanComp( QWidget *parent, FDocument* dc )
    : FtanCompSetBase( parent, 0 ),doc(dc)
{
    setFont( parent->font() );
    QStringList valuelist = QStringList::split (' ',doc->GetFtaCompt()->GetValue ()); 
  
      if( valuelist[0] == "1")  toolButtonFtaZ->setOn (TRUE );else toolButtonFtaZ->setOn (FALSE);
      if( valuelist[1] == "1")  toolButtonFtaR->setOn (TRUE );else toolButtonFtaR->setOn (FALSE);
      if( valuelist[2] == "1")  toolButtonFtaT->setOn (TRUE );else toolButtonFtaT->setOn (FALSE);

}

void FtanComp::accept()
{

QString temp = "";
if (toolButtonFtaZ->isOn()) temp +="1 ";
else  temp +="0 ";
if (toolButtonFtaR->isOn ()) temp +="1 ";
else  temp +="0 ";
if (toolButtonFtaT->isOn ()) temp +="1";
else  temp +="0";

doc->GetFtaCompt()->SetValue(temp);
doc->GetFtaCompt()->SetValueToResetvalue();
doc->GetFtaCompt()->setChanged();


done( Accepted ); 
}
void FtanComp::reject()
{

doc->GetFtaCompt()->SetResetvalueToValue();

done( Rejected );    
}
void FtanComp::buttonDefault(){
    
    QStringList valuelist = QStringList::split (' ',doc->GetFtaCompt()->GetDefaultvalue()); 
  
      if( valuelist[0] == "1")  toolButtonFtaZ->setOn (TRUE );else toolButtonFtaZ->setOn (FALSE);
      if( valuelist[1] == "1")  toolButtonFtaR->setOn (TRUE );else toolButtonFtaR->setOn (FALSE);
      if( valuelist[2] == "1")  toolButtonFtaT->setOn (TRUE );else toolButtonFtaT->setOn (FALSE);


}

