TEMPLATE = app
LANGUAGE = C++

CONFIG += qt warn_on release

LIBS += -L/opt/dsap/3.4/lib -lds -lcoords -ltttaup -lresponse -lstock

INCLUDEPATH += /opt/dsap/3.4/include

HEADERS += mainwindow.h \
	stationlistimpl.h \
	defaults.h \
	document.h \
	propertydialogImpl.h \
	propertyeditor.h \
	selecteventimpl.h \
	toolbarsetimpl.h \
	stationlisteditor.h \
	helpwindow.h \
	newdialogimpl.h \
	setting.h \
	listproperty.h \
	editline.h

SOURCES += main.cpp \
	mainwindow.cpp \
	stationlistimpl.cpp \
	ftaninterface.cpp \
	defaults.cpp \
	document.cpp \
	propertydialogImpl.cpp \
	propertyeditor.cpp \
	FmtOOpen.c \
	selecteventimpl.cpp \
	toolbarsetimpl.cpp \
	stationlisteditor.cpp \
	helpwindow.cpp \
	newdialogimpl.cpp \
	setting.cpp \
	listproperty.cpp \
	editline.cpp

#The following line was changed from FORMS to FORMS3 by qt3to4
FORMS = startdialog.ui \
	newdialog.ui \
	stationlist.ui \
	propertydialogbase.ui \
	selectEvent.ui \
	plotcompset.ui \
	ftancompsetbase.ui \
	filterspecbase.ui \
	ftanwindowsetbase.ui \
	savecleanbase.ui \
	viewpsbase.ui \
	modesetbase.ui \
	propertylist.ui \
        minmaxperiod.ui

IMAGES = images/copy.png \
	images/cut.png \
	images/delete.png \
	images/empty_icon16.png \
	images/exit.png \
	images/find.png \
	images/ftan_Amp.png \
	images/ftan_Filter.png \
	images/ftan_Fta.png \
	images/ftan_Image.png \
	images/ftan_OriginTime.png \
	images/ftan_Ovr.png \
	images/ftan_Polar.png \
	images/ftan_Polarization.png \
	images/ftan_RecProcessed.png \
	images/ftan_RecSaved.png \
	images/ftan_SavePs.png \
	images/ftan_SaveResults.png \
	images/ftan_SaveResultsOld.png \
	images/ftan_Start.png \
	images/ftan_Vel.png \
	images/ftan_ViewResults.png \
	images/ftan_WaveForms.png \
	images/ftan_d_Amp.png \
	images/ftan_d_Filter.png \
	images/ftan_d_Fta.png \
	images/ftan_d_Image.png \
	images/ftan_d_Orbit.png \
	images/ftan_d_OriginTime.png \
	images/ftan_d_Ovr.png \
	images/ftan_d_Polar.png \
	images/ftan_d_Polarization.png \
	images/ftan_d_SavePs.png \
	images/ftan_d_SaveResults.png \
	images/ftan_d_SaveResultsOld.png \
	images/ftan_d_Vel.png \
	images/ftan_d_ViewResults.png \
	images/ftan_d_WaveForms.png \
	images/gotocell.png \
	images/new.png \
	images/paste.png \
	images/save.png \
	images/whatsthis.png \
	images/zoomin.png \
	images/zoomout.png \
	images/LogoEarth16.png \
	images/LogoEarth16m.png \
	images/print \
	images/undo \
	images/redo \
	images/editcut \
	images/editcopy \
	images/editpaste \
	images/searchfind \
	images/ftan_FilterSpec.png \
	images/ftan_Window.png \
	images/ftan_d_FilterSpec.png \
	images/ftan_d_Window.png \
	images/ftan_FtaCompts.png \
	images/ftan_PlotCompts.png \
	images/ftan_d_FtaCompts.png \
	images/ftan_d_PlotCompts.png \
	images/ftan_Default.png \
	images/ftan_Mode.png \
	images/ftan_d_Mode.png \
	images/ftan_Settings.png \
	images/ftan_d_Settings.png \
	images/ftan_Clean.png \
	images/ftan_d_Clean.png \
	images/orbits/ftan_orbit1.png \
	images/orbits/ftan_orbit10.png \
	images/orbits/ftan_orbit11.png \
	images/orbits/ftan_orbit12.png \
	images/orbits/ftan_orbit13.png \
	images/orbits/ftan_orbit14.png \
	images/orbits/ftan_orbit15.png \
	images/orbits/ftan_orbit16.png \
	images/orbits/ftan_orbit2.png \
	images/orbits/ftan_orbit3.png \
	images/orbits/ftan_orbit4.png \
	images/orbits/ftan_orbit5.png \
	images/orbits/ftan_orbit6.png \
	images/orbits/ftan_orbit7.png \
	images/orbits/ftan_orbit8.png \
	images/orbits/ftan_orbit9.png \
	images/ftan_cancel.png \
	images/ftan_d_default.png \
	images/ftan_default.png \
	images/ftan_Fileopen.png \
	images/ftan_r.png \
	images/ftan_t.png \
	images/ftan_e.png \
	images/ftan_n.png \
	images/ftan_z.png \
	images/ftan_Z.png \
	images/ftan_R.png \
	images/ftan_T.png \
	images/ftan_Stop.png \
	images/ftan_Wait.png \
	images/folder_new.png \
	images/filesave.png \
	images/filesaveas.png \
	images/file_d_save.png \
	images/file_d_saveas.png \
	images/folder_open.png \
	images/ftan_export.png \
	images/ftan_d_export.png \
	images/back.png \
	images/forward.png \
	images/periodlist.png \
        images/globe.png \
	images/home.png  \
	images/resetproperty.png 

TARGET =  $(FMT)/bin/ftan
UI_DIR = ./
MOC_DIR = moc
OBJECTS_DIR = obj


#The following line was inserted by qt3to4
QT +=  qt3support 
#The following line was inserted by qt3to4
#CONFIG += uic3

