#ifndef NEWDIALOGIMPL_H
#define NEWDIALOGIMPL_H
#include "ui_newdialog.h"
#include "origin.h"
class Q3ListBox;
class NewDialog : public QDialog, private Ui::NewDialogBase
{
    Q_OBJECT

public:
    NewDialog( QWidget *parent,bool justverify);
    ~NewDialog();
    bool IsChecked();
        
    QString wfdiscAbsPath;
    QString rootAbsPath;
    QString originAbsPath;
    QString eventInfo;
    QString wfdiscRelativePath;
    QString rootRelativePath;
    QString originRelativePath;
    QString numOriginRow;
    QPushButton * GetButtonHelp()   {return buttonHelp;  }
    QPushButton * GetButtonOk()     {return buttonOk;    }
    QPushButton * GetButtonCancel() {return buttonCancel;}
    QPushButton *buttonCancel;
protected slots:
    void accept(); 
    void reject();
    void browseWfdisc();
    void browseRoot();
    void browseOrigin();
    void selectEvent();

private:
    ORIG** origin;
    int recCount;
    void error(const QString &message);
    void getEventInfo();
    bool verify;
};

#endif
