
      subroutine newresp(dir_o,file_o,calper_o,calib_o,
     +   sampr_o,file_n,calper_n,calib_n,sampr_n,istep,ierr)
C-------to find a new response and write it in a file-----------------
C-------to find a new CALIB for a new CALPER if necessary
C------dir_o,file_o,calper_o,calib_o,sampr_o,file_n,sampr_n,istep are input arguments;
C------istep is not currently used (istep=1/2 depending on input/output sampling rate)
C------calib_n,ierr are output arguments;
#       include '/jspc/sw/include/css30_defs.i'
C---------------------------------------------------------------------------------
	parameter (mseq=10)
	integer*4 idecseq(mseq)
	 integer*4 isf_all(mseq)
	 character*32 file_o, file_n
	 character*64 dir_o,dir_n ,fulname_o,fulname_n 
	 character*80 bred(2000)
	 real*8 xn
	 logical tf
	 data dir_n/'response'/
	 data eps/0.001/
C---------------------------------------------------------------------------------
	 ierr=0
	     call decfactor(sampr_o,sampr_n,idecseq,nseq)
	                 decfac=1.
			 isf=1
			 do i=1,nseq
		    if(i.eq.nseq) isf=2
		    isf_all(i)= isf
		    decfac=decfac*idecseq(i)
		    end do
		    frin=1./calper_o
		    frout=1./calper_n
		    inda=1
c-------dtermine the full address of an old response file and check if exists---
       do j=1,64
       fulname_o(j:j)=' '
       fulname_n(j:j)=' '
       end do
       ln=lnblnk(dir_o)
       lf=lnblnk(file_o)
       fulname_o(1:ln)=dir_o(1:ln)
       fulname_o(ln+1:ln+1)='/'
       fulname_o(ln+2:ln+1+lf)=file_o(1:lf)
       lfo=ln+lf+1
	INQUIRE (file=fulname_o,exist=tf)
	if (.not.tf) then 
	print '(a,a,a)', 'No file ', fulname_o,' exists'
	ierr=1
	return
	            end if
c-------dtermine the full address of a new response file and open files  --
       ln=lnblnk(dir_n)
       lf=lnblnk(file_n)
       fulname_n(1:ln)=dir_n(1:ln)
       fulname_n(ln+1:ln+1)='/'
       fulname_n(ln+2:ln+1+lf)=file_n(1:lf)
       lfn=ln+lf+1
       open(1,file=fulname_o,status='OLD')
       open(22,file=fulname_n)
c------to read an old and to copy it into a new response file
       do i=1,2000
       read(1,1000,end=99) bred(i)
       write(22,1000) bred(i)
       end do
c------to add new fir filters describing decimation-----------------------
99     call addfilters(isf_all,idecseq,nseq,sampr_o)
       close(1)
       close(22)
       calib_n=calib_o
       if(abs(frin-frout).lt.eps) return
c------to find a new calib if necessary----------------------------------
       open(1,file=fulname_o,status='OLD')
       call change_resp(fulname_o,lfo,frin,rcoeff1,xnorm)
       close(1)
       open(22,file=fulname_n,status='OLD')
       call change_resp(fulname_o,lfo,frout,rcoeff2,xnorm)
       close(22)
       calib_n= calib_o/rcoeff1*rcoeff2
       xn=xnorm/rcoeff2
       print*, 'CALIBS: OLD ',calib_o' NEW: ',calib_n, 'COEFFS: '
     + , rcoeff1,rcoeff2,1./frin,1./frout
       open(22,file=fulname_n,status='OLD')
       do i=1,3
       read(22,'(a)') ,bred(i)
       end do
       write(22,1001) xn,frin
       print *, xn,xnorm,frin
       close(22)
1000   format(a80)
1001   format(E20.10,f10.7)
	 return
	 end
