        program mk_dbdecim
C-------to create a new database for decimated channels:
C-------LbHZ,LbHN,LbHE,LbLZ,LbLN,LbLE channels from  BHZ,BHN,BHE,BLZ,BLN,BLE 
C-------channels decimated to 1 Hz sampling rate;   
C-------LmHZ,LmHN,LmHE,LmLZ,LmLN,LmLE channels from  MHZ,MHN,MHE,MLZ,MLN,MLE 
C-------channels decimated to 1 Hz sampling rate;   
C-------VbHZ,VbHN,VbHE,VbLZ,VbLN,VbLE channels from  BHZ,BHN,BHE,BLZ,BLN,BLE 
C-------channels decimated to 0.1 Hz sampling rate;   
C-------VmHZ,VmHN,VmHE,VmLZ,VmLN,VmLE channels from  MHZ,MHN,MHE,MLZ,MLN,MLE 
C-------channels decimated to 0.1 Hz sampling rate;   
C-------All other input channels are ignored!-----------------------------------
C-------CALPERs and CALIBs may be changed according the rule:
C-------if old CALPER is less than q=10/samprate the new CALPER=q; then
C-------a new CALIB will be found for a new CALPER;
C-------otherwise no changes of CALPER and CALIB--------------------------
	integer	NUMBER_RELS30
	parameter (NUMBER_RELS30 = 23)
	integer	RELID_AFFILIATION
	parameter (RELID_AFFILIATION = 1)
	integer	RELID_ARRIVAL
	parameter (RELID_ARRIVAL = 2)
	integer	RELID_ASSOC
	parameter (RELID_ASSOC = 3)
	integer	RELID_EVENT
	parameter (RELID_EVENT = 4)
	integer	RELID_GREGION
	parameter (RELID_GREGION = 5)
	integer	RELID_INSTRUMENT
	parameter (RELID_INSTRUMENT = 6)
	integer	RELID_LASTID
	parameter (RELID_LASTID = 7)
	integer	RELID_NETMAG
	parameter (RELID_NETMAG = 8)
	integer	RELID_NETWORK
	parameter (RELID_NETWORK = 9)
	integer	RELID_ORIGERR
	parameter (RELID_ORIGERR = 10)
	integer	RELID_ORIGIN
	parameter (RELID_ORIGIN = 11)
	integer	RELID_REMARK
	parameter (RELID_REMARK = 12)
	integer	RELID_SENSOR
	parameter (RELID_SENSOR = 13)
	integer	RELID_SITE
	parameter (RELID_SITE = 14)
	integer	RELID_SITECHAN
	parameter (RELID_SITECHAN = 15)
	integer	RELID_SREGION
	parameter (RELID_SREGION = 16)
	integer	RELID_STAMAG
	parameter (RELID_STAMAG = 17)
	integer	RELID_STASSOC
	parameter (RELID_STASSOC = 18)
	integer	RELID_WFDISC
	parameter (RELID_WFDISC = 19)
	integer	RELID_WFTAG
	parameter (RELID_WFTAG = 20)
	integer	RELID_WFTAPE
	parameter (RELID_WFTAPE = 21)
	integer	RELID_ALIAS
	parameter (RELID_ALIAS = 22)
	integer	RELID_WFTAR
	parameter (RELID_WFTAR = 23)
	integer	RELNAME_AFFILIATION
	parameter (RELNAME_AFFILIATION = "affiliation")
	integer	RELNAME_ARRIVAL
	parameter (RELNAME_ARRIVAL = "arrival")
	integer	RELNAME_ASSOC
	parameter (RELNAME_ASSOC = "assoc")
	integer	RELNAME_EVENT
	parameter (RELNAME_EVENT = "event")
	integer	RELNAME_GREGION
	parameter (RELNAME_GREGION = "gregion")
	integer	RELNAME_INSTRUMENT
	parameter (RELNAME_INSTRUMENT = "instrument")
	integer	RELNAME_LASTID
	parameter (RELNAME_LASTID = "lastid")
	integer	RELNAME_NETMAG
	parameter (RELNAME_NETMAG = "netmag")
	integer	RELNAME_NETWORK
	parameter (RELNAME_NETWORK = "network")
	integer	RELNAME_ORIGERR
	parameter (RELNAME_ORIGERR = "origerr")
	integer	RELNAME_ORIGIN
	parameter (RELNAME_ORIGIN = "origin")
	integer	RELNAME_REMARK
	parameter (RELNAME_REMARK = "remark")
	integer	RELNAME_SENSOR
	parameter (RELNAME_SENSOR = "sensor")
	integer	RELNAME_SITE
	parameter (RELNAME_SITE = "site")
	integer	RELNAME_SITECHAN
	parameter (RELNAME_SITECHAN = "sitechan")
	integer	RELNAME_SREGION
	parameter (RELNAME_SREGION = "sregion")
	integer	RELNAME_STAMAG
	parameter (RELNAME_STAMAG = "stamag")
	integer	RELNAME_STASSOC
	parameter (RELNAME_STASSOC = "stassoc")
	integer	RELNAME_WFDISC
	parameter (RELNAME_WFDISC = "wfdisc")
	integer	RELNAME_WFTAG
	parameter (RELNAME_WFTAG = "wftag")
	integer	RELNAME_WFTAPE
	parameter (RELNAME_WFTAPE = "wftape")
	integer	RELNAME_ALIAS
	parameter (RELNAME_ALIAS = "alias")
	integer	RELNAME_WFTAR
	parameter (RELNAME_WFTAR = "wftar")
	integer	NUMBER_ATTRS30
	parameter (NUMBER_ATTRS30 = 152)
	integer	ATTRID_ALGORITHM
	parameter (ATTRID_ALGORITHM = 1)
	integer	ATTRID_AMP
	parameter (ATTRID_AMP = 2)
	integer	ATTRID_ARID
	parameter (ATTRID_ARID = 3)
	integer	ATTRID_AUTH
	parameter (ATTRID_AUTH = 4)
	integer	ATTRID_AZDEF
	parameter (ATTRID_AZDEF = 5)
	integer	ATTRID_AZIMUTH
	parameter (ATTRID_AZIMUTH = 6)
	integer	ATTRID_AZRES
	parameter (ATTRID_AZRES = 7)
	integer	ATTRID_BAND
	parameter (ATTRID_BAND = 8)
	integer	ATTRID_BELIEF
	parameter (ATTRID_BELIEF = 9)
	integer	ATTRID_CALIB
	parameter (ATTRID_CALIB = 10)
	integer	ATTRID_CALPER
	parameter (ATTRID_CALPER = 11)
	integer	ATTRID_CALRATIO
	parameter (ATTRID_CALRATIO = 12)
	integer	ATTRID_CHAN
	parameter (ATTRID_CHAN = 13)
	integer	ATTRID_CHANID
	parameter (ATTRID_CHANID = 14)
	integer	ATTRID_CLIP
	parameter (ATTRID_CLIP = 15)
	integer	ATTRID_COMMID
	parameter (ATTRID_COMMID = 16)
	integer	ATTRID_CONF
	parameter (ATTRID_CONF = 17)
	integer	ATTRID_CTYPE
	parameter (ATTRID_CTYPE = 18)
	integer	ATTRID_DATATYPE
	parameter (ATTRID_DATATYPE = 19)
	integer	ATTRID_DEAST
	parameter (ATTRID_DEAST = 20)
	integer	ATTRID_DELAZ
	parameter (ATTRID_DELAZ = 21)
	integer	ATTRID_DELSLO
	parameter (ATTRID_DELSLO = 22)
	integer	ATTRID_DELTA
	parameter (ATTRID_DELTA = 23)
	integer	ATTRID_DELTIM
	parameter (ATTRID_DELTIM = 24)
	integer	ATTRID_DEPDP
	parameter (ATTRID_DEPDP = 25)
	integer	ATTRID_DEPTH
	parameter (ATTRID_DEPTH = 26)
	integer	ATTRID_DESCRIP
	parameter (ATTRID_DESCRIP = 27)
	integer	ATTRID_DFILE
	parameter (ATTRID_DFILE = 28)
	integer	ATTRID_DIGITAL
	parameter (ATTRID_DIGITAL = 29)
	integer	ATTRID_DIR
	parameter (ATTRID_DIR = 30)
	integer	ATTRID_DIST
	parameter (ATTRID_DIST = 31)
	integer	ATTRID_DNORTH
	parameter (ATTRID_DNORTH = 32)
	integer	ATTRID_DTYPE
	parameter (ATTRID_DTYPE = 33)
	integer	ATTRID_EDEPTH
	parameter (ATTRID_EDEPTH = 34)
	integer	ATTRID_ELEV
	parameter (ATTRID_ELEV = 35)
	integer	ATTRID_EMA
	parameter (ATTRID_EMA = 36)
	integer	ATTRID_EMARES
	parameter (ATTRID_EMARES = 37)
	integer	ATTRID_ENDTIME
	parameter (ATTRID_ENDTIME = 38)
	integer	ATTRID_ESAZ
	parameter (ATTRID_ESAZ = 39)
	integer	ATTRID_ETYPE
	parameter (ATTRID_ETYPE = 40)
	integer	ATTRID_EVID
	parameter (ATTRID_EVID = 41)
	integer	ATTRID_EVNAME
	parameter (ATTRID_EVNAME = 42)
	integer	ATTRID_FM
	parameter (ATTRID_FM = 43)
	integer	ATTRID_FOFF
	parameter (ATTRID_FOFF = 44)
	integer	ATTRID_GRN
	parameter (ATTRID_GRN = 45)
	integer	ATTRID_GRNAME
	parameter (ATTRID_GRNAME = 46)
	integer	ATTRID_HANG
	parameter (ATTRID_HANG = 47)
	integer	ATTRID_IDTYPE
	parameter (ATTRID_IDTYPE = 48)
	integer	ATTRID_IDVALUE
	parameter (ATTRID_IDVALUE = 49)
	integer	ATTRID_IMB
	parameter (ATTRID_IMB = 50)
	integer	ATTRID_IML
	parameter (ATTRID_IML = 51)
	integer	ATTRID_IMS
	parameter (ATTRID_IMS = 52)
	integer	ATTRID_INID
	parameter (ATTRID_INID = 53)
	integer	ATTRID_INSNAME
	parameter (ATTRID_INSNAME = 54)
	integer	ATTRID_INSTANT
	parameter (ATTRID_INSTANT = 55)
	integer	ATTRID_INSTYPE
	parameter (ATTRID_INSTYPE = 56)
	integer	ATTRID_IPHASE
	parameter (ATTRID_IPHASE = 57)
	integer	ATTRID_JDATE
	parameter (ATTRID_JDATE = 58)
	integer	ATTRID_LAT
	parameter (ATTRID_LAT = 59)
	integer	ATTRID_LDDATE
	parameter (ATTRID_LDDATE = 60)
	integer	ATTRID_LINENO
	parameter (ATTRID_LINENO = 61)
	integer	ATTRID_LOCATION
	parameter (ATTRID_LOCATION = 62)
	integer	ATTRID_LOGAT
	parameter (ATTRID_LOGAT = 63)
	integer	ATTRID_LON
	parameter (ATTRID_LON = 64)
	integer	ATTRID_MAGID
	parameter (ATTRID_MAGID = 65)
	integer	ATTRID_MAGNITUDE
	parameter (ATTRID_MAGNITUDE = 66)
	integer	ATTRID_MAGTYPE
	parameter (ATTRID_MAGTYPE = 67)
	integer	ATTRID_MB
	parameter (ATTRID_MB = 68)
	integer	ATTRID_MBID
	parameter (ATTRID_MBID = 69)
	integer	ATTRID_ML
	parameter (ATTRID_ML = 70)
	integer	ATTRID_MLID
	parameter (ATTRID_MLID = 71)
	integer	ATTRID_MS
	parameter (ATTRID_MS = 72)
	integer	ATTRID_MSID
	parameter (ATTRID_MSID = 73)
	integer	ATTRID_NASS
	parameter (ATTRID_NASS = 74)
	integer	ATTRID_NCALIB
	parameter (ATTRID_NCALIB = 75)
	integer	ATTRID_NCALPER
	parameter (ATTRID_NCALPER = 76)
	integer	ATTRID_NDEF
	parameter (ATTRID_NDEF = 77)
	integer	ATTRID_NDP
	parameter (ATTRID_NDP = 78)
	integer	ATTRID_NET
	parameter (ATTRID_NET = 79)
	integer	ATTRID_NETNAME
	parameter (ATTRID_NETNAME = 80)
	integer	ATTRID_NETTYPE
	parameter (ATTRID_NETTYPE = 81)
	integer	ATTRID_NSAMP
	parameter (ATTRID_NSAMP = 82)
	integer	ATTRID_NSTA
	parameter (ATTRID_NSTA = 83)
	integer	ATTRID_OFFDATE
	parameter (ATTRID_OFFDATE = 84)
	integer	ATTRID_ONDATE
	parameter (ATTRID_ONDATE = 85)
	integer	ATTRID_ORID
	parameter (ATTRID_ORID = 86)
	integer	ATTRID_PER
	parameter (ATTRID_PER = 87)
	integer	ATTRID_PHASE
	parameter (ATTRID_PHASE = 88)
	integer	ATTRID_PREFOR
	parameter (ATTRID_PREFOR = 89)
	integer	ATTRID_QUAL
	parameter (ATTRID_QUAL = 90)
	integer	ATTRID_RECT
	parameter (ATTRID_RECT = 91)
	integer	ATTRID_REFSTA
	parameter (ATTRID_REFSTA = 92)
	integer	ATTRID_REMARK
	parameter (ATTRID_REMARK = 93)
	integer	ATTRID_RSPTYPE
	parameter (ATTRID_RSPTYPE = 94)
	integer	ATTRID_SAMPRATE
	parameter (ATTRID_SAMPRATE = 95)
	integer	ATTRID_SDEPTH
	parameter (ATTRID_SDEPTH = 96)
	integer	ATTRID_SDOBS
	parameter (ATTRID_SDOBS = 97)
	integer	ATTRID_SEAZ
	parameter (ATTRID_SEAZ = 98)
	integer	ATTRID_SEGTYPE
	parameter (ATTRID_SEGTYPE = 99)
	integer	ATTRID_SLODEF
	parameter (ATTRID_SLODEF = 100)
	integer	ATTRID_SLORES
	parameter (ATTRID_SLORES = 101)
	integer	ATTRID_SLOW
	parameter (ATTRID_SLOW = 102)
	integer	ATTRID_SMAJAX
	parameter (ATTRID_SMAJAX = 103)
	integer	ATTRID_SMINAX
	parameter (ATTRID_SMINAX = 104)
	integer	ATTRID_SNR
	parameter (ATTRID_SNR = 105)
	integer	ATTRID_SRN
	parameter (ATTRID_SRN = 106)
	integer	ATTRID_SRNAME
	parameter (ATTRID_SRNAME = 107)
	integer	ATTRID_STA
	parameter (ATTRID_STA = 108)
	integer	ATTRID_STANAME
	parameter (ATTRID_STANAME = 109)
	integer	ATTRID_STASSID
	parameter (ATTRID_STASSID = 110)
	integer	ATTRID_STATYPE
	parameter (ATTRID_STATYPE = 111)
	integer	ATTRID_STIME
	parameter (ATTRID_STIME = 112)
	integer	ATTRID_STRIKE
	parameter (ATTRID_STRIKE = 113)
	integer	ATTRID_STT
	parameter (ATTRID_STT = 114)
	integer	ATTRID_STX
	parameter (ATTRID_STX = 115)
	integer	ATTRID_STY
	parameter (ATTRID_STY = 116)
	integer	ATTRID_STYPE
	parameter (ATTRID_STYPE = 117)
	integer	ATTRID_STZ
	parameter (ATTRID_STZ = 118)
	integer	ATTRID_SXX
	parameter (ATTRID_SXX = 119)
	integer	ATTRID_SXY
	parameter (ATTRID_SXY = 120)
	integer	ATTRID_SXZ
	parameter (ATTRID_SXZ = 121)
	integer	ATTRID_SYY
	parameter (ATTRID_SYY = 122)
	integer	ATTRID_SYZ
	parameter (ATTRID_SYZ = 123)
	integer	ATTRID_SZZ
	parameter (ATTRID_SZZ = 124)
	integer	ATTRID_TAGID
	parameter (ATTRID_TAGID = 125)
	integer	ATTRID_TAGNAME
	parameter (ATTRID_TAGNAME = 126)
	integer	ATTRID_TAPEBLOCK
	parameter (ATTRID_TAPEBLOCK = 127)
	integer	ATTRID_TAPEFILE
	parameter (ATTRID_TAPEFILE = 128)
	integer	ATTRID_TIME
	parameter (ATTRID_TIME = 129)
	integer	ATTRID_TIMEDEF
	parameter (ATTRID_TIMEDEF = 130)
	integer	ATTRID_TIMERES
	parameter (ATTRID_TIMERES = 131)
	integer	ATTRID_TSHIFT
	parameter (ATTRID_TSHIFT = 132)
	integer	ATTRID_UNCERTAINTY
	parameter (ATTRID_UNCERTAINTY = 133)
	integer	ATTRID_VANG
	parameter (ATTRID_VANG = 134)
	integer	ATTRID_VMODEL
	parameter (ATTRID_VMODEL = 135)
	integer	ATTRID_VOLNAME
	parameter (ATTRID_VOLNAME = 136)
	integer	ATTRID_WFID
	parameter (ATTRID_WFID = 137)
	integer	ATTRID_WGT
	parameter (ATTRID_WGT = 138)
	integer	ATTRID_ARRAY
	parameter (ATTRID_ARRAY = 139)
	integer	ATTRID_BLKFAC
	parameter (ATTRID_BLKFAC = 140)
	integer	ATTRID_CHANA
	parameter (ATTRID_CHANA = 141)
	integer	ATTRID_CHANO
	parameter (ATTRID_CHANO = 142)
	integer	ATTRID_COMPA
	parameter (ATTRID_COMPA = 143)
	integer	ATTRID_DESCR
	parameter (ATTRID_DESCR = 144)
	integer	ATTRID_NBYTE
	parameter (ATTRID_NBYTE = 145)
	integer	ATTRID_NETWRK
	parameter (ATTRID_NETWRK = 146)
	integer	ATTRID_STAA
	parameter (ATTRID_STAA = 147)
	integer	ATTRID_STAO
	parameter (ATTRID_STAO = 148)
	integer	ATTRID_TARNAM
	parameter (ATTRID_TARNAM = 149)
	integer	ATTRID_TCALIB
	parameter (ATTRID_TCALIB = 150)
	integer	ATTRID_TFILE
	parameter (ATTRID_TFILE = 151)
	integer	ATTRID_TPFILE
	parameter (ATTRID_TPFILE = 152)
	integer	ATTRNAME_ALGORITHM
	parameter (ATTRNAME_ALGORITHM = "algorithm")
	integer	ATTRNAME_AMP
	parameter (ATTRNAME_AMP = "amp")
	integer	ATTRNAME_ARID
	parameter (ATTRNAME_ARID = "arid")
	integer	ATTRNAME_AUTH
	parameter (ATTRNAME_AUTH = "auth")
	integer	ATTRNAME_AZDEF
	parameter (ATTRNAME_AZDEF = "azdef")
	integer	ATTRNAME_AZIMUTH
	parameter (ATTRNAME_AZIMUTH = "azimuth")
	integer	ATTRNAME_AZRES
	parameter (ATTRNAME_AZRES = "azres")
	integer	ATTRNAME_BAND
	parameter (ATTRNAME_BAND = "band")
	integer	ATTRNAME_BELIEF
	parameter (ATTRNAME_BELIEF = "belief")
	integer	ATTRNAME_CALIB
	parameter (ATTRNAME_CALIB = "calib")
	integer	ATTRNAME_CALPER
	parameter (ATTRNAME_CALPER = "calper")
	integer	ATTRNAME_CALRATIO
	parameter (ATTRNAME_CALRATIO = "calratio")
	integer	ATTRNAME_CHAN
	parameter (ATTRNAME_CHAN = "chan")
	integer	ATTRNAME_CHANID
	parameter (ATTRNAME_CHANID = "chanid")
	integer	ATTRNAME_CLIP
	parameter (ATTRNAME_CLIP = "clip")
	integer	ATTRNAME_COMMID
	parameter (ATTRNAME_COMMID = "commid")
	integer	ATTRNAME_CONF
	parameter (ATTRNAME_CONF = "conf")
	integer	ATTRNAME_CTYPE
	parameter (ATTRNAME_CTYPE = "ctype")
	integer	ATTRNAME_DATATYPE
	parameter (ATTRNAME_DATATYPE = "datatype")
	integer	ATTRNAME_DEAST
	parameter (ATTRNAME_DEAST = "deast")
	integer	ATTRNAME_DELAZ
	parameter (ATTRNAME_DELAZ = "delaz")
	integer	ATTRNAME_DELSLO
	parameter (ATTRNAME_DELSLO = "delslo")
	integer	ATTRNAME_DELTA
	parameter (ATTRNAME_DELTA = "delta")
	integer	ATTRNAME_DELTIM
	parameter (ATTRNAME_DELTIM = "deltim")
	integer	ATTRNAME_DEPDP
	parameter (ATTRNAME_DEPDP = "depdp")
	integer	ATTRNAME_DEPTH
	parameter (ATTRNAME_DEPTH = "depth")
	integer	ATTRNAME_DESCRIP
	parameter (ATTRNAME_DESCRIP = "descrip")
	integer	ATTRNAME_DFILE
	parameter (ATTRNAME_DFILE = "dfile")
	integer	ATTRNAME_DIGITAL
	parameter (ATTRNAME_DIGITAL = "digital")
	integer	ATTRNAME_DIR
	parameter (ATTRNAME_DIR = "dir")
	integer	ATTRNAME_DIST
	parameter (ATTRNAME_DIST = "dist")
	integer	ATTRNAME_DNORTH
	parameter (ATTRNAME_DNORTH = "dnorth")
	integer	ATTRNAME_DTYPE
	parameter (ATTRNAME_DTYPE = "dtype")
	integer	ATTRNAME_EDEPTH
	parameter (ATTRNAME_EDEPTH = "edepth")
	integer	ATTRNAME_ELEV
	parameter (ATTRNAME_ELEV = "elev")
	integer	ATTRNAME_EMA
	parameter (ATTRNAME_EMA = "ema")
	integer	ATTRNAME_EMARES
	parameter (ATTRNAME_EMARES = "emares")
	integer	ATTRNAME_ENDTIME
	parameter (ATTRNAME_ENDTIME = "endtime")
	integer	ATTRNAME_ESAZ
	parameter (ATTRNAME_ESAZ = "esaz")
	integer	ATTRNAME_ETYPE
	parameter (ATTRNAME_ETYPE = "etype")
	integer	ATTRNAME_EVID
	parameter (ATTRNAME_EVID = "evid")
	integer	ATTRNAME_EVNAME
	parameter (ATTRNAME_EVNAME = "evname")
	integer	ATTRNAME_FM
	parameter (ATTRNAME_FM = "fm")
	integer	ATTRNAME_FOFF
	parameter (ATTRNAME_FOFF = "foff")
	integer	ATTRNAME_GRN
	parameter (ATTRNAME_GRN = "grn")
	integer	ATTRNAME_GRNAME
	parameter (ATTRNAME_GRNAME = "grname")
	integer	ATTRNAME_HANG
	parameter (ATTRNAME_HANG = "hang")
	integer	ATTRNAME_IDTYPE
	parameter (ATTRNAME_IDTYPE = "idtype")
	integer	ATTRNAME_IDVALUE
	parameter (ATTRNAME_IDVALUE = "idvalue")
	integer	ATTRNAME_IMB
	parameter (ATTRNAME_IMB = "imb")
	integer	ATTRNAME_IML
	parameter (ATTRNAME_IML = "iml")
	integer	ATTRNAME_IMS
	parameter (ATTRNAME_IMS = "ims")
	integer	ATTRNAME_INID
	parameter (ATTRNAME_INID = "inid")
	integer	ATTRNAME_INSNAME
	parameter (ATTRNAME_INSNAME = "insname")
	integer	ATTRNAME_INSTANT
	parameter (ATTRNAME_INSTANT = "instant")
	integer	ATTRNAME_INSTYPE
	parameter (ATTRNAME_INSTYPE = "instype")
	integer	ATTRNAME_IPHASE
	parameter (ATTRNAME_IPHASE = "iphase")
	integer	ATTRNAME_JDATE
	parameter (ATTRNAME_JDATE = "jdate")
	integer	ATTRNAME_LAT
	parameter (ATTRNAME_LAT = "lat")
	integer	ATTRNAME_LDDATE
	parameter (ATTRNAME_LDDATE = "lddate")
	integer	ATTRNAME_LINENO
	parameter (ATTRNAME_LINENO = "lineno")
	integer	ATTRNAME_LOCATION
	parameter (ATTRNAME_LOCATION = "location")
	integer	ATTRNAME_LOGAT
	parameter (ATTRNAME_LOGAT = "logat")
	integer	ATTRNAME_LON
	parameter (ATTRNAME_LON = "lon")
	integer	ATTRNAME_MAGID
	parameter (ATTRNAME_MAGID = "magid")
	integer	ATTRNAME_MAGNITUDE
	parameter (ATTRNAME_MAGNITUDE = "magnitude")
	integer	ATTRNAME_MAGTYPE
	parameter (ATTRNAME_MAGTYPE = "magtype")
	integer	ATTRNAME_MB
	parameter (ATTRNAME_MB = "mb")
	integer	ATTRNAME_MBID
	parameter (ATTRNAME_MBID = "mbid")
	integer	ATTRNAME_ML
	parameter (ATTRNAME_ML = "ml")
	integer	ATTRNAME_MLID
	parameter (ATTRNAME_MLID = "mlid")
	integer	ATTRNAME_MS
	parameter (ATTRNAME_MS = "ms")
	integer	ATTRNAME_MSID
	parameter (ATTRNAME_MSID = "msid")
	integer	ATTRNAME_NASS
	parameter (ATTRNAME_NASS = "nass")
	integer	ATTRNAME_NCALIB
	parameter (ATTRNAME_NCALIB = "ncalib")
	integer	ATTRNAME_NCALPER
	parameter (ATTRNAME_NCALPER = "ncalper")
	integer	ATTRNAME_NDEF
	parameter (ATTRNAME_NDEF = "ndef")
	integer	ATTRNAME_NDP
	parameter (ATTRNAME_NDP = "ndp")
	integer	ATTRNAME_NET
	parameter (ATTRNAME_NET = "net")
	integer	ATTRNAME_NETNAME
	parameter (ATTRNAME_NETNAME = "netname")
	integer	ATTRNAME_NETTYPE
	parameter (ATTRNAME_NETTYPE = "nettype")
	integer	ATTRNAME_NSAMP
	parameter (ATTRNAME_NSAMP = "nsamp")
	integer	ATTRNAME_NSTA
	parameter (ATTRNAME_NSTA = "nsta")
	integer	ATTRNAME_OFFDATE
	parameter (ATTRNAME_OFFDATE = "offdate")
	integer	ATTRNAME_ONDATE
	parameter (ATTRNAME_ONDATE = "ondate")
	integer	ATTRNAME_ORID
	parameter (ATTRNAME_ORID = "orid")
	integer	ATTRNAME_PER
	parameter (ATTRNAME_PER = "per")
	integer	ATTRNAME_PHASE
	parameter (ATTRNAME_PHASE = "phase")
	integer	ATTRNAME_PREFOR
	parameter (ATTRNAME_PREFOR = "prefor")
	integer	ATTRNAME_QUAL
	parameter (ATTRNAME_QUAL = "qual")
	integer	ATTRNAME_RECT
	parameter (ATTRNAME_RECT = "rect")
	integer	ATTRNAME_REFSTA
	parameter (ATTRNAME_REFSTA = "refsta")
	integer	ATTRNAME_REMARK
	parameter (ATTRNAME_REMARK = "remark")
	integer	ATTRNAME_RSPTYPE
	parameter (ATTRNAME_RSPTYPE = "rsptype")
	integer	ATTRNAME_SAMPRATE
	parameter (ATTRNAME_SAMPRATE = "samprate")
	integer	ATTRNAME_SDEPTH
	parameter (ATTRNAME_SDEPTH = "sdepth")
	integer	ATTRNAME_SDOBS
	parameter (ATTRNAME_SDOBS = "sdobs")
	integer	ATTRNAME_SEAZ
	parameter (ATTRNAME_SEAZ = "seaz")
	integer	ATTRNAME_SEGTYPE
	parameter (ATTRNAME_SEGTYPE = "segtype")
	integer	ATTRNAME_SLODEF
	parameter (ATTRNAME_SLODEF = "slodef")
	integer	ATTRNAME_SLORES
	parameter (ATTRNAME_SLORES = "slores")
	integer	ATTRNAME_SLOW
	parameter (ATTRNAME_SLOW = "slow")
	integer	ATTRNAME_SMAJAX
	parameter (ATTRNAME_SMAJAX = "smajax")
	integer	ATTRNAME_SMINAX
	parameter (ATTRNAME_SMINAX = "sminax")
	integer	ATTRNAME_SNR
	parameter (ATTRNAME_SNR = "snr")
	integer	ATTRNAME_SRN
	parameter (ATTRNAME_SRN = "srn")
	integer	ATTRNAME_SRNAME
	parameter (ATTRNAME_SRNAME = "srname")
	integer	ATTRNAME_STA
	parameter (ATTRNAME_STA = "sta")
	integer	ATTRNAME_STANAME
	parameter (ATTRNAME_STANAME = "staname")
	integer	ATTRNAME_STASSID
	parameter (ATTRNAME_STASSID = "stassid")
	integer	ATTRNAME_STATYPE
	parameter (ATTRNAME_STATYPE = "statype")
	integer	ATTRNAME_STIME
	parameter (ATTRNAME_STIME = "stime")
	integer	ATTRNAME_STRIKE
	parameter (ATTRNAME_STRIKE = "strike")
	integer	ATTRNAME_STT
	parameter (ATTRNAME_STT = "stt")
	integer	ATTRNAME_STX
	parameter (ATTRNAME_STX = "stx")
	integer	ATTRNAME_STY
	parameter (ATTRNAME_STY = "sty")
	integer	ATTRNAME_STYPE
	parameter (ATTRNAME_STYPE = "stype")
	integer	ATTRNAME_STZ
	parameter (ATTRNAME_STZ = "stz")
	integer	ATTRNAME_SXX
	parameter (ATTRNAME_SXX = "sxx")
	integer	ATTRNAME_SXY
	parameter (ATTRNAME_SXY = "sxy")
	integer	ATTRNAME_SXZ
	parameter (ATTRNAME_SXZ = "sxz")
	integer	ATTRNAME_SYY
	parameter (ATTRNAME_SYY = "syy")
	integer	ATTRNAME_SYZ
	parameter (ATTRNAME_SYZ = "syz")
	integer	ATTRNAME_SZZ
	parameter (ATTRNAME_SZZ = "szz")
	integer	ATTRNAME_TAGID
	parameter (ATTRNAME_TAGID = "tagid")
	integer	ATTRNAME_TAGNAME
	parameter (ATTRNAME_TAGNAME = "tagname")
	integer	ATTRNAME_TAPEBLOCK
	parameter (ATTRNAME_TAPEBLOCK = "tapeblock")
	integer	ATTRNAME_TAPEFILE
	parameter (ATTRNAME_TAPEFILE = "tapefile")
	integer	ATTRNAME_TIME
	parameter (ATTRNAME_TIME = "time")
	integer	ATTRNAME_TIMEDEF
	parameter (ATTRNAME_TIMEDEF = "timedef")
	integer	ATTRNAME_TIMERES
	parameter (ATTRNAME_TIMERES = "timeres")
	integer	ATTRNAME_TSHIFT
	parameter (ATTRNAME_TSHIFT = "tshift")
	integer	ATTRNAME_UNCERTAINTY
	parameter (ATTRNAME_UNCERTAINTY = "uncertainty")
	integer	ATTRNAME_VANG
	parameter (ATTRNAME_VANG = "vang")
	integer	ATTRNAME_VMODEL
	parameter (ATTRNAME_VMODEL = "vmodel")
	integer	ATTRNAME_VOLNAME
	parameter (ATTRNAME_VOLNAME = "volname")
	integer	ATTRNAME_WFID
	parameter (ATTRNAME_WFID = "wfid")
	integer	ATTRNAME_WGT
	parameter (ATTRNAME_WGT = "wgt")
	integer	ATTRNAME_ARRAY
	parameter (ATTRNAME_ARRAY = "array")
	integer	ATTRNAME_BLKFAC
	parameter (ATTRNAME_BLKFAC = "blkfac")
	integer	ATTRNAME_CHANA
	parameter (ATTRNAME_CHANA = "chana")
	integer	ATTRNAME_CHANO
	parameter (ATTRNAME_CHANO = "chano")
	integer	ATTRNAME_COMPA
	parameter (ATTRNAME_COMPA = "compa")
	integer	ATTRNAME_DESCR
	parameter (ATTRNAME_DESCR = "descr")
	integer	ATTRNAME_NBYTE
	parameter (ATTRNAME_NBYTE = "nbyte")
	integer	ATTRNAME_NETWRK
	parameter (ATTRNAME_NETWRK = "netwrk")
	integer	ATTRNAME_STAA
	parameter (ATTRNAME_STAA = "staa")
	integer	ATTRNAME_STAO
	parameter (ATTRNAME_STAO = "stao")
	integer	ATTRNAME_TARNAM
	parameter (ATTRNAME_TARNAM = "tarnam")
	integer	ATTRNAME_TCALIB
	parameter (ATTRNAME_TCALIB = "tcalib")
	integer	ATTRNAME_TFILE
	parameter (ATTRNAME_TFILE = "tfile")
	integer	ATTRNAME_TPFILE
	parameter (ATTRNAME_TPFILE = "tpfile")
	parameter(nr=6000)
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Sensor relation !!!!!
	character*6  s_station
	character*8  s_chanal
	real*8       s_time
	real*8       s_endtime
	integer*4    s_inid
	integer*4    s_chanid
	integer*4    s_jdate
	real*4       s_calratio
	real*4       s_calper
	real*4       s_tshift
	character*1  s_instant
	character*17 s_lddate
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Instrument relation !!
	integer*4    i_inid
	character*50 i_instname
	character*6  i_instype
	character*1  i_band
	character*1  i_digital
	real*4       i_samprate
	real*4       i_ncalib
	real*4       i_ncalper
	character*64 i_dir
	character*32 i_dfile
	character*6  i_rstype
	character*17 i_lddate
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Sitechan   relation !!
	character*6  c_sta
	character*8  c_chan
	integer*4    c_ondate
	integer*4    c_chanid 
	integer*4    c_offdate
	character*4  c_ctype   
	real*4       c_edepth
	real*4       c_hang  
	real*4       c_vang  
	character*50 c_descript
	character*17 c_lddate 
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	common / sensor /
     *	s_station(nr),s_chanal(nr),s_time(nr),s_endtime(nr),
     *	s_inid(nr),s_chanid(nr),s_jdate(nr),s_calratio(nr),
     *	s_calper(nr),s_tshift(nr),s_instant(nr),s_lddate(nr)
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Sensor relation !!!!!
	common / instrument /
     *	i_inid(nr),i_instname(nr),i_instype(nr),i_band(nr),
     *	i_digital(nr),i_samprate(nr),i_ncalib(nr),i_ncalper(nr),
     *	i_dir(nr),i_dfile(nr),i_rstype(nr),i_lddate(nr)
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Instrument relation !!
         common /sitechan/
     *   c_sta(nr),c_chan(nr),c_ondate(nr),c_chanid(nr),c_offdate(nr),
     *   c_ctype(nr),c_edepth(nr),c_hang(nr),c_vang(nr),c_descript(nr),
     *   c_lddate(nr)
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Sitechan   relation !!
c		declarations for input command line arguments
       	character*80 dbin,dbout
c		declarations for input and output response directories
       	character*64 dir_n,dir_o
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
         print*, 'to create a new database with new responses'
         print*, 'for decimated channels'
c!!!!!!!!!!!!!!!!!!!  INITIALIZATION  !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
c		grab command line arguments
	narg= iargc()	
	if(narg.ne.2) STOP'Usage: mk_dbdecim [dbin][dbout] ' 
C-------Arguments are: ---------------------------------------------
C--dbin:   input database------------------------------------------1
C--dbout:  output database-----------------------------------------2
C--both  arguments are required-------------------------------------
C-NOTE: subdirectory response will be created in the current directory!
	call getarg(1,dbin)
	call getarg(2,dbout)
c		create input (dbin) and output (dbout) databases
        call db30create (dbin,idbin)
        if (idbin.eq.0) then
	 print *, 'db30create error 1'
	 stop
        end if
	call db30create(dbout,idbout)
        if (idbout.eq.0) then
	 print *, 'db30create error 2'
	 stop
        end if
C-------make a filename for the old response directory------------------------
        do i=1,64
	dir_o(i:i)=' '
	dir_n(i:i)=' '
	end do
	ld=lnblnk(dbin)
	do i=ld,1,-1
	if (dbin(i:i).eq.'/')go to 1
	end do
	dir_o(1:8)='response'
	go to 2
1       dir_o(1:i)=dbin(1:i)
        dir_o(i+1:i+8)='response'
        dir_o(i+9:i+10)=' '
	lq=lnblnk(dir_o)
2        continue
C---------create a new response subdirectory in the current directory------------
        call chkdir(' ',1)
C|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
c		read in data base and store in common block all.
	call dbgetntuples(idbin,RELID_SENSOR,nstuples)
	call dbgetntuples(idbin,RELID_INSTRUMENT,nituples)
	call dbgetntuples(idbin,RELID_SITECHAN,nctuples)
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Something new !!!!!!
	call read_instrument (idbin,nituples)   !!!!!!!!!!!!!!!!!!!!!!!!!
	call read_sensor(idbin,nstuples)        !!!!!!!!!!!!!!!!!!!!!!!!!
	call read_sitechan(idbin,nctuples)      !!!!!!!!!!!!!!!!!!!!!!!!!
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Something new !!!!!!
      print '(a,a,i6)','number of rows in old','    Sensor   file:',
     +  nstuples
      print '(a,i6)','number of rows in old Instrument file:',nituples
      print '(a,i6)','number of rows in old   Sitechan file:',nctuples
C-------to start the main loop----------------------------------------------------
	call loop(idbin,idbout,dir_o,nstuples,nctuples,nituples)
        end
