	subroutine FLOTS (tee,u,ninp,iof,xxx,yyy,i_fail2)
C--------tee,u are periods and gr.velocities from the screen obtained
C--------using MY_CURSOR
C--------ninp is a number of such points
C--------iof > 0 indicates fixed filtering (MY_CURSOR2 will not be used)
C--------xxx,yyy are values of t01,tc1,tc2,t02 for tapering window---
C--------i_fail2 is for interuption during MY_CURSOR2 tapering------
c----------------------------------------------------------------------
	real*4 omg(101),time(101),tim2(101)
	real*4 omg2(101),xxx(10),yyy(10)
	real*4 tee(200),u(200)
        real*4  krivX(2),krivY(2)
	integer*2 lm(200)
	


c		declarations for stachan_sctlist_wfdisc common block
	parameter (mstachan = 1500, msegs = 20)
	character*6 sta_sctlist_wfdisc
	character*8 chan_sctlist_wfdisc
	integer numsctlist_wfdisc, ntuple_sctlist_wfdisc, nsegs_
     +sctlist_wfdisc
	real*8 time_sctlist_wfdisc, endtime_sctlist_wfdisc
	common/c_sctlist_wfdisc/sta_sctlist_wfdisc(mstachan), 
     *    chan_sctlist_wfdisc(mstachan),time_sctlist_wfdisc(mst
     +achan,msegs), 
     *    endtime_sctlist_wfdisc(mstachan, msegs),ntuple_sctlis
     +t_wfdisc(mstachan,msegs), 
     *    nsegs_sctlist_wfdisc(mstachan),icalled_sctlist_wfdisc
     +,numsctlist_wfdisc

c		declarations for stachan_sctlist_wfedit common block
	parameter (medits = 100)
	character*6 sta_sctlist_wfedit
	character*8 chan_sctlist_wfedit, probtype_sctlist_wfedit
     +, edtype_sctlist_wfedit
	integer numsctlist_wfedit, ntuple_sctlist_wfedit, nsegs_
     +sctlist_wfedit
	real*8 time_sctlist_wfedit, endtime_sctlist_wfedit
	common/c_sctlist_wfedit/sta_sctlist_wfedit(mstachan), 
     *    chan_sctlist_wfedit(mstachan),time_sctlist_wfedit(mst
     +achan,medits), 
     *    endtime_sctlist_wfedit(mstachan, medits),probtype_sct
     +list_wfedit(mstachan, medits),
     *	  edtype_sctlist_wfedit(mstachan, medits),ntuple_s
     +ctlist_wfedit(mstachan,medits), 
     *    nsegs_sctlist_wfedit(mstachan),icalled_sctlist_wfedit
     +,numsctlist_wfedit

c		waveform declarations
	parameter (mdata= 72000)
	common/c_data/t(mdata), d(mdata), t_plot(mdata), d_plot(
     +mdata), nlen_data, nlen_plot,
     *    t1(mdata), d1(mdata)

c		plotting declarations
	character*80 x_label, y_label, title
	character chr
	character*80 fg, bg
	common/mhr_nplot/itran,ipost,iwsize,ssize,xwin,ywin,
     *   xdim,ydim,xlow,ylow,init,chr,x_label,y_label,title,fg,
     +bg,iltype,thick

c		declarations for sta:chn sifting
	parameter (msc=1500)
	character*6 sta_plot
	character*8 chan_plot
	common/c_scplot/sta_plot(msc), chan_plot(msc), numplot

c		odds and ends
	character ifedit, ifinterp, overplot_type, gpvel_cmp, if
     +_centryd, if_auto_out
	character*80 ps_file, xlabel_t, xlabel_f, ylabel_t, ylab
     +el_f, notefile
	common/c_oande/icurrent, ifedit, ifinterp, ps_file, idis
     +p, ift_disc, istage, 
     *	inewfilt, xlabel_t, xlabel_f, ylabel_t, ylabel_f, 
     +nrownote, inote, 
     *  notefile, overplot_type, if_centryd, if_auto_out, gpvel
     +_cmp,
     *  t01_bp,tc1_bp,tc2_bp,t02_bp

c		source information from cmt relations (menu, print_cmt)
	character*24 region_src
	integer iy_src, jday_src, imo_src, id_src, ih_src, imin_
     +src, expo_src
	real sec_src, lat_src, lon_src, depth_src, smo_src, mzz_
     +src, mss_src, 
     *   mee_src, mzs_src, mze_src, mse_src, magb_src, mags_src
     +, dtt_src
	common/c_src/iy_src, jday_src, imo_src, id_src, ih_src, 
     +imin_src, 
     *   sec_src, expo_src, lat_src, lon_src, depth_src, smo_sr
     +c, mzz_src,
     *   mss_src, mee_src, mzs_src, mze_src, mse_src, magb_src,
     + mags_src, 
     *   region_src, dtt_src

c		waveform indices, etc.
	common/c_tw/time_display, endtime_display, ibeg_t_displa
     +y,iend_t_display,
     *    nlen_t_display

c		anatoli's common blocks
       	parameter (mperiod = 50, mgroup = 150, mphase = 1
     +5, mkeys = 15, nraz =  66000,
     *	nseis=72000)
       	character*4 order
	character*6 stnam
	character*8 nchan, nchanR, nchanT, nchanZ, nchanN, nchan
     +E
	character*1 symchan
       	character*60 wfout, dispout
       	character*80 infile, outfile, grvfile, phvfile, s
     +vafile, filtseis, in_file
       	logical TYP,clue
	common /MY_OWN/ idlina
       	common/shmaxis/period(mperiod),group(mgroup)
       	common/int_param/n2pow, nbase, nhalf, m2pow, mdec
     +, ndec, nw, np, nflt,
     * 		nflt0, nlen, nskip, nfirst
       	common/re_param/distan, bazim, azie, t0, tratime,
     + tmax, tmin, tmin_save, tmax_save, 
     *	grmax, grmin, grmax_save, grmin_save, grstart, grs
     +tart_save, tdel, tinit, outdt, 
     *  dur, frstep, dt, vmin, vmax, tref,norb,k_mode,grcentr,w
     +idth
       	common/gauss/alpha(mperiod), nf(mperiod),alph
       	common/result/amp(mgroup,mperiod), phase(mgroup,m
     +period),ampmax,
     * 		phavel(mperiod,mphase),nphase, pervis(mper
     +iod), phmax(mperiod),
     * 		ammax(mperiod), grtime(mperiod),gr(mperiod
     +)
C	common/polar/ amp_temp(mgroup,mperiod,3), phase_temp(mgroup,mperiod,3) 
       	common/prelim/stnam, nchan, symchan, iyear, iday,
     + nchanZ, nchanN, nchanE,
     *    t0_Z, t0_N, t0_E, dt_Z, dt_N, dt_E, dZ(nseis), dN(nse
     +is), dE(nseis), 
     *    tZ(nseis), tN(nseis), tE(nseis), ierrZ, ierrN, ierrE,
     + nZ, nN, nE,
     *    icurrN, icurrE, icurrZ, itupleZ, itupleN, itupleE, ic
     +urr_tuple,
     *    calibN, calibE, calibZ, hangN, hangE, isegZ, isegRT, 
     +iseg
	common/rot/order, nchanT, nchanR, n_RT, t0_RT, dt_RT, dR
     +AD(nseis), dTRANS(nseis), t_RT(nseis)
       	common/logamp/bamp(mgroup,mperiod)
       	common/filenames/infile, outfile, grvfile, phvfil
     +e, svafile, filtseis, in_file
       	common/KEYS/TYP(mkeys),clue
       	common/inp_out/seis(nseis), seimax
	common/dbase/wfout,dispout
       	common/instr/ampins(nraz/2), phasins(nraz/2),cali
     +bnom
	parameter (nper_graph=100)
	common/raw_amp/nflt_raw,per_raw(50),amp_raw(50),am_r(npe
     +r_graph),
     *	amp_zold(nper_graph),amp_rold(nper_graph),amp_told
     +(nper_graph),amp_zold_dispdata(nper_graph),
     *  amp_rold_dispdata(nper_graph),amp_told_dispdata(nper_gr
     +aph),per_graph(nper_graph),
     *  per_graph_z(nper_graph),per_graph_r(nper_graph),per_gra
     +ph_t(nper_graph)
       	common/work/sre(nraz), sim(nraz), fre(nraz), fim(
     +nraz), smod(nraz),
     *    tmpre(nraz),tmpim(nraz),tm(nraz)

c		data, dispersion and image information stored for plotting and interaction
	common/c_clean/clean_rz(nraz), clean_rn(nraz), clean_re(
     +nraz), clean_tn(nraz), clean_te(nraz), clean_r(nraz),
     + clean_t(nraz), 
     *    tcl_z(nraz), tcl_h(nraz), ncl_z, ncl_h, ncl_R, ncl_T
	common/c_disp_ftan/groupvel_z(mperiod), groupvel_t(mperi
     +od), groupvel_r(mperiod), 
     *    phasevel_z(mperiod), phasevel_t(mperiod), phasevel_r(
     +mperiod), period_z(mperiod), period_t(mperiod),
     *    period_r(mperiod), amp_z(mperiod), amp_t(mperiod), am
     +p_r(mperiod), pol_z(mperiod), pol_t(mperiod), 
     *    pol_r(mperiod), tdisp_z(mperiod), tdisp_t(mperiod), t
     +disp_r(mperiod), ndisp_z, ndisp_t, ndisp_r, 
     *    istage_z, istage_t, istage_r, t01_z, t01_t, t01_r, tc
     +1_z, tc1_t, tc1_r, t02_z, t02_t, t02_r, tc2_z, 
     *    tc2_t, tc2_r
	common/c_images/ftimage_zraw(mgroup, mperiod), ftimage_z
     +cl(mgroup, mperiod),
     *    ftimage_traw(mgroup, mperiod), ftimage_tcl(mgroup, mp
     +eriod),
     *    ftimage_rraw(mgroup, mperiod), ftimage_rcl(mgroup, mp
     +eriod),
     *    xaxis_zraw(mperiod), yaxis_zraw(mgroup), xaxis_zcl(mp
     +eriod), yaxis_zcl(mgroup), 
     *    xaxis_traw(mperiod), yaxis_traw(mgroup), xaxis_tcl(mp
     +eriod), yaxis_tcl(mgroup),
     *    xaxis_rraw(mperiod), yaxis_rraw(mgroup), xaxis_rcl(mp
     +eriod), yaxis_rcl(mgroup),
     *    nper_zraw, ngroup_zraw, nper_zcl, ngroup_zcl, nper_tr
     +aw, ngroup_traw, nper_tcl, 
     *    ngroup_tcl, nper_rraw, ngroup_rraw, nper_rcl, ngroup_
     +rcl

c		saving input disp relation
	parameter (mdisp2 = 500)
	character*2 stage_disp_save
	character*6 sta_disp_save
	character*8 chan_disp_save, wavetype_disp_save
	character*16 model_disp_save
	character*17 lddate_disp_save
	character*32 dfile_disp_save, dfileerr_disp_save
	character*64 dir_disp_save
	integer dispid_disp_save, jdate_disp_save, orid_disp_sav
     +e, nfreq_disp_save,
     *     commid_disp_save
	real range_disp_save, backaz_disp_save, az_disp_save, t0
     +1_disp_save, tc1_disp_save, 
     *     tc2_disp_save, t02_disp_save
	real*8 time_disp_save
	common/c_disp_save/sta_disp_save(mdisp2), chan_disp_save
     +(mdisp2), 
     *     dispid_disp_save(mdisp2), wavetype_disp_save(mdisp2)
     +, jdate_disp_save(mdisp2),
     *     orid_disp_save(mdisp2), time_disp_save(mdisp2), rang
     +e_disp_save(mdisp2),
     *     backaz_disp_save(mdisp2), az_disp_save(mdisp2), nfre
     +q_disp_save(mdisp2),
     *     stage_disp_save(mdisp2), t01_disp_save(mdisp2), tc1_
     +disp_save(mdisp2),
     *     tc2_disp_save(mdisp2), t02_disp_save(mdisp2), model_
     +disp_save(mdisp2), 
     *	   dir_disp_save(mdisp2), dfile_disp_save(mdisp2),
     + dfileerr_disp_save(mdisp2), 
     *     commid_disp_save(mdisp2), lddate_disp_save(mdisp2), 
     +nrowdisp_save

c		saving input ftdisc relation
	parameter (mftdisc2 = 500)
	character*2 datatype_ftdisc_save, stage_ftdisc_save
	character*6 sta_ftdisc_save
	character*8 chan_ftdisc_save, wavetype_ftdisc_save, imag
     +efield_ftdisc_save
	character*16 imagetype_ftdisc_save, xaxistype_ftdisc_sav
     +e, yaxistype_ftdisc_save
	character*17 lddate_ftdisc_save
	character*32 dfile_ftdisc_save
	character*64 dir_ftdisc_save
	integer ftid_ftdisc_save, jdate_ftdisc_save, orid_ftdisc
     +_save, commid_ftdisc_save,
     *     numtot_ftdisc_save, numimage_ftdisc_save, ny_ftdisc_
     +save, nx_ftdisc_save
	real range_ftdisc_save
	real*8 time_ftdisc_save
	common/c_ftdisc_save/sta_ftdisc_save(mftdisc2), chan_ftd
     +isc_save(mftdisc2), 
     *     ftid_ftdisc_save(mftdisc2), wavetype_ftdisc_save(mft
     +disc2), jdate_ftdisc_save(mftdisc2), 
     *     orid_ftdisc_save(mftdisc2), time_ftdisc_save(mftdisc
     +2), range_ftdisc_save(mftdisc2), 
     *     stage_ftdisc_save(mftdisc2), imagetype_ftdisc_save(m
     +ftdisc2), 
     *     imagefield_ftdisc_save(mftdisc2), xaxistype_ftdisc_s
     +ave(mftdisc2), 
     *     yaxistype_ftdisc_save(mftdisc2), numtot_ftdisc_save(
     +mftdisc2), numimage_ftdisc_save(mftdisc2),
     *     ny_ftdisc_save(mftdisc2), nx_ftdisc_save(mftdisc2), 
     +datatype_ftdisc_save(mftdisc2), 
     *     dir_ftdisc_save(mftdisc2), dfile_ftdisc_save(mftdisc
     +2),  
     *	   commid_ftdisc_save(mftdisc2), lddate_ftdisc_sav
     +e(mftdisc2), nrowftdisc_save
c               quality measure
	common/c_quality/quality
            data q/-99999.0/
c-----------------------------------------------------------------------
cc	print *, 'flo2_n, red 274, nhalf=',nhalf,' nlen=',nlen
        nnspe=  nhalf+1
	do i=1,nlen
	tmpre(i)=sre(i)
	tmpim(i)=sim(i)
	end do
C-------to skip duplicated points obtained during drawing--------------S
             n=ninp
             do i=1,n
	     lm(i)=1
	     enddo
             do i=1,n-1
	     if(lm(i).eq.0)go to 3
	     ch=tee(i)
	     do k=i+1,n
	     if(lm(k).eq.0)go to 1
	     if(tee(k).eq.ch)lm(k)=0
1	     enddo
3	     enddo
	     k=1
	     do i=1,n
	     if (lm(i).eq.0)go to 2
	     tee(k)=tee(i)
	     u(k)=u(i)
	     k=k+1
2            enddo
	     ninp=k-1
	print*,'INPUT=',n,' CIRCLES;  OUTPUT=',NINP,' CIRCLES'
cc        print *,'flo2_n,302 red, Xc=tee=',tee,' Yc=u=',u
C-------to skip duplicated points obtained during drawing--------------E
	do 888 i=1,ninp
		tim2(i)=distan/u(i)-tratime
		omg2(i)=1./tee(i)
888				continue
c-----------------------------------------------------------------------
	do 99 j=1,ninp
	time(j+1)=tim2(ninp-j+1)
	omg(j+1)=omg2(ninp-j+1)
99					continue
	ttmin=int(1./(omg(ninp+1)+frstep*10.))
	ttmax=int(1./(omg(2)-frstep))
cc        print *,'flo2_n, 315 red ttmin=',ttmin,' ttmax=',ttmax,
cc     +' frstep=',frstep
c-----------------------------------------------------------------------
c	time(1)= 0.
	time(1)= time(2)/4.
	if(time(ninp).lt.time(ninp+1))			then
			time(ninp+2)= time(ninp+1)*2.
							else
			time(ninp+2)= time(ninp+1)/2.
							end if
	omg(1)=0.
	omg(ninp+2)=frstep*REAL(nnspe)
c-----------------------------------------------------------------------

c-----------------------------------------------------------------------
c		xlef1=omg(2)-frstep*31
		xlef1=omg(2)-frstep*10
		xlef2=omg(2)
c		xrig1=omg(ninp+1)+frstep*31
c		xrig2=omg(ninp+1)+frstep*51
		xrig1=omg(ninp+1)
		xrig2=omg(ninp+1)+frstep*20
c-----------------------------------------------------------------------
c	t01_bp,tc1_bp,tc2_bp,t02_bp
c	t01_bp= 1./xrig2
c	tc1_bp= 1./xrig1
c	tc2_bp= 1./xlef2
c	t02_bp= 1./xlef1
c	call bandpass
c-----------------------------------------------------------------------
	tsre=dt*(REAL(nlen-1))/2.
c-----------------------------------------------------------------------
cc       print *,'flo2_n, red 347   nnspe=',nnspe	
       call LIMITS (frstep,nlen,tmpre,smod,xlef1,xlef2,xrig1,xr
     +ig2,nnspe)
	call LIMITS (frstep,nlen,tmpim,smod,xlef1,xlef2,xrig1,xr
     +ig2,nnspe)
c-----------------------------------------------------------------------
c///////////////////////////////////////////////////////////////////////
	nina= ninp+1
c-----------------------------------------------------------------------
	call FLOT (omg,time,tsre,tmpre,tmpim,frstep,nnspe,nina,0)
	call NUL (tmpre,nnspe,nbase,nbase)
	call NUL (tmpim,nnspe,nbase,nbase)
	call LIMITS (frstep,nlen,tmpre,smod,xlef1,xlef2,xrig1,xr
     +ig2,nnspe)
	call LIMITS (frstep,nlen,tmpim,smod,xlef1,xlef2,xrig1,xr
     +ig2,nnspe)
         
        call FFT (n2pow,tmpre,tmpim,1)
					do 126 i22=1,nlen   
	smod(i22)=tmpre(i22)*tmpre(i22)+tmpim(i22)*tmpim(i22)
126						continue
c-----------------------------------------------------------------------
      if(iof.eq.0)					then
C------ONLY FOR IOF=0; not working when filtering is fixed!!!
      do i=1,nlen    
      tmpim(i)= dt*(i-1)
      end do
      inplot= (nlen*2)/3
      istart= nlen/3
      call clear
cc      print *,'predi PLOT_GR, ot red 372 na flo2_n.f'
cc      print *,'nlen=',nlen,' inplot=',inplot
cc      print *, 'nlen-inplot=',nlen-inplot
cc      print *,'smob(istart)=',smod(istart)
cc      print *,'tmpim(istart)=',tmpim(istart)
cc      print *,'xmi=',xmi,' xma=',xma,' ymi=',ymi,' yma=',yma
      call PLOT_GR ( nlen-inplot,smod(istart),tmpim(istart),xmi,
     *      xma,ymi,yma ,
     *		9.0,6.0,0.5,0.8,1,'none')

cc      print *, 'xmi=',xmi,' xma=',xma,' ymi=',ymi,' yma=',yma 
       krivX(1)= tsre
        krivX(2)= tsre
        krivY(1)= ymi
        krivY(2)= yma
        call setfor (0., 0.3, 1.0)
        call nplot(2,krivX,krivY,0,0,0.02,0,'.')
        call setfor (0., 0.0, 0.0)

cc      print *,'red 396,flo2, predi MY_CURSOR2'
cc      print *,'ymi=',ymi,' yma=',yma,' npoints=',npoints
      call MY_CURSOR2 ( ymi,yma,xxx,yyy,npoints,i_fail2)
      if(i_fail2.ne.0) return
							end if
c-----------------------------------------------------------------------
      iof= iof+1
					tlef1=xxx(1)
					tlef2=xxx(2)
					trig1=xxx(3)
					trig2=xxx(4)
c-----------------------------------------------------------------------
	nnspe= nhalf+1
	call NUL (tmpre,nlen,nbase,nbase)
	call NUL (tmpim,1,nbase,nbase)
	call LIMITS (dt,nlen,tmpre,smod,tlef1,tlef2,trig1,trig2,nlen)	
c-----------------------------------------------------------------------
        call FFT (n2pow,tmpre,tmpim,-1)
	nnspe= nhalf+1
		call NUL (tmpre,nnspe,nbase,nbase)
		call NUL (tmpim,nnspe,nbase,nbase)
	call LIMITS (frstep,nbase,tmpre,smod,xlef1,xlef2,xrig1,x
     +rig2,
     *							nnspe)
	call LIMITS (frstep,nbase,tmpim,smod,xlef1,xlef2,xrig1,x
     +rig2,nnspe)

c-----------------------------------------------------------------------
	call FLOT (omg,time,tsre,tmpre,tmpim,frstep,nnspe,nina,1)
		call NUL (tmpre,nnspe,nbase,nbase)
		call NUL (tmpim,nnspe,nbase,nbase)
c-----------------------------------------------------------------------
	call LIMITS (frstep,nbase,tmpre,smod,xlef1,xlef2,xrig1,x
     +rig2,
     *							nnspe)
	call LIMITS (frstep,nbase,tmpim,smod,xlef1,xlef2,xrig1,x
     +rig2,
     *							nnspe)
c-----------------------------------------------------------------------

	call clear
        call FFT (n2pow,tmpre,tmpim,1)
C-------plotting of filtered seismogram------------------------------
          do i=1,nbase
	  tmpre(i)=tmpre(i)*4.0
C         smod(i)= dt*(i-1)
        	end do

         call NUL (tmpre,nlen,nbase,nbase)
C	call PLOT_GR ( nlen,tmpre,smod,xmi,xma,ymi,yma ,
C    *          9.0,3.0,0.5,4.4,1,'none')

C	do i=1,nbase
C	smod(i)=tmpre(i)
C	tmpim(i)=0.0
C	end do
C-------calculation and plotting of amplitude spectrum---------------
C       call FFT (n2pow,smod,tmpim,-1)
C       do i=1,nnspe
C	smod(i)=SQRT(smod(i)*smod(i)+tmpim(i)*tmpim(i))*dt    
C	tm(i)= frstep*(i-1)
C	end do
C	call PLOT_GR (nhalf,smod,tm,xmi,xma,ymi,yma ,
C    *          9.0,3.0,0.5,0.4,0,'none')
C	call finitt
c-----------------------------------------------------------------------
								RETURN
								END
c///////////////////////////////////////////////////////////////////////
c-----------------------------------------------------------------------
	subroutine LIMITS (step,nraz,zna,smod,xlef1,xlef2,xrig1,
     +xrig2,
     *							nbase)
c-----------------------------------------------------------------------
	real*4 zna (nraz),smod (nraz)
c-----------------------------------------------------------------------
	call DEFF (step,nraz,xlef1,ilef1)
	call DEFF (step,nraz,xlef2,ilef2)
	call DEFF (step,nraz,xrig1,irig1)
	call DEFF (step,nraz,xrig2,irig2)
	call COSIN (smod,nraz,ilef1,ilef2,irig1,irig2)
c-----------------------------------------------------------------------
			akoef1=1.
			akoef2=0.
c-----------------------------------------------------------------------
					do 10 i=1,nraz
	zna(i)=zna(i)*(smod(i)+akoef2)*akoef1
	if (i.gt.nbase)			zna(i)=0.
10					continue
c-----------------------------------------------------------------------
								RETURN
								END
c///////////////////////////////////////////////////////////////////////
c-----------------------------------------------------------------------
	SUBRoutine DEFF (step,nraz,point,ind)
c-----------------------------------------------------------------------
	ind=1
	qq=0.
				do 10 i=1,nraz
	if(qq.ge.point)					then
				ind=i
				goto 20
								end if
	qq=qq+step
10				continue
20								RETUR
     +N
								END
c///////////////////////////////////////////////////////////////////////
c-----------------------------------------------------------------------
	subroutine COSIN (mout,nraz,indL1,indL2,indR1,indR2)
c-----------------------------------------------------------------------
		integer*4 nraz
		real*4 mout (nraz)
		data pi /3.1415926/
c-----------------------------------------------------------------------
	do i=1,nraz
		mout(i)= 0.0
		end do
	innn=indL1-1
					do 10 i=1,innn
	mout(i)=0.
10					continue
c-----------------------------------------------------------------------
		npoint=indL2-indL1+1
		step=pi/REAL(npoint)
c-----------------------------------------------------------------------
	qq=0.
					do 20 i=indL1,indL2
	x=-pi+qq
	mout(i)=(COS(x)+1.)/2.
	qq=qq+step
20					continue
c-----------------------------------------------------------------------
	innn=indL2+1
	inn2=indR1-1
					do 30 i=indl2+1,inn2
	mout(i)=1.
30					continue
c-----------------------------------------------------------------------
		npoint=indR2-indR1+1
		step=pi/REAL(npoint)	
c-----------------------------------------------------------------------
	qq=0.
					do 40 i=indR1,indR2
	x=qq
	mout(i)=(COS(x)+1.)/2.
	qq=qq+step
40					continue
c-----------------------------------------------------------------------
	innn=indR2+1
					do 50 i=innn,nraz
	mout(i)=0.
50					continue
c-----------------------------------------------------------------------
								RETURN
								END
c//////////////////////////////////////////////////////////////////////
c----------------------------------------------------------------------
	subroutine FLOT (omg,time,tsre,sre,sim,frstep,nbase,ninp
     +,inn)
c----------------------------------------------------------------------
	real*4 omg(101),time(101),sre(2),sim(2),am1(4096)
        data pi2/6.2831852/
c----------------------------------------------------------------------
	omin= omg(1)
	call spline (ninp+1,omg,time,am1,2,0.,2,0.)
	if(inn.eq.0)					then
				do 10 i=1,nbase
	om=frstep*(REAL(i)-1.)
	kkk= i
	call splint (1,ninp+1,omg,time,am1,omin,om,sint,*994)
	aks=((om*tsre)-sint)*pi2
		r=sre(i)*cos(aks)+sim(i)*sin(aks)
		sim(i)=sim(i)*cos(aks)-sre(i)*sin(aks)
		sre(i)=r
10				continue
	goto 995
	else if(inn.eq.1)				then
				do 20 i=1,nbase
	om=frstep*(REAL(i)-1.)
	call splint (1,ninp+1,omg,time,am1,omin,om,sint,*994)
	aks=((om*tsre)-sint)*pi2
			r=sre(i)*cos(aks)-sim(i)*sin(aks)
			sim(i)=sim(i)*cos(aks)+sre(i)*sin(aks)
			sre(i)=r
20					continue
							end if
							goto 995
994	print*,'flo2,589 red  nbase=',nbase,' kkk=',kkk
995							continue
		sre(1)= 0.0
		sim(1)= 0.0
							RETURN
							END
