	  SUBROUTINE ROT_N(xn,xe,yr,yt,bazim,nsampl,amp1,amp2,ha
     +ngN,hangE)
C---------to rotate:  T+ - to the right from the minor arc of
C-------- the great circle looking from epicenter to station;
C-------------------  R+ - from the epicenter along the minor arc;
C---------correction for the orientation of instruments is done-----
	  real*4 xn(2),xe(2),yt(2),yr(2)
	  data pi/3.141592654/,r/180./
	  angN=hangN/r*pi
	  angE=hangE/r*pi
	  cN=cos(angN)*amp1
	  sN=sin(angN)*amp1
	  cE=cos(angE)*amp2
	  sE=sin(angE)*amp2
	  baz=bazim/r*pi
	  ac=cos(baz)
	  as=sin(baz)
	  do i=1,nsampl
	  xnn=xn(i)*cN+xe(i)*cE
	  xee=xn(i)*sN+xe(i)*sE
	  yt(i)= xnn*as-xee*ac
 	  yr(i)=-xnn*ac-xee*as
	  end do
	  return
	  end
