#include "fmt4cmdw.h"	// our header
#include <ctype.h>
#include <unistd.h>
#include <stdlib.h>
#include <time.h>

int
Ah4DbCmdWindow::SaveProject(char *OutErr) {

 FILE *out;


char *OutName = new char [strlen(origin.ScriptName)+24];
strcpy(OutName,origin.ScriptName);//
char *OutNameCopy = new char [strlen(OutName)+24];
strcpy(OutNameCopy,OutName);strcat(OutNameCopy,"%");

 if (!(out = fopen(OutName, "r")) == 0)
	   {
	fclose(out);
	char *str = new char [strlen(OutName)+strlen(OutName) + 24 ];
	strcpy (str,"mv ");
	strcat(str,OutName); strcat(str," ");
	strcat(str,OutNameCopy);
	system(str);
	delete str;
	  }
*strrchr(strrchr(OutName,'/'),'.') = '\0';
strcat (OutName,".script");
strcpy(OutNameCopy,OutName);strcat(OutNameCopy,"%");
 if (!(out = fopen(OutName, "r")) == 0)
	   {
	fclose(out);
	char *str = new char [strlen(OutName)+strlen(OutName) + 24 ];
	strcpy (str,"mv ");
	strcat(str,OutName); strcat(str," ");
	strcat(str,OutNameCopy);
	system(str);
	delete str;
	  }


delete OutName;
delete OutNameCopy;
 

  if ((out = fopen(origin.ScriptName, "w")) == NULL)
	   {
	    (void) fprintf(stderr, "\tFatal Error open (Project File):  ");
	    (void) fprintf(stderr,
			   "Fatal Error: OutPut file %s is not available for writing.\n",
			   origin.ScriptName);
	    sprintf( OutErr, "Fatal Error: Error open (Project File):\n file %s is not available for writing.\n",
			   origin.ScriptName);
	    return 1;
	  }


			struct tm timet;
			struct tm *ttm;
                	long itime;
		itime = time(NULL);
		ttm = &timet;
		ttm = localtime(&itime);

fprintf(out,"                     Date:    %s\n",strchr(asctime(ttm),' '));

fprintf(out,"%s %s\n","Input_Ah_Seis_Directory_Name....",origin.AhBinDirName);
fprintf(out,"%s %s\n","Output_Dbase_Directory_Name.....",origin.PlaceDirName);
fprintf(out,"%s %s\n","Output_Working_Directory_Name...",origin.WorkDirName);
fprintf(out,"%s %d\n",   "Input_Data_Type....... ",origin.InputDataType);
fprintf(out,"%s %d\n",   "Output_DataBase_Dt.... ",origin.OutDtValue);

   
fprintf(out,"%s %d\n",   "year_Source........... ",origin.year);


fprintf(out,"%s %d\n",   "month_Source.......... ",origin.month);

fprintf(out,"%s %d\n",   "day_Source............ ",origin.day);

fprintf(out,"%s %d\n",   "julian_Day_Source..... ",origin.doy);

fprintf(out,"%s %d\n",   "hour_Source........... ",origin.hour);

fprintf(out,"%s %d\n",   "minute_Source......... ",origin.minute);

fprintf(out,"%s %d\n",   "duration_Source....... ",origin.duration);
     
fprintf(out,"%s %6.3f\n","second_Source......... ",origin.second);
 
fprintf(out,"%s %7.3f\n","latitude_Source....... ",origin.latitude);               
fprintf(out,"%s %8.3f\n","longitude_Source...... ",origin.longitude);
           
fprintf(out,"%s %6.1f\n","dep_Source............ ",origin.dep);
        
fprintf(out,"%s %4.2f\n","mb_Source............. ",origin.mb);
     
fprintf(out,"%s %6.3f\n","ms_Source............. ",origin.ms);
          
fprintf(out,"%s %6.3f\n","ml_Source............. ",origin.ml);

fprintf(out,"%s %d\n",   "year_F_Source......... ",origin.fyear);

fprintf(out,"%s %d\n",   "month_F_Source........ ",origin.fmonth);

fprintf(out,"%s %d\n",   "day_F_Source.......... ",origin.fday);

fprintf(out,"%s %d\n",   "doy_F_Source.......... ",origin.fdoy);

fprintf(out,"%s %d\n",   "hour_F_Source......... ",origin.fhour);

fprintf(out,"%s %d\n",   "minute_F_Source....... ",origin.fminute);

fprintf(out,"%s %6.3f\n","second_F_Source....... ",origin.fsecond);

fclose (out);
return 0;
}

int
Ah4DbCmdWindow::OpenProject(char *OutErr) {
FILE *in;
 if ((in = fopen(origin.ScriptName, "r")) == NULL)
	   {
	    (void) fprintf(stderr, "\tFatal Error open (Project File):  ");
	    (void) fprintf(stderr,
			   "Fatal Error: Project File %s is not available for riding.\n",
			   origin.ScriptName);
	    sprintf( OutErr, "Fatal Error: Project File %s is not available for riding.\n",
			   origin.ScriptName);
	    return 1;
	  }
char dummy[_MAX_FILE_NAME];

fgets(dummy,256,in);
fscanf(in,"\n%s%s",dummy,origin.AhBinDirName);
fscanf(in,"%s%s",dummy,origin.PlaceDirName);
fscanf(in,"%s%s",dummy,origin.WorkDirName);
fscanf(in,"%s%d\n",dummy,&origin.InputDataType);
fscanf(in,"%s%d\n",dummy,&origin.OutDtValue);

fscanf(in,"%s%d\n",dummy,&origin.year);
fscanf(in,"%s%d\n",dummy,&origin.month);
fscanf(in,"%s%d\n",dummy,&origin.day);
fscanf(in,"%s%d\n",dummy,&origin.doy);
fscanf(in,"%s%d\n",dummy,&origin.hour);
fscanf(in,"%s%d\n",dummy,&origin.minute);
fscanf(in,"%s%d\n",dummy,&origin.duration);
fscanf(in,"%s%f\n",dummy,&origin.second);

fscanf(in,"%s%f\n",dummy,&origin.latitude);
fscanf(in,"%s%f\n",dummy,&origin.longitude);
fscanf(in,"%s%f\n",dummy,&origin.dep);
fscanf(in,"%s%f\n",dummy,&origin.mb);
fscanf(in,"%s%f\n",dummy,&origin.ms);
fscanf(in,"%s%f\n",dummy,&origin.ml);


fscanf(in,"%s%d\n",dummy,&origin.fyear);
fscanf(in,"%s%d\n",dummy,&origin.fmonth);
fscanf(in,"%s%d\n",dummy,&origin.fday);
fscanf(in,"%s%d\n",dummy,&origin.fdoy);
fscanf(in,"%s%d\n",dummy,&origin.fhour);
fscanf(in,"%s%d\n",dummy,&origin.fminute);
fscanf(in,"%s%f\n",dummy,&origin.fsecond);





return 0;
}

