//	fmt4app.h:	Header for Ah4DbApp class
//=======================================================================

#ifndef Ah4DbAPP_H
#define Ah4DbAPP_H

// Include standard V files as needed

#ifdef vDEBUG
#include <v/vdebug.h>
#endif

#include <v/vapp.h>
#include <v/vawinfo.h>

#include "fmt4cmdw.h"	// we use Ah4DbCommandWindow

    class Ah4DbApp : public vApp
      {
	friend int AppMain(int, char**);	// allow AppMain access

      public:		//---------------------------------------- public

	Ah4DbApp(char* name, int sdi = 0, int h = 0, int w = 0);
	virtual ~Ah4DbApp();

	// Routines from vApp that are normally overridden

	virtual vWindow* NewAppWin(vWindow* win, char* name, int w, int h,
		vAppWinInfo* winInfo);

	virtual void Exit(void);

	virtual int CloseAppWin(vWindow*);

	virtual void AppCommand(vWindow* win, ItemVal id, ItemVal val, CmdType cType);

	virtual void KeyIn(vWindow*, vKey, unsigned int);

	// New routines for this particular app

      protected:	//--------------------------------------- protected

      private:		//--------------------------------------- private

	Ah4DbCmdWindow* _Ah4DbCmdWin;		// Pointer to instance of first window

      };
#endif
