#ifndef DB2ASCII_H
#define DB2ASCII_H
#include <qapplication.h>
#include <qstring.h> 
#include <qfile.h> 
#include <qtextstream.h> 
#include <math.h> 
#include "SpPrdbe.h"    // Dbe 
#include "seis.h"
#include "ahhead.h"
#include "stachan.h" 

extern "C" {
double fmtepoph();
void fmtetoh(double,int *,int *,int *,int *,int *,int *,float *);
void fmtdoy2mday(); 
}
union unSet
{
 float fal;
 int val;
 char ch[4];
};
void deleteStationAndNullify( StaValue* &staVal) ;
vector<StaValue* >::iterator GetStaIterator(QString sta,vector<StaValue* >* lst);
float DecoderPcUnix(float inFloat);
int   DecoderPcUnix(int inInt);
void TransformFloatArray(float *s,long n);
QString getRecordName(SEI *wf);
bool getRecordData(SEI *wf,char* dbin );
bool getRecordData(SEI *wfn,SEI *wfe,char *dbin);
bool writeAsciiRecord(SEI *wf,char * dirout,char *  indAhOrAscii);
#endif
