//	fmts2dapp.h:	Header for FmtSd2DbApp class
//=======================================================================

#ifndef FmtSd2DbAPP_H
#define FmtSd2DbAPP_H

// Include standard V files as needed

#ifdef vDEBUG
#include <v/vdebug.h>
#endif

#include <v/vapp.h>
#include <v/vawinfo.h>


#include "fmts2dcmdw.h"	// we use FmtSd2DbCommandWindow

    class FmtSd2DbApp : public vApp
      {
	friend int AppMain(int, char**);	// allow AppMain access

      public:		//---------------------------------------- public

	FmtSd2DbApp(char* name, int sdi = 0, int h = 0, int w = 0);
	virtual ~FmtSd2DbApp();

	// Routines from vApp that are normally overridden

	virtual vWindow* NewAppWin(vWindow* win, char* name, int w, int h,
		vAppWinInfo* winInfo);

	virtual void Exit(void);

	virtual int CloseAppWin(vWindow*);

	virtual void AppCommand(vWindow* win, ItemVal id, ItemVal val, CmdType cType);

	virtual void KeyIn(vWindow*, vKey, unsigned int);

	// New routines for this particular app

      protected:	//--------------------------------------- protected

      private:		//--------------------------------------- private

	FmtSd2DbCmdWindow* _FmtSd2DbCmdWin;		// Pointer to instance of first window

      };
#endif
