//	fmt4cmdw.h:	Header for Ah4Dbcmdw class
//=======================================================================

#ifndef Ah4DbCMDW_H
#define Ah4DbCMDW_H

#include <string.h>
#include "fmt4class.h"
#include "origin.h"
#define _MAX_FILE_NAME   1024
int Is_Digit(char *);
int Is_ZDigit(char *);
int Is_Integer(char *);
class Ah4DbCmdWindow;
class FDocument;
class Ah4DbCmdWindow {

public:		//---------------------------------------- public
    Ah4DbCmdWindow(FDocument* doc);
     ~Ah4DbCmdWindow();
    ORIG origin,saveor;
    void EmptyOrigin();
    void SetEndTime();
//                void CopyOr2Or(ORIG *,ORIG *);
    int WriteScript(char *);
    int ReadScript(char *);
    void PrintToCanvas();
    int SaveProject(char *OutErr);
    int OpenProject(char *OutErr);
    int GetListOfAhRecords(char *PlaceDbase,char *OutErr);
    int MakeJustDbase(char *PlaceDbase,char *OutErr);
    int SeedToAh(char *ErrorReturnCode);
    int GetListOfStationChannel(char *OutErr);
    int CreateStructureInfo(ahhed *ah_header,char *FileNameIn,
                            char *FileNameOut,char *OutErr);

    int AddLocationList( list <Station *>::iterator itrStation,
                         ahhed *ahdr,char * FileNameIn,char *FileNameOut,char *OutErr);

    int AddChannelList( list <Location *>::iterator itrLocation,
                        ahhed *ahdr,char * FileNameIn,char *FileNameOut,char *OutErr);

    int AddCompList( list <Channel *>::iterator itrComp,
                     ahhed *ahdr,char * FileNameIn,char *FileNameOut,char *OutErr);

    int AddRecordList( list <Comp *>::iterator itrComp,
                       ahhed *ahdr,char * FileNameIn,char *FileNameOut,char *OutErr);

    void SortStructure();
    void RemoveDefaultStructureItems();
    void PrintStructure(FILE *out);
    void GetRecList (list<Record *>::iterator itrRec, QString &value);
list <Station *>* GetStaList(){ return &itsStationList;}

protected:	//--------------------------------------- protected

private:		//--------------------------------------- private

    FDocument* doc;
    list <string> itsRecordList;
    list <Station *> itsStationList;
    bool indGetListOfStation;

};
#endif
