//
// C++ Interface: default
//
// Description:
//
//
// Author: fmt <fmt@localhost.localdomain>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef _SEEDTODB_DEFAULTS_H
#define _SEEDTODB_DEFAULTS_H
const QString  userHomePath();
const QString  rootPath();
const QString  searchHelpPath();
const QString  mainWindowCaption();
const QString  temporarySystemDirectoryPath();
const QString  temporaryDirectoryPrifix();

const QString  SeedToDbCurrentVersion();
const QString  SeedToDbVersionsForQt4();

const QString seedFilterLocator();
const QString ahFilterLocator();
const QString projectFileFilterLocator();
const QString protocolFileFilterLocator();

//========================== SeedToDb parameters ======================================

///----------------------------------- Input Data Type -----------------------------
int     idInputDataType();
const QString nameInputDataType();
const QString defaultInputDataType();
const QString enumInputDataType();

///----------------------------------- Output DeltA Time -----------------------------
int     idOutputDeltaTime();
const QString nameOutputDeltaTime();
const QString defaultOutputDeltaTime();
const QString enumOutputDeltaTime();

///----------------------------------- Data Directory Name --------------------------
int     idDataDirectoryName();
const QString nameDataDirectoryName();
const QString defaultDataDirectoryName();

///----------------------------------- DBase Name -----------------------------
int     idDbaseName();
const QString nameDbaseName();
const QString defaultDbaseName();

///----------------------------------- DBase Directory Name -----------------------------
int     idDbaseDirectoryName();
const QString nameDbaseDirectoryName();
const QString defaultDbaseDirectoryName();

///---------------------------------- Origin Data ------------------------------------------

//------------------------------------ OriginYear -------------------------------------
int      idOriginYear();
const QString  nameOriginYear();
const QString  defaultOriginYear();
int      minOriginYear();
int      maxOriginYear();
bool     signedOriginYear();

//------------------------------------ OriginMonth -------------------------------------
int      idOriginMonth();
const QString  nameOriginMonth();
const QString  defaultOriginMonth();
int      minOriginMonth();
int      maxOriginMonth();
bool     signedOriginMonth();

//------------------------------------ OriginDay -------------------------------------
int      idOriginDay();
const QString  nameOriginDay();
const QString  defaultOriginDay();
int      minOriginDay();
int      maxOriginDay();
bool     signedOriginDay();

//------------------------------------ OriginHour -------------------------------------
int      idOriginHour();
const QString  nameOriginHour();
const QString  defaultOriginHour();
int      minOriginHour();
int      maxOriginHour();
bool     signedOriginHour();

//------------------------------------ OriginMinute -------------------------------------
int      idOriginMinute();
const QString  nameOriginMinute();
const QString  defaultOriginMinute();
int      minOriginMinute();
int      maxOriginMinute();
bool     signedOriginMinute();
///---------------------- OriginSecond -------------------------------------
int        idOriginSecond() ;
const QString    nameOriginSecond();
const QString    defaultOriginSecond();
float      minOriginSecond();
float      maxOriginSecond();
int        decimalDOriginSecond();

//------------------------------------ Output Record Duration -----------------------------------
int      idRecordDuration();
const QString  nameRecordDuration();
const QString  defaultRecordDuration();
int      minRecordDuration();
int      maxRecordDuration();
bool     signedRecordDuration();
///---------------------- OriginLatitude -------------------------------------
int        idOriginLatitude();
const QString    nameOriginLatitude();
const QString    defaultOriginLatitude();
float      minOriginLatitude();
float      maxOriginLatitude();
int        decimalDOriginLatitude();

///---------------------- OriginLongitude -------------------------------------
int        idOriginLongitude();
const QString    nameOriginLongitude();
const QString    defaultOriginLongitude();
float      minOriginLongitude();
float      maxOriginLongitude();
int        decimalDOriginLongitude();

///---------------------- OriginDepth -------------------------------------
int        idOriginDepth();
const QString    nameOriginDepth();
const QString    defaultOriginDepth();
float      minOriginDepth();
float      maxOriginDepth();
int        decimalDOriginDepth();

///---------------------- OriginMb -------------------------------------
int        idOriginMb();
const QString    nameOriginMb();
const QString    defaultOriginMb();
float      minOriginMb();
float      maxOriginMb();
int        decimalDOriginMb();

///---------------------- OriginMs -------------------------------------
int        idOriginMs();
const QString    nameOriginMs();
const QString    defaultOriginMs();
float      minOriginMs();
float      maxOriginMs();
int        decimalDOriginMs();

///---------------------- OriginMl -------------------------------------
int        idOriginMl();
const QString    nameOriginMl();
const QString    defaultOriginMl();
float      minOriginMl();
float      maxOriginMl();
int        decimalDOriginMl();

#endif
