	subroutine reftekfilter(filter,npts)
c		fills reftek half filter files
c		1 - decimate by 2, slow
c		2 - decimate by 2, fast
c		3 - decimate by 4, slow
c		4 - decimate by 4, fast
c		5 - decimate by 5, slow
c		6 - decimate by 5, fast
c	 routine created by program refrefmt.f on 3/17/93 (mhr)

	dimension filter(6,118), npts(6)

c		number of points in half filter
        npts(1) =  48
        npts(2) =  21
        npts(3) =  95
        npts(4) =  41
        npts(5) =  118
        npts(6) =  50
c		decimate by 2, slow
        filter(  1,  1) =   0.441072
        filter(  1,  2) =   0.312634
        filter(  1,  3) =    5.76880E-02
        filter(  1,  4) =   -8.88721E-02
        filter(  1,  5) =   -5.28236E-02
        filter(  1,  6) =    3.66400E-02
        filter(  1,  7) =    4.53779E-02
        filter(  1,  8) =   -1.11030E-02
        filter(  1,  9) =   -3.62236E-02
        filter(  1,  10) =   -3.44610E-03
        filter(  1,  11) =    2.63838E-02
        filter(  1,  12) =    1.13402E-02
        filter(  1,  13) =   -1.68652E-02
        filter(  1,  14) =   -1.45601E-02
        filter(  1,  15) =    8.51968E-03
        filter(  1,  16) =    1.44780E-02
        filter(  1,  17) =   -1.93975E-03
        filter(  1,  18) =   -1.22651E-02
        filter(  1,  19) =   -2.60134E-03
        filter(  1,  20) =    8.95507E-03
        filter(  1,  21) =    5.13563E-03
        filter(  1,  22) =   -5.41087E-03
        filter(  1,  23) =   -5.95036E-03
        filter(  1,  24) =    2.26304E-03
        filter(  1,  25) =    5.49495E-03
        filter(  1,  26) =    1.08097E-04
        filter(  1,  27) =   -4.27885E-03
        filter(  1,  28) =   -1.56841E-03
        filter(  1,  29) =    2.77850E-03
        filter(  1,  30) =    2.18096E-03
        filter(  1,  31) =   -1.36523E-03
        filter(  1,  32) =   -2.13993E-03
        filter(  1,  33) =    2.73246E-04
        filter(  1,  34) =    1.69853E-03
        filter(  1,  35) =    4.06366E-04
        filter(  1,  36) =   -1.09999E-03
        filter(  1,  37) =   -6.95627E-04
        filter(  1,  38) =    5.34481E-04
        filter(  1,  39) =    6.92624E-04
        filter(  1,  40) =   -1.14103E-04
        filter(  1,  41) =   -5.23471E-04
        filter(  1,  42) =   -1.24111E-04
        filter(  1,  43) =    3.10279E-04
        filter(  1,  44) =    2.12191E-04
        filter(  1,  45) =   -1.45131E-04
        filter(  1,  46) =   -2.92263E-04
        filter(  1,  47) =   -1.86167E-04
        filter(  1,  48) =   -4.70420E-05
c		decimate by 2, fast
        filter(  2,  1) =   0.354292
        filter(  2,  2) =   0.283177
        filter(  2,  3) =   0.122169
        filter(  2,  4) =   -1.89816E-02
        filter(  2,  5) =   -6.69466E-02
        filter(  2,  6) =   -3.41201E-02
        filter(  2,  7) =    1.44141E-02
        filter(  2,  8) =    2.95196E-02
        filter(  2,  9) =    1.18687E-02
        filter(  2,  10) =   -8.95502E-03
        filter(  2,  11) =   -1.28992E-02
        filter(  2,  12) =   -3.79713E-03
        filter(  2,  13) =    4.37946E-03
        filter(  2,  14) =    4.88274E-03
        filter(  2,  15) =    1.05959E-03
        filter(  2,  16) =   -1.59289E-03
        filter(  2,  17) =   -1.51285E-03
        filter(  2,  18) =   -3.72208E-04
        filter(  2,  19) =    2.56143E-04
        filter(  2,  20) =    2.38134E-04
        filter(  2,  21) =    6.80378E-05
c		decimate by 4, slow
        filter(  3,  1) =   0.220209
        filter(  3,  2) =   0.202956
        filter(  3,  3) =   0.156045
        filter(  3,  4) =    9.23963E-02
        filter(  3,  5) =    2.87217E-02
        filter(  3,  6) =   -1.98618E-02
        filter(  3,  7) =   -4.43893E-02
        filter(  3,  8) =   -4.42344E-02
        filter(  3,  9) =   -2.63059E-02
        filter(  3,  10) =   -1.76938E-03
        filter(  3,  11) =    1.83392E-02
        filter(  3,  12) =    2.68993E-02
        filter(  3,  13) =    2.26083E-02
        filter(  3,  14) =    9.47231E-03
        filter(  3,  15) =   -5.60486E-03
        filter(  3,  16) =   -1.60143E-02
        filter(  3,  17) =   -1.80604E-02
        filter(  3,  18) =   -1.20569E-02
        filter(  3,  19) =   -1.65248E-03
        filter(  3,  20) =    8.12954E-03
        filter(  3,  21) =    1.31719E-02
        filter(  3,  22) =    1.18901E-02
        filter(  3,  23) =    5.59687E-03
        filter(  3,  24) =   -2.39880E-03
        filter(  3,  25) =   -8.44026E-03
        filter(  3,  26) =   -1.01277E-02
        filter(  3,  27) =   -7.21438E-03
        filter(  3,  28) =   -1.47265E-03
        filter(  3,  29) =    4.29107E-03
        filter(  3,  30) =    7.56506E-03
        filter(  3,  31) =    7.18941E-03
        filter(  3,  32) =    3.71559E-03
        filter(  3,  33) =   -1.01507E-03
        filter(  3,  34) =   -4.80559E-03
        filter(  3,  35) =   -6.10140E-03
        filter(  3,  36) =   -4.59878E-03
        filter(  3,  37) =   -1.24786E-03
        filter(  3,  38) =    2.29689E-03
        filter(  3,  39) =    4.46890E-03
        filter(  3,  40) =    4.46491E-03
        filter(  3,  41) =    2.51769E-03
        filter(  3,  42) =   -3.17708E-04
        filter(  3,  43) =   -2.71151E-03
        filter(  3,  44) =   -3.66963E-03
        filter(  3,  45) =   -2.93031E-03
        filter(  3,  46) =   -9.99084E-04
        filter(  3,  47) =    1.15494E-03
        filter(  3,  48) =    2.57164E-03
        filter(  3,  49) =    2.71851E-03
        filter(  3,  50) =    1.67446E-03
        filter(  3,  51) =    2.79741E-05
        filter(  3,  52) =   -1.44168E-03
        filter(  3,  53) =   -2.11806E-03
        filter(  3,  54) =   -1.80235E-03
        filter(  3,  55) =   -7.49313E-04
        filter(  3,  56) =    5.01540E-04
        filter(  3,  57) =    1.38773E-03
        filter(  3,  58) =    1.57356E-03
        filter(  3,  59) =    1.06602E-03
        filter(  3,  60) =    1.70843E-04
        filter(  3,  61) =   -6.81375E-04
        filter(  3,  62) =   -1.13096E-03
        filter(  3,  63) =   -1.04005E-03
        filter(  3,  64) =   -5.17525E-04
        filter(  3,  65) =    1.56856E-04
        filter(  3,  66) =    6.76380E-04
        filter(  3,  67) =    8.43227E-04
        filter(  3,  68) =    6.37415E-04
        filter(  3,  69) =    1.99816E-04
        filter(  3,  70) =   -2.53767E-04
        filter(  3,  71) =   -5.28515E-04
        filter(  3,  72) =   -5.37507E-04
        filter(  3,  73) =   -3.17708E-04
        filter(  3,  74) =    6.99341E-06
        filter(  3,  75) =    2.83740E-04
        filter(  3,  76) =    4.08625E-04
        filter(  3,  77) =    3.54674E-04
        filter(  3,  78) =    1.74839E-04
        filter(  3,  79) =   -3.49675E-05
        filter(  3,  80) =   -1.84830E-04
        filter(  3,  81) =   -2.23795E-04
        filter(  3,  82) =   -1.53859E-04
        filter(  3,  83) =   -2.19795E-05
        filter(  3,  84) =    1.10898E-04
        filter(  3,  85) =    1.91824E-04
        filter(  3,  86) =    2.01815E-04
        filter(  3,  87) =    1.47864E-04
        filter(  3,  88) =    6.19427E-05
        filter(  3,  89) =   -2.29789E-05
        filter(  3,  90) =   -7.89275E-05
        filter(  3,  91) =   -9.99082E-05
        filter(  3,  92) =   -8.99173E-05
        filter(  3,  93) =   -6.39409E-05
        filter(  3,  94) =   -3.49675E-05
        filter(  3,  95) =   -1.49861E-05
c		decimate by 4, fast
        filter(  4,  1) =   0.177364
        filter(  4,  2) =   0.167972
        filter(  4,  3) =   0.141668
        filter(  4,  4) =    1.03603E-01
        filter(  4,  5) =    6.09462E-02
        filter(  4,  6) =    2.11724E-02
        filter(  4,  7) =   -9.62093E-03
        filter(  4,  8) =   -2.79440E-02
        filter(  4,  9) =   -3.33925E-02
        filter(  4,  10) =   -2.83203E-02
        filter(  4,  11) =   -1.68739E-02
        filter(  4,  12) =   -3.70405E-03
        filter(  4,  13) =    7.23897E-03
        filter(  4,  14) =    1.35362E-02
        filter(  4,  15) =    1.45900E-02
        filter(  4,  16) =    1.13684E-02
        filter(  4,  17) =    5.78777E-03
        filter(  4,  18) =   -3.20262E-05
        filter(  4,  19) =   -4.41464E-03
        filter(  4,  20) =   -6.49435E-03
        filter(  4,  21) =   -6.26817E-03
        filter(  4,  22) =   -4.39262E-03
        filter(  4,  23) =   -1.82150E-03
        filter(  4,  24) =    5.40445E-04
        filter(  4,  25) =    2.09372E-03
        filter(  4,  26) =    2.63617E-03
        filter(  4,  27) =    2.31291E-03
        filter(  4,  28) =    1.47522E-03
        filter(  4,  29) =    5.15425E-04
        filter(  4,  30) =   -2.63217E-04
        filter(  4,  31) =   -7.09584E-04
        filter(  4,  32) =   -8.18674E-04
        filter(  4,  33) =   -6.84564E-04
        filter(  4,  34) =   -4.40362E-04
        filter(  4,  35) =   -1.97162E-04
        filter(  4,  36) =   -2.20178E-05
        filter(  4,  37) =    6.70551E-05
        filter(  4,  38) =    8.70717E-05
        filter(  4,  39) =    6.80557E-05
        filter(  4,  40) =    3.80312E-05
        filter(  4,  41) =    1.50123E-05
c		decimate by 5, slow
        filter(  5,  1) =   0.176134
        filter(  5,  2) =   0.167226
        filter(  5,  3) =   0.142124
        filter(  5,  4) =   0.105340
        filter(  5,  5) =    6.33040E-02
        filter(  5,  6) =    2.29931E-02
        filter(  5,  7) =   -9.49755E-03
        filter(  5,  8) =   -3.01370E-02
        filter(  5,  9) =   -3.76226E-02
        filter(  5,  10) =   -3.33958E-02
        filter(  5,  11) =   -2.10540E-02
        filter(  5,  12) =   -5.32870E-03
        filter(  5,  13) =    9.10094E-03
        filter(  5,  14) =    1.86664E-02
        filter(  5,  15) =    2.15935E-02
        filter(  5,  16) =    1.80850E-02
        filter(  5,  17) =    1.00040E-02
        filter(  5,  18) =    1.73827E-04
        filter(  5,  19) =   -8.47457E-03
        filter(  5,  20) =   -1.36934E-02
        filter(  5,  21) =   -1.44376E-02
        filter(  5,  22) =   -1.10100E-02
        filter(  5,  23) =   -4.83219E-03
        filter(  5,  24) =    2.06594E-03
        filter(  5,  25) =    7.66437E-03
        filter(  5,  26) =    1.05175E-02
        filter(  5,  27) =    1.00910E-02
        filter(  5,  28) =    6.82721E-03
        filter(  5,  29) =    1.92309E-03
        filter(  5,  30) =   -3.07194E-03
        filter(  5,  31) =   -6.72831E-03
        filter(  5,  32) =   -8.12791E-03
        filter(  5,  33) =   -7.07596E-03
        filter(  5,  34) =   -4.09193E-03
        filter(  5,  35) =   -1.99801E-04
        filter(  5,  36) =    3.40861E-03
        filter(  5,  37) =    5.72730E-03
        filter(  5,  38) =    6.20583E-03
        filter(  5,  39) =    4.86516E-03
        filter(  5,  40) =    2.24477E-03
        filter(  5,  41) =   -7.93211E-04
        filter(  5,  42) =   -3.34667E-03
        filter(  5,  43) =   -4.72330E-03
        filter(  5,  44) =   -4.63139E-03
        filter(  5,  45) =   -3.22080E-03
        filter(  5,  46) =   -1.00900E-03
        filter(  5,  47) =    1.30370E-03
        filter(  5,  48) =    3.04597E-03
        filter(  5,  49) =    3.76825E-03
        filter(  5,  50) =    3.35166E-03
        filter(  5,  51) =    2.01400E-03
        filter(  5,  52) =    2.15785E-04
        filter(  5,  53) =   -1.48752E-03
        filter(  5,  54) =   -2.61740E-03
        filter(  5,  55) =   -2.90311E-03
        filter(  5,  56) =   -2.33568E-03
        filter(  5,  57) =   -1.15385E-03
        filter(  5,  58) =    2.50750E-04
        filter(  5,  59) =    1.45855E-03
        filter(  5,  60) =    2.14287E-03
        filter(  5,  61) =    2.15685E-03
        filter(  5,  62) =    1.55645E-03
        filter(  5,  63) =    5.71431E-04
        filter(  5,  64) =   -4.84518E-04
        filter(  5,  65) =   -1.30370E-03
        filter(  5,  66) =   -1.67733E-03
        filter(  5,  67) =   -1.54047E-03
        filter(  5,  68) =   -9.83021E-04
        filter(  5,  69) =   -2.01799E-04
        filter(  5,  70) =    5.59443E-04
        filter(  5,  71) =    1.08792E-03
        filter(  5,  72) =    1.25675E-03
        filter(  5,  73) =    1.05695E-03
        filter(  5,  74) =    5.81421E-04
        filter(  5,  75) =   -7.99164E-06
        filter(  5,  76) =   -5.33469E-04
        filter(  5,  77) =   -8.54150E-04
        filter(  5,  78) =   -9.03101E-04
        filter(  5,  79) =   -6.94309E-04
        filter(  5,  80) =   -3.15685E-04
        filter(  5,  81) =    1.08891E-04
        filter(  5,  82) =    4.56546E-04
        filter(  5,  83) =    6.38365E-04
        filter(  5,  84) =    6.23379E-04
        filter(  5,  85) =    4.38563E-04
        filter(  5,  86) =    1.55845E-04
        filter(  5,  87) =   -1.35864E-04
        filter(  5,  88) =   -3.53648E-04
        filter(  5,  89) =   -4.48554E-04
        filter(  5,  90) =   -4.08593E-04
        filter(  5,  91) =   -2.60740E-04
        filter(  5,  92) =   -6.09391E-05
        filter(  5,  93) =    1.30870E-04
        filter(  5,  94) =    2.63737E-04
        filter(  5,  95) =    3.10691E-04
        filter(  5,  96) =    2.68733E-04
        filter(  5,  97) =    1.63837E-04
        filter(  5,  98) =    3.29667E-05
        filter(  5,  99) =   -8.59142E-05
        filter(  5,  100) =   -1.60840E-04
        filter(  5,  101) =   -1.78822E-04
        filter(  5,  102) =   -1.40860E-04
        filter(  5,  103) =   -6.49352E-05
        filter(  5,  104) =    2.49751E-05
        filter(  5,  105) =    1.04895E-04
        filter(  5,  106) =    1.57843E-04
        filter(  5,  107) =    1.74826E-04
        filter(  5,  108) =    1.58842E-04
        filter(  5,  109) =    1.18881E-04
        filter(  5,  110) =    6.79320E-05
        filter(  5,  111) =    1.89810E-05
        filter(  5,  112) =   -1.89810E-05
        filter(  5,  113) =   -4.09589E-05
        filter(  5,  114) =   -4.79522E-05
        filter(  5,  115) =   -4.39561E-05
        filter(  5,  116) =   -3.29667E-05
        filter(  5,  117) =   -1.99798E-05
        filter(  5,  118) =   -1.09889E-05
c		decimate by 5, fast
        filter(  6,  1) =   0.141121
        filter(  6,  2) =   0.136353
        filter(  6,  3) =   0.122659
        filter(  6,  4) =    1.01771E-01
        filter(  6,  5) =    7.62664E-02
        filter(  6,  6) =    4.91706E-02
        filter(  6,  7) =    2.34952E-02
        filter(  6,  8) =    1.80478E-03
        filter(  6,  9) =   -1.41150E-02
        filter(  6,  10) =   -2.34562E-02
        filter(  6,  11) =   -2.63971E-02
        filter(  6,  12) =   -2.39687E-02
        filter(  6,  13) =   -1.77896E-02
        filter(  6,  14) =   -9.73062E-03
        filter(  6,  15) =   -1.59358E-03
        filter(  6,  16) =    5.17011E-03
        filter(  6,  17) =    9.63653E-03
        filter(  6,  18) =    1.14653E-02
        filter(  6,  19) =    1.08557E-02
        filter(  6,  20) =    8.40631E-03
        filter(  6,  21) =    4.93088E-03
        filter(  6,  22) =    1.27226E-03
        filter(  6,  23) =   -1.86484E-03
        filter(  6,  24) =   -4.01297E-03
        filter(  6,  25) =   -4.98693E-03
        filter(  6,  26) =   -4.85680E-03
        filter(  6,  27) =   -3.88684E-03
        filter(  6,  28) =   -2.44041E-03
        filter(  6,  29) =   -8.91882E-04
        filter(  6,  30) =    4.52447E-04
        filter(  6,  31) =    1.39438E-03
        filter(  6,  32) =    1.85884E-03
        filter(  6,  33) =    1.87986E-03
        filter(  6,  34) =    1.56655E-03
        filter(  6,  35) =    1.06605E-03
        filter(  6,  36) =    5.19514E-04
        filter(  6,  37) =    4.00394E-05
        filter(  6,  38) =   -3.05302E-04
        filter(  6,  39) =   -4.95490E-04
        filter(  6,  40) =   -5.44538E-04
        filter(  6,  41) =   -4.90485E-04
        filter(  6,  42) =   -3.79375E-04
        filter(  6,  43) =   -2.52249E-04
        filter(  6,  44) =   -1.39137E-04
        filter(  6,  45) =   -5.60554E-05
        filter(  6,  46) =   -5.00476E-06
        filter(  6,  47) =    1.70167E-05
        filter(  6,  48) =    2.10207E-05
        filter(  6,  49) =    1.60155E-05
        filter(  6,  50) =    1.00095E-05
	return
	end
