/****************************************************************************
** Form implementation generated from reading ui file 'startdialog.ui'
**
** Created: Wed Jan 2 19:00:11 2008
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "startdialog.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qiconview.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "../startdialog.ui.h"

/*
 *  Constructs a StartDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
StartDialogBase::StartDialogBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "StartDialogBase" );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, sizePolicy().hasHeightForWidth() ) );
    setSizeGripEnabled( TRUE );
    StartDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "StartDialogBaseLayout"); 

    Layout1 = new QHBoxLayout( 0, 0, 6, "Layout1"); 

    buttonHelp = new QPushButton( this, "buttonHelp" );
    buttonHelp->setAutoDefault( TRUE );
    Layout1->addWidget( buttonHelp );
    Horizontal_Spacing2 = new QSpacerItem( 120, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    buttonOk = new QPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    Layout1->addWidget( buttonOk );

    buttonCancel = new QPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( buttonCancel );

    StartDialogBaseLayout->addLayout( Layout1, 2, 0 );

    checkShowInFuture = new QCheckBox( this, "checkShowInFuture" );

    StartDialogBaseLayout->addWidget( checkShowInFuture, 1, 0 );

    tabWidget = new QTabWidget( this, "tabWidget" );

    tabNew = new QWidget( tabWidget, "tabNew" );
    tabNewLayout = new QVBoxLayout( tabNew, 11, 6, "tabNewLayout"); 
    tabWidget->insertTab( tabNew, QString::fromLatin1("") );

    tabOpen = new QWidget( tabWidget, "tabOpen" );
    tabOpenLayout = new QHBoxLayout( tabOpen, 11, 6, "tabOpenLayout"); 
    tabWidget->insertTab( tabOpen, QString::fromLatin1("") );

    tabRecently = new QWidget( tabWidget, "tabRecently" );
    tabRecentlyLayout = new QGridLayout( tabRecently, 1, 1, 11, 6, "tabRecentlyLayout"); 

    recentView = new QIconView( tabRecently, "recentView" );
    recentView->setFocusPolicy( QIconView::WheelFocus );
    recentView->setGridX( 120 );
    recentView->setResizeMode( QIconView::Adjust );
    recentView->setItemsMovable( FALSE );

    tabRecentlyLayout->addWidget( recentView, 0, 0 );

    fileInfoLabel = new QLabel( tabRecently, "fileInfoLabel" );
    fileInfoLabel->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)2, (QSizePolicy::SizeType)5, 0, 0, fileInfoLabel->sizePolicy().hasHeightForWidth() ) );

    tabRecentlyLayout->addWidget( fileInfoLabel, 1, 0 );
    tabWidget->insertTab( tabRecently, QString::fromLatin1("") );

    StartDialogBaseLayout->addWidget( tabWidget, 0, 0 );
    languageChange();
    resize( QSize(402, 312).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( buttonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( recentView, SIGNAL( onItem(QIconViewItem*) ), this, SLOT( recentItemChanged(QIconViewItem*) ) );
    connect( recentView, SIGNAL( onViewport() ), this, SLOT( clearFileInfo() ) );
    connect( recentView, SIGNAL( selectionChanged(QIconViewItem*) ), this, SLOT( recentItemChanged(QIconViewItem*) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
StartDialogBase::~StartDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void StartDialogBase::languageChange()
{
    setCaption( tr( "ftan - New/Open" ) );
    buttonHelp->setText( tr( "&Help" ) );
    buttonHelp->setAccel( QKeySequence( tr( "F1" ) ) );
    buttonOk->setText( tr( "OK" ) );
    buttonOk->setAccel( QKeySequence( QString::null ) );
    buttonCancel->setText( tr( "Cancel" ) );
    buttonCancel->setAccel( QKeySequence( QString::null ) );
    checkShowInFuture->setText( tr( "&Don't show this dialog in the future" ) );
    checkShowInFuture->setAccel( QKeySequence( tr( "Alt+D" ) ) );
    tabWidget->changeTab( tabNew, tr( "&New Location" ) );
    tabWidget->changeTab( tabOpen, tr( "&Open Location" ) );
    fileInfoLabel->setText( QString::null );
    tabWidget->changeTab( tabRecently, tr( "&Recently opened" ) );
}

