#ifndef FILTER_SPECIFICATION_H
#define FILTER_SPECIFICATION_H
#include ".ui/filterspecbase.h"
class FDocument;
class LineEditDouble;
class QPushButton;
class FilterSpec : public FilterSpecBase
{
    Q_OBJECT

public:
    FilterSpec( QWidget *parent,   FDocument* dc);
    ~FilterSpec();

    
protected slots:
    void accept(); 
    void reject();
    void setDefaultShort();
    void setDefaultLong();	
private:
    FDocument* doc;
    LineEditDouble* lineEditTo1;
    LineEditDouble* lineEditTc1;
    LineEditDouble* lineEditTo2;
    LineEditDouble* lineEditTc2;
    QPushButton* defaultShort;    
    QPushButton* defaultLong;
};

#endif
