#ifndef FTAN_WINDOW_SET_H
#define FTAN_WINDOW_SET_H
#include ".ui/ftanwindowsetbase.h"
class FDocument;
class LineEditDouble;
class QPushButton;
class FtanWindow : public FtanWindowSetBase
{
    Q_OBJECT

public:
    FtanWindow( QWidget *parent,   FDocument* dc);
    ~FtanWindow();

    
protected slots:
    void accept(); 
    void reject();
    void setDefaultVel();
    void setDefaultPer();	
private:
    FDocument* doc;
    LineEditDouble* lineVelMin;
    LineEditDouble* lineVelMax;
    LineEditDouble* linePerMin;
    LineEditDouble* linePerMax;
    QPushButton* defaultVel;    
    QPushButton* defaultPer;
};

#endif
