#include <qapplication.h>
#include <QApplication>
#include "mainwindow.h"
#include <qmessagebox.h>
#include <QStyleFactory>
#include <QStyle>
#include <stdlib.h>
QString FTAN_ROOT_PATH;
QString FTAN_SEARCH_HELP_PATH;
int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
      char *st =getenv("FMT");
    if(st == NULL)		{
	QMessageBox::warning(0,"Ftan Control Panel","Fatal Error! It is not define enviroment  variable 'FMT'"); 
	return 0;
	}
    QString tmp(st);
 

    app.setStyle(QStyleFactory::create("plastique"));
    QApplication::setPalette(QApplication::style()->standardPalette());
		QString absoluteInstallFtan = app.applicationDirPath();
		int pos = absoluteInstallFtan.lastIndexOf("/bin");
		absoluteInstallFtan.remove ( pos, 4 ); 
		FTAN_ROOT_PATH = absoluteInstallFtan;
		 
#if defined(Q_WS_WIN) 
		FTAN_SEARCH_HELP_PATH = "file:///" + FTAN_ROOT_PATH + "/doc";
#endif

#if defined(Q_WS_X11) 
		FTAN_SEARCH_HELP_PATH = "file://" + FTAN_ROOT_PATH + "/doc";
#endif		
#if defined(Q_WS_MAC) 
		FTAN_SEARCH_HELP_PATH = "file://" + FTAN_ROOT_PATH + "/doc";
#endif

    MainWindow mainWin(tmp);
    app.setMainWidget(&mainWin);
    //mainWin.show();
    return app.exec();
}
