#include <qstring.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qlineedit.h> 
#include <qfont.h>
#include <qpixmap.h>
#include <qtable.h> 
#include <qmessagebox.h> 
#include <qtoolbutton.h> 
#include "mainwindow.h"
#include "plotcompimpl.h"
#include "document.h"

PlotComp::~PlotComp(){

}
PlotComp::PlotComp( QWidget *parent, FDocument* dc )
    : PlotCompSetBase( parent, 0 ),doc(dc)
{
    setFont( parent->font() );
    QStringList valuelist = QStringList::split (' ',doc->GetPlotCompt()->GetValue ()); 
  
      if( valuelist[0] == "1")  toolButtonPlotZ->setOn (TRUE );else toolButtonPlotZ->setOn (FALSE);
      if( valuelist[1] == "1")  toolButtonPlotN->setOn (TRUE );else toolButtonPlotN->setOn (FALSE);
      if( valuelist[2] == "1")  toolButtonPlotE->setOn (TRUE );else toolButtonPlotE->setOn (FALSE);
      if( valuelist[3] == "1")  toolButtonPlotR->setOn (TRUE );else toolButtonPlotR->setOn (FALSE);
      if( valuelist[4] == "1")  toolButtonPlotT->setOn (TRUE );else toolButtonPlotT->setOn (FALSE);      

}

void PlotComp::accept()
{

QString temp = "";
if (toolButtonPlotZ->isOn()) temp +="1 ";
else  temp +="0 ";
if (toolButtonPlotN->isOn()) temp +="1 ";
else  temp +="0 ";
if (toolButtonPlotE->isOn ()) temp +="1 ";
else  temp +="0 ";
if (toolButtonPlotR->isOn ()) temp +="1 ";
else  temp +="0 ";
if (toolButtonPlotT->isOn ()) temp +="1";
else  temp +="0";

doc->GetPlotCompt()->SetValue(temp);
doc->GetPlotCompt()->SetValueToResetvalue();
doc->GetPlotCompt()->setChanged();


done( Accepted ); 
}
void PlotComp::reject()
{

doc->GetPlotCompt()->SetResetvalueToValue();

done( Rejected );    
}
void PlotComp::buttonDefault(){
    
    QStringList valuelist = QStringList::split (' ',doc->GetPlotCompt()->GetDefaultvalue()); 
  
      if( valuelist[0] == "1")  toolButtonPlotZ->setOn (TRUE );else toolButtonPlotZ->setOn (FALSE);
      if( valuelist[1] == "1")  toolButtonPlotN->setOn (TRUE );else toolButtonPlotN->setOn (FALSE);
      if( valuelist[2] == "1")  toolButtonPlotE->setOn (TRUE );else toolButtonPlotE->setOn (FALSE);
      if( valuelist[3] == "1")  toolButtonPlotR->setOn (TRUE );else toolButtonPlotR->setOn (FALSE);
      if( valuelist[4] == "1")  toolButtonPlotT->setOn (TRUE );else toolButtonPlotT->setOn (FALSE);    

}

