#include <qfont.h>
#include <q3listbox.h>
#include "selecteventimpl.h"

SelectDialog::SelectDialog(QWidget *parent,ORIG** origin,int recCount )
        : QDialog( parent) {
    setFont( parent->font() );
    setupUi(this);
    listBoxEvent->clear ();
    int i = 0;
    while ( ++i <= recCount ) {
        QString event;
        event.sprintf("%3d: %d/%d/%d %d:%d:%5.2f  %7.3f %8.3f %4.0f",i,origin[i-1]->day,origin[i-1]->month,origin[i-1]->year,
                      origin[i-1]->hour,origin[i-1]->minute,
                      origin[i-1]->second,origin[i-1]->latitude,origin[i-1]->longitude,origin[i-1]->dep);
        listBoxEvent->insertItem( event,i );
    }
    listBoxEvent->setSelected (0, TRUE );
}
void SelectDialog::accept() {
//qWarning("SelectDialog::accept()");
    done( Accepted );
}
void SelectDialog::reject() {
//qWarning("SelectDialog::reject()");
    done( Rejected );
}
