c/////////////////////////////////////////////////////////////////////////////
c----------------------------------------------------------------------------
	subroutine change_resp ( fname,len,fr,rcoeff,xnorm)
c----------------------------------------------------------------------------
      character*64 fname
      parameter (NPMAX  = 100)
      parameter (NZMAX  = 100)
      parameter (NNMAX  = 500)
      parameter (NDMAX  = 500)
      parameter (MXFREQ = 1000)
      complex pole(NPMAX)
      complex polerr(NPMAX)
      complex zero(NPMAX)
      complex zererr(NPMAX)
      real*4 coefn(NNMAX), coeferrn(NNMAX)
      real*4 coefd(NDMAX), coeferrd(NDMAX)
      character*4 type
      call readresp (fname(1:len), iresp)
      call getrespnstages (iresp, nstages)
      do   i = 1, nstages
	call getresptype (iresp, i, type)
	if (type .eq. 'paz') then
	  npoles = NPMAX
	  nzeros = NZMAX
	  call getresppaz (iresp, i, xnorm,
     +                  npoles, pole, polerr,
     +                  nzeros, zero, zererr)
	else if (type .eq. 'fir') then
	  nden = NDMAX
	  nnum = NNMAX
	  call getrespfir (iresp, i, srate,
     +                  nnum, coefn, coeferrn,
     +                  nden, coefd, coeferrd)
	end if
	end do
	omega = fr*2.*3.141592654
	call evlresp (omega, iresp, xreal1, ximag1)
	amp1 = sqrt(xreal1*xreal1+ximag1*ximag1)
	rcoeff= amp1
							RETURN
							END
