      subroutine changer(idbout,dir_o,ituple,istep,chan_n,sampr_n,
     +  nctuples,nituples,ishift,nsen,nins,nsitch)
C--------to create new Relation and response for a given ituple from old
C--------Sensor Relation-------------------------------------------------
C--------all arguments are input arguments-------------------------------
C--------arguments nsen,nins,nsitch are also output arguments------------
	 parameter (nr=6000)
	 character*8 chan_n,chan_o
	 character*6 sta
	 character*64 dir_o
	 character*32 file_o,file_n
	 integer*4 chanid_o,chanid_n,nshift(6)
	 integer*4 numsch(nr),numins(nr)
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Sensor relation !!!!!
	character*6  s_station
	character*8  s_chanal
	real*8       s_time
	real*8       s_endtime
	integer*4    s_inid
	integer*4    s_chanid
	integer*4    s_jdate
	real*4       s_calratio
	real*4       s_calper
	real*4       s_tshift
	character*1  s_instant
	character*17 s_lddate
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Instrument relation !!
	integer*4    i_inid
	character*50 i_instname
	character*6  i_instype
	character*1  i_band
	character*1  i_digital
	real*4       i_samprate
	real*4       i_ncalib
	real*4       i_ncalper
	character*64 i_dir
	character*32 i_dfile
	character*6  i_rstype
	character*17 i_lddate
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
	common / sensor /
     *	s_station(nr),s_chanal(nr),s_time(nr),s_endtime(nr),
     *	s_inid(nr),s_chanid(nr),s_jdate(nr),s_calratio(nr),
     *	s_calper(nr),s_tshift(nr),s_instant(nr),s_lddate(nr)
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Sensor relation !!!!!
c----------------------------------------------------------------------------
	common / instrument /
     *	i_inid(nr),i_instname(nr),i_instype(nr),i_band(nr),
     *	i_digital(nr),i_samprate(nr),i_ncalib(nr),i_ncalper(nr),
     *	i_dir(nr),i_dfile(nr),i_rstype(nr),i_lddate(nr)
c!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Instrument relation !!
        data ns/10/,nshift/5000,10000,15000,20000,25000,30000/
c-----------------SEARCH FOR SITECHAN AND INSTRUMENT TUPLES-----------------
	  inid_o= s_inid(ituple)
	  chan_o= s_chanal(ituple)
c---------------------------------------------------------------------------
	  chanid_o=s_chanid(ituple)
	  sta=s_station(ituple)
          ischtup= ifound_sitch(chan_o,sta,chanid_o,nctuples)
          numsch(ituple)=ischtup
c-----------------NEW SENSOR RELATIONS ARE DEFINED---------------------------
	 calper_o= s_calper(ituple)
	 calper_n=calper_o
	 q=ns/sampr_n
	 if(q.gt.calper_o)calper_n=q
         inid_n=inid_o+nshift(ishift)
         chanid_n=chanid_o+nshift(ishift)
c-----------------NEW SITECHAN RELATIONS ARE DEFINED---------------------------
         ischtup= ifound_sitch(chan_o,sta,chanid_o,nctuples)
c---------check for duplicate lines for Sitechan relation-----------------------
 	 iss=itwin(numsch,ischtup,ituple)
c-----------------NEW INSTRUMENT RELATIONS ARE DEFINED--------------------------
	 instup=ifound_instr(inid_o,nituples)
         numins(ituple)=instup
c---------check for duplicate lines for Instrument relation---------------------
	 is=itwin(numins,instup,ituple)
	         if(is.eq.0)                 then
	 file_o=i_dfile(instup)
	 sampr_o=i_samprate(instup)
	 if(sampr_o.le.sampr_n) go to 1
	 calib_o=i_ncalib(instup)
c-----------------NEW RESPONSE FILENAME IS DEFINED------------------------------
         ifl=lnblnk(file_o)
	 file_n(1:ifl)=file_o(1:ifl)
	 file_n(ifl+1:ifl+1)='.'
	 file_n(ifl+2:ifl+3)=chan_n(1:2)
	 do j=ifl+4,32
	 file_n(j:j)=' '
	 end do
	 call newresp(dir_o,file_o,calper_o,calib_o,
     +	 sampr_o,file_n,calper_n,calib_n,sampr_n,istep,ierr)
	        if (ierr.ne.0) go to 1
C         PRINT '(a,a,i5,4(a,E10.3))',sta,chan_n,inid_o,'  OLD CALPER ',
C    +	  calper_o,' CALIB ',calib_o,' NEW CALPER ',calper_n,' CALIB ',
C    +    calib_n
c-------------------WRITING THE OUTPUT--------------------------------------------
	 call write_instrument(idbout,file_n,instup,inid_n,
     +	 sampr_n,calib_n,calper_n)
	 nins=nins+1
	                                      end if
       call write_sensor(idbout,ituple,calper_n,inid_n,chanid_n,chan_n)
         nsen=nsen+1
	 if(iss.eq.0) then
	 call write_sitechan(idbout,ischtup,chanid_n,chan_n)
	 nsitch=nsitch+1
	       end if
1        continue
	 RETURN
	 END

